<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:include href="PopulateTemplate.xsl"/>
  <xsl:include href="CommonPathRef.xsl"/>
  <xsl:include href="AddHeader.xsl"/>
  <xsl:include href="AddOnTable.xsl"/>
  <xsl:include href="IRS5735SchedulePStyle.xsl"/>
  <xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
  <xsl:strip-space elements="*"/>
  <xsl:param name="Form5735PData" select="$RtnDoc/IRS5735ScheduleP"/>
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:call-template name="FormTitle">
            <xsl:with-param name="RootElement" select="local-name($Form5735PData)">

      </xsl:with-param>
          </xsl:call-template>
        </title>
        <!-- No Browser Caching -->
        <meta http-equiv="Pragma" content="no-cache"/>
        <meta http-equiv="Cache-Control" content="no-cache"/>
        <meta http-equiv="Expires" content="0"/>
        <!-- No Proxy Caching -->
        <meta http-equiv="Cache-Control" content="private"/>
        <meta name="Description" content="Schedule P (Form 5735)"/>
        <meta name="Generator" content="IBM WebSphere Studio"/>
        <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"/>
        <xsl:call-template name="InitJS"/>
        <style type="text/css">
          <xsl:if test="not($Print) or $Print=''">
            <xsl:call-template name="IRS5735SchedulePStyle"/>
            <xsl:call-template name="AddOnStyle"/>
         </xsl:if>
        </style>
        <xsl:call-template name="GlobalStylesForm"/>
      </head>
      <body class="styBodyClass">
        <form style="font-family:Arial; font-size:9pt" name="Form5735ScheduleP">
          <xsl:call-template name="DocumentHeader"/>
          <div class="styTBB" style="width:187mm">
            <div style="float:left; width:31mm; font-size:7pt">
              <div class="styFormNumber" style="font-size:13pt">SCHEDULE P<br /><div style="font-size:11pt">(Form 5735)
            <xsl:call-template name="SetFormLinkInline">
                  <xsl:with-param name="TargetNode" select="$Form5735PData"/>
                </xsl:call-template>

</div>
              </div>
              <div style="font-size:7pt">        

            (Rev. October 2000)

              </div>
              <div style="font-size:6pt">        

            Department of the Treasury<br/>Internal Revenue Service

          </div>
            </div>
            <div class="styFTBox" style="width:125mm; height:17mm; border-right:1 solid black; border-left:1 solid black; ">
              <div class="styMainTitle" style="font-size:12pt; padding-bottom:1mm">Allocation of Income and Expenses<br/>Under Section 936(h)(5)</div>
              <div class="styFBT" style="text-align:center; font-size:8pt">
                <img src="{$ImagePath}/5735SchP_Bullet.gif" alt="Arrow Bullet"/> Attach to Form 5735<br/>
              </div>
            </div>
            <div style="text-align:center; float:left; font-size:7pt; width:31mm; padding-top:8mm">

          OMB No. 1545-0217

        </div>
          </div>
          <div class="styTBB" style="width:187mm; padding-top:1.5mm; height:8mm">

        Attach a <b>separate</b> Schedule P for each product to which the cost sharing or profit split method under section 936(h)(5) applies.

      </div>
          <div class="styBB" style="width:187mm">
            <div class="styNameBox" style="font-size:7pt; width:132mm; height:8mm;font-family:verdana;">
          Name as shown on Form 5735

          <div>
	              <xsl:call-template name="PopulateText">
	                <xsl:with-param name="TargetNode" select="$Form5735PData/Name/BusinessNameLine1"/>
	              </xsl:call-template>
	              <xsl:if test="normalize-space($Form5735PData/Name/BusinessNameLine2) != ''">
	                <br/>
	                <xsl:call-template name="PopulateText">
	                  <xsl:with-param name="TargetNode" select="$Form5735PData/Name/BusinessNameLine2"/>
	                </xsl:call-template>
	              </xsl:if>
              </div>
            </div>
            <div class="styEINBox" style="font-size:7pt; padding-left:2mm; font-weight:bold;font-family:verdana;">
          Employer identification number

          <div style="text-align:left; padding-top:1mm; font-weight:normal">
              <xsl:call-template name="PopulateEIN">
                <xsl:with-param name="TargetNode" select="$Form5735PData/EmployerIdentificationNumber"/>
              </xsl:call-template>
              </div>
            </div>
          </div>
          <div class="styBB" style="width:187mm; height:8mm">
            <div style="float:left; width:127mm; padding-top:0.5mm">

          Identify the product reported on this schedule. (See Regulations section 1.936-5(a).)

          <img src="{$ImagePath}/5735SchP_Bullet.gif" alt="Right Arrow Bullet"/>
            </div>
            <div class="styFixedUnderline" style="width:60mm;">
              <xsl:call-template name="PopulateText">
                <xsl:with-param name="TargetNode" select="$Form5735PData/IdProductRptOnThisSchedule"/>
              </xsl:call-template>
            </div>
          </div>
          <!-- BEGIN Part I Title -->
          <div class="styBB" style="width:187mm; border-top:1 solid black">
            <div class="styPartName" style="width:11mm; font-size:10pt">Part I</div>
            <div class="styPartDesc" style="font-size:10pt">

          All Taxpayers Must Complete Part I <span style="font-weight:normal">(See instructions.)</span>
            </div>
          </div>
          <!-- END Part I Title -->
          <!-- BEGIN Part I Line Items -->
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">1</div>
            <div style="float:left">

          Product area research                    

        </div>
            <div style="float:right">
              <span class="styDotLn">      

            ..........................

          </span>
              <div class="styIRS5735PLNRightNumBox">1</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/ProductAreaResearch"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">2</div>
            <div style="float:left">

          Sales of the possession product            

        </div>
            <div style="float:right">
              <span class="styDotLn">      

            .......................

          </span>
              <div class="styIRS5735PLNRightNumBox">2</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/SalesOfPossessionProduct"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">3</div>
            <div style="float:left">

          Sales of all products in the product area            

        </div>
            <div style="float:right">
              <span class="styDotLn">      

            ....................

          </span>
              <div class="styIRS5735PLNRightNumBox">3</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/SalesOfAllProductsInProdArea"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">4</div>
            <div style="float:left">

          Cost sharing fraction (divide line 2 by line 3)                

        </div>
            <div style="float:right">
              <span class="styDotLn">      

            ...................

          </span>
              <div class="styIRS5735PLNRightNumBox">4</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CostSharingFraction"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">5</div>
            <div style="float:left">

          Gross cost sharing amount (multiply line 1 by line 4)                  

        </div>
            <div style="float:right">
              <span class="styDotLn">      

            ................

          </span>
              <div class="styIRS5735PLNRightNumBox">5</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/GrossCostSharingAmount"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">6</div>
            <div style="float:left">

          Reductions          

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ..............................

          </span>
              <div class="styIRS5735PLNRightNumBox">6</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/Reductions"/>
                </xsl:call-template>
                <!--xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form5735PData/Reductions"/>
            </xsl:call-template-->
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">7</div>
            <div style="float:left">

          Net cost sharing amount (subtract line 6 from line 5). If the cost sharing method applies, also include      

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBoxNBB"/>
              <div class="styIRS5735PLNAmountBoxNBB"/>
            </div>
          </div>
          <div style="width:187mm; border-bottom:1 solid Black;">
            <div class="styIRS5735PLNLeftNumBox"/>
            <div style="float:left">

          on line 8a, Part II, Form 5735 and on line 26, page 1, Form 1120 of the possessions corporation        

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .

          </span>
              <div class="styIRS5735PLNRightNumBoxNBB">7</div>
              <div class="styIRS5735PLNAmountBoxNBB">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/NetCostSharingAmount"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <!-- END Part I Line Items -->
          <!-- BEGIN Part II Title -->
          <div class="styTBB" style="width:187mm; border-top:1 solid black">
            <div class="styPartName" style="width:12mm; font-size:10pt">Part II</div>
            <div class="styPartDesc" style="font-size:10pt">

          Complete for Profit Split Method Only <span style="font-weight:normal">(See instructions.)</span>
            </div>
          </div>
          <!-- END Part II Title -->
          <!-- BEGIN Part II Line Items -->
          <div style="width:187mm">
            <div style="float:left">

          Combined taxable income from the possession product:    

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBoxNBB" style="background-color:lightgrey"/>
              <div class="styIRS5735PLNAmountBoxNBB"/>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">1</div>
            <div style="float:left">

          Combined gross receipts                

        </div>
            <div style="float:right">
              <span class="styDotLn">      

            .........................

          </span>
              <div class="styIRS5735PLNRightNumBox">1</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedGrossReceipts"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">2</div>
            <div style="float:left">

          Combined cost of goods sold:

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBoxNBB" style="background-color:lightgrey"/>
              <div class="styIRS5735PLNAmountBoxNBB"/>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">a</div>
            <div style="float:left">

          Inventory at beginning of year          

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .......................        

          </span>
              <div class="styIRS5735PLNRightNumBox">2a</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedCostOfGoodsSold/InventoryAtBeginningOfYear"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">b</div>
            <div style="float:left">

          Merchandise bought for manufacture          

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .....................    

          </span>
              <div class="styIRS5735PLNRightNumBox">2b</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedCostOfGoodsSold/MerchandiseBoughtForMfr"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">c</div>
            <div style="float:left">

          Salaries and wages allocable or apportionable to the product          

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .............

          </span>
              <div class="styIRS5735PLNRightNumBox">2c</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedCostOfGoodsSold/SalariesAndWagesAllcblToProd"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">d</div>
            <div style="float:left">

          Other costs (attach schedule)

          <xsl:call-template name="SetFormLinkInline">
                <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedCostOfGoodsSold/OtherCosts"/>
              </xsl:call-template>
            </div>
            <div style="float:right">
              <span class="styDotLn">  

            ........................        

          </span>
              <div class="styIRS5735PLNRightNumBox">2d</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedCostOfGoodsSold/OtherCosts"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">e</div>
            <div style="float:left">

          Total (add lines 2a through 2d)

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .......................        

          </span>
              <div class="styIRS5735PLNRightNumBox">2e</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedCostOfGoodsSold/TotalOfCostOfGoods"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">f</div>
            <div style="float:left">

          Inventory at end of year

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .........................        

          </span>
              <div class="styIRS5735PLNRightNumBox">2f</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedCostOfGoodsSold/InventoryAtEndOfYear"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">g</div>
            <div style="float:left">

          Cost of goods sold (subtract line 2f from line 2e)

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .................        

          </span>
              <div class="styIRS5735PLNRightNumBox">2g</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedCostOfGoodsSold/CostOfGoodsSold"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">3</div>
            <div style="float:left">

          Combined gross income (subtract line 2g from line 1)

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ................            

          </span>
              <div class="styIRS5735PLNRightNumBox">3</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedGrossIncome"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">4</div>
            <div style="float:left">

          Other combined expenses allocable or apportionable to the product:

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBoxNBB" style="background-color:lightgrey"/>
              <div class="styIRS5735PLNAmountBoxNBB"/>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">a</div>
            <div style="float:left">

          Marketing

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ..............................        

          </span>
              <div class="styIRS5735PLNRightNumBox">4a</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/OtherCombExpnssAllcblToProduct/CombinedExpensesMarketing"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">b</div>
            <div style="float:left">

          Floor on research and experimental deduction (see instructions)  

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ....  

          </span>
              <div class="styIRS5735PLNRightNumBox" style="height:4.5mm">4b</div>
              <div class="styIRS5735PLNAmountBox" style="height:4.5mm">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/OtherCombExpnssAllcblToProduct/FloorOnResearchAndExptlDed"/>
                </xsl:call-template>
              </div>
              <div class="styIRS5735PLNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"/>
              <div class="styIRS5735PLNAmountBoxNBB" style="height:4.5mm"/>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">c</div>
            <div style="float:left">

          Research and experimental expenses

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .............  

          </span>
              <div class="styIRS5735PLNRightNumBox" style="height:4.5mm">4c</div>
              <div class="styIRS5735PLNAmountBox" style="height:4.5mm">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/OtherCombExpnssAllcblToProduct/ResearchAndExptlExpenses"/>
                </xsl:call-template>
              </div>
              <div class="styIRS5735PLNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"/>
              <div class="styIRS5735PLNAmountBoxNBB" style="height:4.5mm"/>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">d</div>
            <div style="float:left">

          Enter the greater of line 4b or 4c

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ......................        

          </span>
              <div class="styIRS5735PLNRightNumBox">4d</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/OtherCombExpnssAllcblToProduct/GreaterRsrchAndExptlExpenses"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">e</div>
            <div style="float:left">

          Other deductions (attach schedule)

          <xsl:call-template name="SetFormLinkInline">
                <xsl:with-param name="TargetNode" select="$Form5735PData/OtherCombExpnssAllcblToProduct/OtherDeductions"/>
              </xsl:call-template>
            </div>
            <div style="float:right">
              <span class="styDotLn">  

            ......................        

          </span>
              <div class="styIRS5735PLNRightNumBox">4e</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/OtherCombExpnssAllcblToProduct/OtherDeductions"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftLtrBox">f</div>
            <div style="float:left">

          Total (add lines 4a, 4d, and 4e)

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            .......................        

          </span>
              <div class="styIRS5735PLNRightNumBox">4f</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/OtherCombExpnssAllcblToProduct/TotalCombinedExpenses"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">5</div>
            <div style="float:left">

          Combined taxable income (subtract line 4f from line 3)

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ...............            

          </span>
              <div class="styIRS5735PLNRightNumBox">5</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedTaxableIncome"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">6</div>
            <div style="float:left">

          Possessions corporation's gross income from the product (50% of line 3). Enter here and include

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBoxNBB"/>
              <div class="styIRS5735PLNAmountBoxNBB"/>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox"/>
            <div style="float:left">

          in column (f), Part I, Form 5735, and on line 6a, Part II, Form 5735

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ...........    

          </span>
              <div class="styIRS5735PLNRightNumBox">6</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/PossCorpGrossIncomeFromProduct"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">7</div>
            <div style="float:left">

          Possessions corporation's applicable deductions (50% of line 4f). Enter here and include on line 8b,

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBoxNBB"/>
              <div class="styIRS5735PLNAmountBoxNBB"/>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox"/>
            <div style="float:left">

          Part II, Form 5735

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ...........................    

          </span>
              <div class="styIRS5735PLNRightNumBox">7</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/PossCorpApplicableDeductions"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">8</div>
            <div style="float:left">

          Possessions corporation's taxable income from the product (50% of line 5). Enter here and include

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBoxNBB"/>
              <div class="styIRS5735PLNAmountBoxNBB"/>
            </div>
          </div>
          <div style="width:187mm; border-bottom:1 solid black">
            <div class="styIRS5735PLNLeftNumBox"/>
            <div style="float:left">

          on line 10, page 1, Form 1120, of the possessions corporation

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ............

          </span>
              <div class="styIRS5735PLNRightNumBoxNBB">8</div>
              <div class="styIRS5735PLNAmountBoxNBB">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/PossCorpTaxableIncmFromProduct"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <!-- END Part II Line Items -->
          <!-- BEGIN Part III Title -->
          <div class="styBB" style="width:187mm; border-top:1 solid black">
            <div class="styPartName" style="width:13mm; font-size:10pt">Part III</div>
            <div class="styPartDesc" style="font-size:10pt">

          Complete for Profit Split Method Only <span style="font-weight:normal">(See instructions.)</span>
            </div>
          </div>
          <!-- END Part III Title -->
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">1</div>
            <div style="float:left">

          Adjustment to research deduction. Enter line 4b minus line 4c of Part II. Do not enter less than zero

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBox">1</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/AdjustmentToResearchDeduction"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">2</div>
            <div style="float:left">

          Enter the amount from line 5, Part II

        </div>
            <div style="float:right">
              <span class="styDotLn">      

            .....................

          </span>
              <div class="styIRS5735PLNRightNumBox">2</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/CombinedTaxableIncome"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">3</div>
            <div style="float:left">

          Enter the amount from line 8, Part II

        </div>
            <div style="float:right">
              <span class="styDotLn">      

            .....................

          </span>
              <div class="styIRS5735PLNRightNumBox">3</div>
              <div class="styIRS5735PLNAmountBox">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/PossCorpTaxableIncmFromProduct"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <div style="width:187mm">
            <div class="styIRS5735PLNLeftNumBox">4</div>
            <div style="float:left">

          Combined taxable income (line 1 plus line 2 minus line 3). Allocate to U.S. affiliates on schedule

        </div>
            <div style="float:right">
              <div class="styIRS5735PLNRightNumBoxNBB"/>
              <div class="styIRS5735PLNAmountBoxNBB"/>
            </div>
          </div>
          <div style="width:187mm; border-bottom:1 solid black">
            <div class="styIRS5735PLNLeftNumBox"/>
            <div style="float:left">

          below

        </div>
            <div style="float:right">
              <span class="styDotLn">  

            ................................

          </span>
              <div class="styIRS5735PLNRightNumBoxNBB">4</div>
              <div class="styIRS5735PLNAmountBoxNBB">
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$Form5735PData/TotalCombinedTaxableIncome"/>
                </xsl:call-template>
              </div>
            </div>
          </div>
          <xsl:variable name="p3Count" select="count($Form5735PData/AffltSharesOfCombinedTxblIncm)"/>
          <div style="width:187mm; clear:both; border-top:1 solid black; border-bottom:1 solid black">
            <div style="font-weight:bold; float:left; height:4mm">

          Schedule of affiliates' shares of combined taxable income reported on line 4 of Part III

        </div>
            <div style="float:right; vertical-align:bottom">
              <!-- button display logic -->
              <xsl:call-template name="SetDynamicTableToggleButton">
                <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCombinedTxblIncm"/>
                <xsl:with-param name="containerHeight" select="4"/>
                <xsl:with-param name="headerHeight" select="1"/>
                <xsl:with-param name="containerID" select="'part3TPctn'"/>
              </xsl:call-template>
              <!-- end button display logic -->
            </div>
          </div>
          <div class="styIRS5735PTableContainer" id="part3TPctn">
            <xsl:attribute name="style"><xsl:if test="$p3Count > 4">height:32.4mm;</xsl:if></xsl:attribute>
            <xsl:call-template name="SetInitialState"/>
            <table class="styTable" style="font-size:8pt; width:100%" cellspacing="0" cellpadding="0" border="0">
              <thead class="styTableThead">
                <tr align="center" style="height:14mm">
                  <th class="styIRS5735PTblRB" nowrap="nowrap" style="width:95mm" scope="col">(a)<br/>
                    <span style="font-weight:normal">Name of affiliate</span>
                  </th>
                  <th class="styIRS5735PTblRB" nowrap="nowrap" style="width:44mm" scope="col">(b)<br/>
                    <span style="font-weight:normal">Identifying number</span>
                  </th>
                  <th class="styIRS5735PTblRB" nowrap="nowrap" scope="col" style="border-right:0">(c)<br/>
                    <span style="font-weight:normal">Amount of share.<span style="font-size:7pt">
                        <br/>Enter here and include on line 10,<br/>page 1, Form 1120 of the appropriate<br/>affiliate.</span>
                    </span>
                  </th>
                </tr>
              </thead>
              <tfoot/>
              <tbody>
                <xsl:choose>
                  <xsl:when test="($Print !=$Separated) or (count($Form5735PData/AffltSharesOfCombinedTxblIncm) &lt;= 4)">
                    <xsl:call-template name="p3Template">
                    <xsl:with-param name="max">
                      <xsl:choose>
                        <xsl:when test="$p3Count &gt; 4">
                          <xsl:value-of select="$p3Count"/>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:value-of select="4"/>
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:with-param>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>
                    <tr align="right" height="17">
                      <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left">
                        <xsl:call-template name="PopulateAdditionalDataTableMessage">
                          <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCombinedTxblIncm"/>
                        </xsl:call-template>
                      </td>
                      <td class="styIRS5735PTblRB" align="center"><span style="width: 2px"/></td>
                      <td class="styIRS5735PTblRB" style="border-right:0">&nbsp;</td>
                    </tr>
                     <tr align="right" height="17">
                      <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left"><br/></td>
                      <td class="styIRS5735PTblRB" align="center"><span style="width: 2px"/></td>
                      <td class="styIRS5735PTblRB" style="border-right:0">&nbsp;</td>
                    </tr>
                     <tr align="right" height="17">
                      <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left"><br/></td>
                      <td class="styIRS5735PTblRB" align="center"><span style="width: 2px"/></td>
                      <td class="styIRS5735PTblRB" style="border-right:0">&nbsp;</td>
                    </tr>
                     <tr align="right" height="17">
                      <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left"><br/></td>
                      <td class="styIRS5735PTblRB" align="center"><span style="width: 2px"/></td>
                      <td class="styIRS5735PTblRB" style="border-right:0">&nbsp;</td>
                    </tr>
                 </xsl:otherwise>
                </xsl:choose>
              </tbody>
            </table>
          </div>
          <xsl:call-template name="SetInitialDynamicTableHeight">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCombinedTxblIncm"/>
            <xsl:with-param name="containerHeight" select="4"/>
            <xsl:with-param name="headerHeight" select="1"/>
            <xsl:with-param name="containerID" select="'part3TPctn'"/>
          </xsl:call-template>
          <div style="width:187mm; font-size:8pt; float:none; clear:both">
            <span style="font-weight:bold; float:left">

          For Paperwork Reduction Act Notice, see page 2.

          <span style="margin-left: 20mm; margin-right:19mm; font-size:7pt">Cat. No. 61167O</span>
              <b>Schedule P <span style="font-size:9pt">(Form 5735)</span> (Rev. 10-2000)</b>
            </span>
          </div>
          <div style="width:187mm; font-size:7pt; page-break-before:always">
            <div style="float:left">

          Schedule P (Form 5735) (Rev. 10-2000)

        </div>
            <div style="float:right">                  

          Page <b style="font-size:9pt">2</b>
            </div>
          </div>
          <div style="border-top:2 solid black; width:187mm">
            <div class="styPartName" style="width:14mm; font-size:10pt">Part IV</div>
            <div class="styPartDesc" style="font-size:10pt">

          Complete for Cost Sharing Method Only <span style="font-weight:normal">(See instructions.)</span>
            </div>
          </div>
          <xsl:variable name="p4Count" select="count($Form5735PData/AffltSharesOfCostSharingAmount)"/>
          <div style="width:187mm; clear:both; border-top:1 solid black; border-bottom:1 solid black">
            <div style="font-weight:bold; float:left; height:4mm">Schedule of affiliates' shares of cost sharing amount and marketing intangible income</div>
            <div style="float:right; vertical-align:bottom">
              <!-- button display logic -->
              <xsl:call-template name="SetDynamicTableToggleButton">
                <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCostSharingAmount"/>
                <xsl:with-param name="containerHeight" select="3"/>
                <xsl:with-param name="headerHeight" select="1"/>
                <xsl:with-param name="containerID" select="'part4TPctn'"/>
              </xsl:call-template>
              <!-- end button display logic -->
            </div>
          </div>
          <div class="styIRS5735PTableContainer" id="part4TPctn">
            <xsl:attribute name="style"><xsl:if test="$p3Count &gt; 4">

            height:31.8mm;  

          </xsl:if></xsl:attribute>
            <xsl:call-template name="SetInitialState"/>
            <table class="styTable" style="font-size:8pt; width:100%" cellspacing="0" cellpadding="0" border="0">
              <thead class="styTableThead">
                <tr align="center" style="height:18mm">
                  <th class="styIRS5735PTblRB" nowrap="nowrap" style="width:73mm" scope="col">(a)<br/>
                    <span style="font-weight:normal">Name of affiliate</span>
                  </th>
                  <th class="styIRS5735PTblRB" nowrap="nowrap" style="width:30mm" scope="col">(b)<br/>
                    <span style="font-weight:normal">Identifying number</span>
                  </th>
                  <th class="styIRS5735PTblRB" nowrap="nowrap" style="width:41mm" scope="col">(c)<br/>
                    <span style="font-weight:normal">Share of cost sharing amount.<span style="font-size:7pt">
                        <br/>Enter here and reduce line 26,<br/>page 1, Form 1120, of the<br/>appropriate affiliate by this amount.</span>
                    </span>
                  </th>
                  <th class="styIRS5735PTblRB" nowrap="nowrap" scope="col" style="border-right:0">(d)<br/>
                    <span style="font-weight:normal">Share of marketing intangible<br/>income.<span style="font-size:7pt">
                        <br/>Enter here and include on line 10,<br/>page 1, Form 1120, of the<br/>appropriate affiliate.</span>
                    </span>
                  </th>
                </tr>
              </thead>
              <tfoot/>
              <tbody>
                <xsl:choose>
                  <xsl:when test="($Print !=$Separated) or (count($Form5735PData/AffltSharesOfCostSharingAmount) &lt;= 3)">
                    <xsl:call-template name="p4Template">
                    <xsl:with-param name="max">
                      <xsl:choose>
                        <xsl:when test="$p4Count &gt; 3">
                          <xsl:value-of select="$p4Count"/>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:value-of select="3"/>
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:with-param>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>
                    <tr align="right" height="17">
                      <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left">
                         <xsl:call-template name="PopulateAdditionalDataTableMessage">
                         <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCostSharingAmount"/>
                        </xsl:call-template>
                      </td>
                      <td class="styIRS5735PTblRB" align="center" style="font-size:8pt;"><span style="width: 2px"/></td>
                      <td class="styIRS5735PTblRB" style="font-size:8pt;">&nbsp;</td>
                      <td class="styIRS5735PTblRB" style="border-right:0;font-size:8pt;">&nbsp;</td>
                    </tr>
                    <tr align="right" height="17">
                      <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left"><br/></td>
                      <td class="styIRS5735PTblRB" align="center" style="font-size:8pt;"><span style="width: 2px"/></td>
                      <td class="styIRS5735PTblRB" style="font-size:8pt;">&nbsp;</td>
                      <td class="styIRS5735PTblRB" style="border-right:0;font-size:8pt;">&nbsp;</td>
                    </tr>
                    <tr align="right" height="17">
                      <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left"><br/></td>
                      <td class="styIRS5735PTblRB" align="center" style="font-size:8pt;"><span style="width: 2px"/></td>
                      <td class="styIRS5735PTblRB" style="font-size:8pt;">&nbsp;</td>
                      <td class="styIRS5735PTblRB" style="border-right:0;font-size:8pt;">&nbsp;</td>
                    </tr>
                  </xsl:otherwise>
                </xsl:choose>
              </tbody>
            </table>
          </div>
          <xsl:call-template name="SetInitialDynamicTableHeight">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCostSharingAmount"/>
            <xsl:with-param name="containerHeight" select="3"/>
            <xsl:with-param name="headerHeight" select="1"/>
            <xsl:with-param name="containerID" select="'part4TPctn'"/>
          </xsl:call-template>
          <p style="page-break-before:always"/>
          <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
            <div class="styLeftOverTitle">

          Additional Data        

        </div>
            <div class="styLeftOverButtonContainer">
              <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
            </div>
          </div>
          <table class="styLeftOverTbl">
            <xsl:call-template name="PopulateCommonLeftover">
              <xsl:with-param name="TargetNode" select="$Form5735PData"/>
            </xsl:call-template>
          </table>
          
          <xsl:if test="($Print =$Separated) and (count($Form5735PData/AffltSharesOfCombinedTxblIncm) &gt; 4)"> 
            <br />
            <br />
            <span class="styRepeatingDataTitle">Form IRS5735 Schedule P, Part III - Schedule of affiliates' shares of combined taxable income reported on line 4 of Part III :</span>
            <div>
              <table class="styDepTbl" style="font-size:7pt">
                <thead class="styTableThead">
                  <tr class="styDepTblHdr" align="center" style="height:14mm">
                    <th class="styDepTblCell" nowrap="nowrap" style="width:95mm" scope="col"><br/>(a)<br/>
                      Name of affiliate
                    </th>
                    <th class="styDepTblCell" nowrap="nowrap" style="width:44mm" scope="col"><br/>(b)<br/>
                      Identifying number
                      </th>
                    <th class="styDepTblCell" nowrap="nowrap" scope="col" style="border-right:0">(c)<br/>
                      Amount of share.<span style="font-size:7pt">
                          <br/>Enter here and include on line 10,<br/>page 1, Form 1120 of the appropriate<br/>affiliate.</span>                      
                    </th>
                  </tr>
                </thead>
                <tfoot/>
                <tbody>
                  <xsl:call-template name="p3Template">
                    <xsl:with-param name="max" select="$p3Count"/>
                    <xsl:with-param name="isDependentTable"  select="1"/>
                  </xsl:call-template>
                </tbody>
              </table>
            </div>
          </xsl:if>
          
          <xsl:if test="($Print =$Separated) and (count($Form5735PData/AffltSharesOfCostSharingAmount) &gt; 3)"> 
            <br />
            <br />
            <span class="styRepeatingDataTitle">Form IRS5735 Schedule P, Part IV - Schedule of affiliates' shares of cost sharing amount and marketing intangible income:</span>
              <div>
                <table class="styDepTbl" style="font-size:7pt;" cellspacing="0" cellpadding="0" border="0">
                  <thead class="styTableThead">
                    <tr class="styDepTblHdr" align="center" style="height:18mm">
                      <th class="styDepTblCell" nowrap="nowrap" style="width:73mm" scope="col"><br/><br/><br/>(a)<br/>
                        Name of affiliate
                      </th>
                      <th class="styDepTblCell" nowrap="nowrap" style="width:30mm" scope="col"><br/><br/><br/>(b)<br/>
                        Identifying number
                      </th>
                      <th class="styDepTblCell" nowrap="nowrap" style="width:41mm" scope="col">(c)<br/>
                        Share of cost sharing amount.<span style="font-size:7pt">
                            <br/>Enter here and reduce line 26,page 1, Form 1120, of the appropriate affiliate by this amount.
                        </span>
                      </th>
                      <th class="styDepTblCell" nowrap="nowrap" scope="col" style="border-right:0">(d)<br/>
				Share of marketing intangible<br/>income.<span style="font-size:7pt">
                            <br/>Enter here and include on line 10,<br/>page 1, Form 1120, of the<br/>appropriate affiliate.</span>
                      </th>
                    </tr>
                  </thead>
                  <tfoot/>
                  <tbody>
                    <xsl:call-template name="p4Template">
                      <xsl:with-param name="max" select="$p4Count"/>
                      <xsl:with-param name="isDependentTable"  select="1"/>
                    </xsl:call-template>
                  </tbody>
                </table>
              </div>
            </xsl:if>

        </form>
      </body>
    </html>
  </xsl:template>
  <xsl:template name="p3Template">
    <xsl:param name="index" select="1"/>
    <xsl:param name="max"/>
    <xsl:param name="isDependentTable"/>
    <xsl:if test="$index &lt;= $max">
      <tr align="right" height="17">
        <xsl:if test="$isDependentTable = 1">
          <!-- Define background colors to the rows -->
            <xsl:attribute name="class">
              <xsl:choose>
                <xsl:when test="$index mod 2 = 1">styDepTblRow1</xsl:when>
                <xsl:otherwise>styDepTblRow2</xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
        </xsl:if>
        <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left">
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCombinedTxblIncm[$index]/NameOfAffiliate/BusinessNameLine1"/>
          </xsl:call-template>
          <xsl:if test="normalize-space($Form5735PData/AffltSharesOfCombinedTxblIncm[$index]/NameOfAffiliate/BusinessNameLine2)!=''">
            <br/>
            <xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCombinedTxblIncm[$index]/NameOfAffiliate/BusinessNameLine2"/>
            </xsl:call-template>
          </xsl:if>
        </td>
        <td class="styIRS5735PTblRB" align="center">
          <xsl:call-template name="PopulateEIN">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCombinedTxblIncm[$index]/IdentifyingNumber"/>
          </xsl:call-template>
          <span style="width: 2px"/>
        </td>
        <td class="styIRS5735PTblRB" style="border-right:0">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCombinedTxblIncm[$index]/AmountOfShare"/>
          </xsl:call-template>&nbsp;

      </td>
      </tr>
      <xsl:call-template name="p3Template">
        <xsl:with-param name="index" select="$index + 1"/>
        <xsl:with-param name="max" select="$max"/>
        <xsl:with-param name="isDependentTable" select="$isDependentTable" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template name="p4Template">
    <xsl:param name="index" select="1"/>
    <xsl:param name="max"/>
    <xsl:param name="isDependentTable"/>
    <xsl:if test="$index &lt;= $max">
      <tr align="right" height="17">
        <xsl:if test="$isDependentTable = 1">
        <!-- Define background colors to the rows -->
          <xsl:attribute name="class">
            <xsl:choose>
              <xsl:when test="$index mod 2 = 1">styDepTblRow1</xsl:when>
              <xsl:otherwise>styDepTblRow2</xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
        </xsl:if>
        <td class="styIRS5735PTblRB" style="font-size:8pt;" align="left">
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCostSharingAmount[$index]/NameOfAffiliate/BusinessNameLine1"/>
          </xsl:call-template>
          <xsl:if test="normalize-space($Form5735PData/AffltSharesOfCostSharingAmount[$index]/NameOfAffiliate/BusinessNameLine2)!=''">
            <br/>
            <xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCostSharingAmount[$index]/NameOfAffiliate/BusinessNameLine2"/>
            </xsl:call-template>
          </xsl:if>
        </td>
        <td class="styIRS5735PTblRB" align="center" style="font-size:8pt;">
          <xsl:call-template name="PopulateEIN">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCostSharingAmount[$index]/IdentifyingNumber"/>
          </xsl:call-template>
          <span style="width: 2px"/>
        </td>
        <td class="styIRS5735PTblRB" style="font-size:8pt;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCostSharingAmount[$index]/ShareOfCostSharingAmount"/>
          </xsl:call-template>&nbsp;

      </td>
        <td class="styIRS5735PTblRB" style="border-right:0;font-size:8pt;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form5735PData/AffltSharesOfCostSharingAmount[$index]/ShareMarketingIntangibleIncome"/>
          </xsl:call-template>&nbsp;

      </td>
      </tr>
      <xsl:call-template name="p4Template">
        <xsl:with-param name="index" select="$index + 1"/>
        <xsl:with-param name="max" select="$max"/>
        <xsl:with-param name="isDependentTable" select="$isDependentTable"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
