<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS7004Style.xsl"/>


<xsl:output method="html" indent="yes" />
<xsl:strip-space elements="*" />

<xsl:param name="FormData" select="$RtnDoc/IRS7004" />


<xsl:template match="/">
<html>
	<head>
		<title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" 
		select="local-name($FormData)"></xsl:with-param></xsl:call-template></title>
		<!-- No Browser Caching -->
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Expires" content="0" />
		<!-- No Proxy Caching -->
		<meta http-equiv="Cache-Control" content="private" />
		<!-- Define Character Set -->
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
		<meta name="Description" content="Form IRS7004" />				
		<script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript">
		</script>
		<xsl:call-template name="InitJS"></xsl:call-template>
		<style type="text/css">		
			<xsl:if test="not($Print) or $Print=''">
				<xsl:call-template name="IRS7004Style"></xsl:call-template>
				<xsl:call-template name="AddOnStyle"></xsl:call-template>				
			</xsl:if>
		</style>
	<xsl:call-template name="GlobalStylesForm"/>
</head>

<body class="styBodyClass">
	<form name="Form7004">
		<xsl:call-template name="DocumentHeader"/>	
			
<!--Title of Form7004 -->		
	<div class="styBB" style="width:187mm;height: 20mm">
		<div class="styFNBox" style="height:24mm; width:33mm;font-size: 9pt; padding-top:2mm;">
			Form <span class="styFormNumber">7004</span>
			<br/>
			
			<span class="styAgency" style="font-weight:bold; ">(Rev. December 2005)</span>
			<span>
				<xsl:call-template name="SetFormLinkInline">
					<xsl:with-param name="TargetNode" select="$FormData"/>
				</xsl:call-template>	
			</span>	
		
			<div><span class="styAgency">Department of the Treasury</span><br />
			         <span class="styAgency">Internal Revenue Service</span></div>
	     	</div>
		
		<div class="styFTBox" style="width:123mm; height: 23mm">
			
				<div class="styMainTitle" style="padding-top:2mm;font:11pt;font-weight:bold" >
				        Application for Automatic 6-Month Extension of Time To File <br/>
				        Certain Business Income Tax, Information, and Other Returns<br/>
			     </div>
				<div class="styMainTitle" style="font:7pt;font-weight:normal;padding-top:5mm;" ><br/>
				       <div class="styFBT" style="height:5mm;">
                               <img src="{$ImagePath}/5471_Bullet_Title.gif" alt="bullet"/>
                                File a separate application for each return.
                           </div>
                    </div>
			</div>
		
		<div class="styTYBox" style="width:31mm; height: 24mm">				
			<div style="padding-top:10mm; font-size:7pt;font-weight:bold;">OMB No. 1545-0233</div>
		</div>
	</div>
	<!--  End title of Form  -->

	<div class="styGenericDiv" style="width:187mm;">
	     <div class="styIRS7004TextBox" style="font-size:9pt; width:17mm; height:31mm;border-bottom-width:0px">
	     	<span class="styBoldText">Type or print<br/><br/></span>
           	<span class="styArialText" style="font-weight:bold;">
           	File by the due date for the return for which an extension is
           	 requested. See instructions.</span>
        	</div>

<!-- name   -->
 		<div class="styIRS7004TextBox" style="font-size:7pt;width:114mm;height:10mm;
      		padding-left:2mm;border-bottom-width:0px;">Name
 			<div  style="padding-left:5mm; line-height:110%">
 			<xsl:call-template name="PopulateReturnHeaderFiler">
 			<xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>
            <xsl:call-template name="PopulateReturnHeaderFiler">
            <xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
            </xsl:call-template>
 		 	</div>

<!-- end name -->


 			
<!-- Since this is a main form, we must check for and display an updated EIN.  To do this, we use the EINChanged parameter when calling PopulateReturnHeaderFiler.-->
<!-- xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="EINChanged">true</xsl:with-param><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template -->
 		
  		</div>
  		

<!-- Taxpayer identification number -->

  		<div class="styIRS7004TextBox" style="font-size:7pt;width:55mm;height:10mm;
      		padding-left:2mm;border-right-width:0px;border-bottom-width:0px;">
  			<span class="styBoldText">Taxpayer identification number</span>
  				<div style="text-align:left; width:100%; padding-top:4mm; font-weight:normal">
                          <!-- Since this is a main form, we must check for and display an updated EIN.  To do this, we use the EINChanged parameter when calling PopulateReturnHeaderFiler.-->
 				<xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="EINChanged">true</xsl:with-param><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>
 			</div>
              
  		</div>

<!-- end Taxpayer identification number -->

  		
<!-- Number, street, and room or suite no. if P.O. box --> 
      
          <div class="styIRS7004TextBox" style="font-size:7pt;width:169mm;height:8mm;
                border-top-width:1px;border-right-width:0px;padding-left:2mm">
          	Number, street, and room or suite no. if P.O. box,
          	 see instructions.
          	  <div style="padding-left:5mm; line-height:110%">
 			  <xsl:call-template name="PopulateReturnHeaderFiler">
 			  <xsl:with-param name="TargetNode">AddressLine1</xsl:with-param>
 			  </xsl:call-template><br />
                 <xsl:call-template name="PopulateReturnHeaderFiler">
                 <xsl:with-param name="TargetNode">AddressLine2</xsl:with-param>
                 </xsl:call-template>
  		</div>
      </div>
<!-- end Number, street, and room or suite no. if P.O. box -->       

<!-- City or town -->

		<div class="styIRS7004TextBox" style="font-size:7pt;width:169mm;height:12mm;
	     	 border-right-width: 0px;border-bottom-width: 0px;padding-left:2mm">
			City, town, state, and ZIP code (If a foreign address, enter city, province or state, and country (follow the country’s practice for entering
                 postal code)).
 			<div  style="padding-left:5mm">
 			<xsl:call-template name="PopulateReturnHeaderFiler">
 			<xsl:with-param name="TargetNode">CityStateInfo</xsl:with-param></xsl:call-template>
          <br />
               <xsl:call-template name="PopulateReturnHeaderFiler">
               <xsl:with-param name="TargetNode">Country</xsl:with-param>
               <xsl:with-param name="MainForm">true</xsl:with-param></xsl:call-template>
  		</div>
     </div>
	</div>
	 <div class="styBB" style="font-size:9pt; width:187mm; height:8mm; border-bottom-width: 0px;
	         border-top-width: 1px;">
	 	<span class="styBoldText">Caution: Carefully complete all items. Incorrect information may cause delay or rejection.</span>
 	 </div>
  	
<!-- line 1 -->	
	 <div style="width:187mm">
        <div class="styLNLeftNumBox" style="height:4mm;">
          1
      </div>
          <div class="styLNDesc" style="width:165mm;height:4mm;">
             <span style="float:left">
                 Enter only one code for type of return that this automatic 6-month
                 extension is for (see below)</span>
             <span class="styBoldText" style="padding-right:1mm">
             <span style="width:3px;"></span>.
             <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
         
           </span>
        </div>  
         <div class="styFNBox" style="border-right-width: 0px;height: 4mm; width:6mm;
                border-top-width: 0px;">
         </div>
         <div class="styFNBox" 
                 style="border-right-width: 1px;border-left-width: 1px; border-bottom-width: 1px;
                 border-top-width: 1px;height: 4mm;width:4mm;width:8mm;padding-left:2mm">
                 <xsl:call-template name="PopulateText">
                 <xsl:with-param name="TargetNode" select="$FormData/TypeOfReturnCode"/>
                 </xsl:call-template>  
          </div>
     
    </div> 
 <!-- end line 1 -->
 
  <div style="width:187mm"></div>

  <!-- line 2 -->
 
  <div style="width:187mm">
 	
        <div class="styLNLeftNumBox" style="height:4mm;">
          2
        </div>
          <div class="styLNDesc" style="width:168mm;height:4mm;">
             <span style="float:left">
             If the foreign corporation does not have an office or place of business in the United States, check here</span>
            <span class="styBoldText" style="padding-right:1mm">
            <span style="width:8px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
          
            <img src="{$ImagePath}/5471_Bullet_Title.gif" alt="bullet"/>
            </span>
        </div>  
         <div class="styFNBox" style="border-right-width: 0px;height: 4mm; width:3mm;
                 border-top-width: 0px;">
         </div>
         <input type="checkbox" class="styCkbox" name="InitialReturn" id="FrgnCorpDoesNotHaveOfficeInUS">
				<xsl:call-template name="PopulateCheckbox">
		          		<xsl:with-param name="TargetNode" select="$FormData/FrgnCorpDoesNotHaveOfficeInUS" />
				</xsl:call-template>
         </input>
         
         <label>
		<xsl:call-template name="PopulateLabel">
			<xsl:with-param name="TargetNode" select="$FormData/FrgnCorpDoesNotHaveOfficeInUS" />
		</xsl:call-template>
	</label>
         
     </div>
<!-- end line2 --> 

  <div style="width:187mm"></div>


<!-- line 3 -->


 <div style="width:187mm;height:4mm">
 
 <label>
	<xsl:call-template name="PopulateLabel">
		<xsl:with-param name="TargetNode" select="$FormData/Form990C" />
	</xsl:call-template>
						
</label>

        <div class="styLNLeftNumBox" style="height:4mm;">
          3
        </div>
          <div class="styLNDesc" style="width:168mm;height:4mm;">
             <span style="float:left">
               If  the organization qualifies under Regulations section 1.6081-5 (see instructions), 
               check here</span>
            <span class="styBoldText" style="padding-right:1mm">
            <span style="width:4px;"></span>.
             <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
         
            <img src="{$ImagePath}/5471_Bullet_Title.gif" alt="bullet"/>
            </span>
        </div>  
         <div class="styFNBox" style="border-right-width: 0px;height: 4mm; width:3mm;
           border-top-width: 0px;">
         </div>
        
         <input type="checkbox" class="styCkbox" name="InitialReturn" id="FilingUnderRegSect160815">
				<xsl:call-template name="PopulateCheckbox">
		          		<xsl:with-param name="TargetNode" select="$FormData/FilingUnderRegSect160815" />
				</xsl:call-template>
         </input>
        <label>
        	<xsl:call-template name="PopulateLabel">
		    <xsl:with-param name="TargetNode" select="$FormData/FilingUnderRegSect160815" />
     	    </xsl:call-template>
      </label>

     </div>
<!-- end line3 -->

  <div style="width:187mm"></div>


<!-- line 4a -->
  <div style="width:187mm;height:4mm">
        <div class="styLNLeftNumBox" style="height:4mm;">
          4a
        </div>
        <div class="styGenericDiv">
         For calendar year 
         <span style="width: 10mm;border-bottom:1 solid black">
        <xsl:call-template name="PopulateReturnHeaderTaxYear"></xsl:call-template>
        </span>, or other tax year beginning
        <span style="width: 18mm;border-bottom:1 solid black;">
        <!-- No need to send the parameters -->
        <xsl:call-template name="PopulateReturnHeaderTaxPeriodBeginDate"></xsl:call-template>
        </span>, and ending 
        <span style="width: 18mm;border-bottom:1 solid black;">
        <!-- No need to send the parameters -->
        <xsl:call-template name="PopulateReturnHeaderTaxPeriodEndDate"></xsl:call-template>
        </span>
        </div>     
     </div>

<!-- end line 4a -->     

  <div style="width:187mm"></div>


<!-- line 4b -->
        <div style="width:187mm;height:5mm;padding-left:3mm;font-weight:bold;">
                b<span style="font-weight:bold;padding-left:3mm">Short tax year.</span>
                <span style="font-weight:normal;"> If this tax year is less than 12 months, check the reason:</span>
        </div>
        <div class="styGenericDiv" style="width:187mm;">
              	<div class="styGenericDiv" style="padding-left:8mm;width:28mm;">
           		
           			<input type="checkbox" class="styCkbox" name="InitialReturn" id="InitialReturn">
						<xsl:call-template name="PopulateCheckbox">
							<xsl:with-param name="TargetNode" select="$FormData/InitialReturn" />
						</xsl:call-template>
           			</input>
           			<label>
						<xsl:call-template name="PopulateLabel">
							<xsl:with-param name="TargetNode" select="$FormData/InitialReturn" />
						</xsl:call-template>
						Initial return
					</label>
           	</div>
          
           	<div class="styGenericDiv" style="padding-left:8mm;width:30mm;">
           		
           			<input type="checkbox" class="styCkbox" name="FinalReturn" id="FinalReturn">
						<xsl:call-template name="PopulateCheckbox">
							<xsl:with-param name="TargetNode" select="$FormData/FinalReturn" />
						</xsl:call-template>
           			</input>
           			<label>
						<xsl:call-template name="PopulateLabel">
							<xsl:with-param name="TargetNode" select="$FormData/FinalReturn" />
						</xsl:call-template>
						Final return
					</label>
           	</div>

              	<div class="styGenericDiv" style="padding-left:8mm;width:50mm;">
           		
           			<input type="checkbox" class="styCkbox" name="ChangeInAccountingPeriod" id="ChangeInAccountingPeriod">
						<xsl:call-template name="PopulateCheckbox">
							<xsl:with-param name="TargetNode" select="$FormData/ChangeInAccountingPeriod" />
						</xsl:call-template>
           			</input>
           			<label>
						<xsl:call-template name="PopulateLabel">
							<xsl:with-param name="TargetNode" select="$FormData/ChangeInAccountingPeriod" />
						</xsl:call-template>
						Change in accounting period
					</label>
           	</div>
           	
              	<div class="styGenericDiv" style="padding-left:8mm;width:60mm;">
           		
           			<input type="checkbox" class="styCkbox" 
           			name="ConsolidatedReturnToBeFiled" id="ConsolidatedReturnToBeFiled">
						<xsl:call-template name="PopulateCheckbox">
							<xsl:with-param name="TargetNode" select="$FormData/ConsolidatedReturnToBeFiled" />
						</xsl:call-template>
           			</input>
           			<label>
						<xsl:call-template name="PopulateLabel">
							<xsl:with-param name="TargetNode" select="$FormData/ConsolidatedReturnToBeFiled" />
						</xsl:call-template>
						Consolidated return to be filed
					</label>
           	</div>
         </div> 
          


<!-- end line 4b --> 

  <div style="width:187mm"></div>
  <div style="width:187mm"></div>

     
<!-- line 5 -->
 
 
  <div style="width:187mm;height:4mm">
  <label>
	<xsl:call-template name="PopulateLabel">
		<xsl:with-param name="TargetNode" select="$FormData/Form990C" />
	</xsl:call-template>
  </label>

        <div class="styLNLeftNumBox" style="height:4mm">
          5
        </div>
          <div class="styLNDesc" style="width:167mm;height:4mm;">
             <span style="float:left">
               If  the organization is a corporation and is the common parent of a group that intends
               to file consolidated, Check here</span>
            <span class="styBoldText" style="padding-right:1mm">
            <span style="width:4px;"></span>.
            <span style="width:4px;"></span>.
            <span style="width:4px;"></span>.
            <span style="width:4px;"></span>.
          

            <img src="{$ImagePath}/5471_Bullet_Title.gif" alt="bullet"/>
            </span>
        </div>  
         <div class="styFNBox" style="border-right-width: 0px;height: 4mm; width:4mm;
         border-top-width: 0px;">
         </div>
             <input type="checkbox" class="styCkbox" name="InitialReturn" id="CorpForConsolidatedGroup">
				<xsl:call-template name="PopulateCheckbox">
		          		<xsl:with-param name="TargetNode" select="$FormData/CorpForConsolidatedGroup" />
				</xsl:call-template>
         </input>
          <label>
        	<xsl:call-template name="PopulateLabel">
		    <xsl:with-param name="TargetNode" select="$FormData/CorpForConsolidatedGroup" />
     	    </xsl:call-template>
        </label>
         
     </div>
     
      <div style="width:187mm;height:4mm;padding-left:8mm">
          Also, you must attach a schedule, listing the name, address,
          and EIN for each member covered by this extension.
           <xsl:call-template name="SetFormLinkInline">
                <xsl:with-param name="TargetNode" select="$FormData/CorpForConsolidatedGroup"/>
              </xsl:call-template>   
          

          
      </div> 
      
<!-- end line5 --> 

<!-- Start line 6 -->

      <div style="width:187mm">
        <div class="styLNLeftNumBox" style="height:4mm;">
      
        </div>
        <div class="styLNDesc" style="width:138.75mm;height:4mm;float:left;font-weight:bold">
           
             <span style="font-weight:normal">
         
          </span>
        </div>      
        <div class="styLNRightNumBox" style="border-bottom-width:0px;">
      </div>          
        <div class="styLNAmountBox" style="height:4mm;border-bottom-width:0px;" >
     </div>                
    </div>

<!-- End line 6 --> 
  

<!-- Start line 6a -->

      <div style="width:187mm">
        <div class="styLNLeftNumBox" style="height:4mm;">6
          
        </div>
        <div class="styLNDesc" style="width:138.75mm;height:4mm;">
          <span style="float:left;font-weight:normal">
            Tentative total tax (see instructions)</span>
          <span class="styBoldText" style="float:right;padding-right:1mm">          
            <span style="width:1px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.

           </span>
        </div>      
        <div class="styLNRightNumBox">
          6         
        </div>          
        <div class="styLNAmountBox" style="height:4mm;" >
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/TentativeTax"/>
          </xsl:call-template>    
        </div>                
    </div>
<!-- Start line 7 -->

      <div style="width:187mm">
        <div class="styLNLeftNumBox" style="height:4mm;">
      
        </div>
        <div class="styLNDesc" style="width:138.75mm;height:4mm;float:left;font-weight:bold">
           
             <span style="font-weight:normal">
         
          </span>
        </div>      
        <div class="styLNRightNumBox" style="border-bottom-width:0px;">
      </div>          
        <div class="styLNAmountBox" style="height:4mm;border-bottom-width:0px;" >
     </div>                
    </div>

<!-- End line 7 --> 
  

<!-- Start line 7a -->

      <div style="width:187mm">
        <div class="styLNLeftNumBox" style="height:4mm;">7
          
        </div>
        <div class="styLNDesc" style="width:138.75mm;height:4mm;">
          <span style="float:left;font-weight:bold">
           Total </span>
           <span style="float:left;font-weight:normal;padding-left:1mm"> payments and credits (see instructions)
           
          <xsl:call-template name="LinkToLeftoverDataTableInline">
          <xsl:with-param name="Desc">Line 7 - Backup Withholding Indicator</xsl:with-param>
          <xsl:with-param name="TargetNode" select="$FormData/TotalPaymentsAndRefundableCr/@backupWithholdingIndicator"/>
         
        </xsl:call-template>
        <xsl:call-template name="LinkToLeftoverDataTableInline">
          <xsl:with-param name="Desc">Line 7 - Backup Withholding Amount</xsl:with-param>
          <xsl:with-param name="TargetNode" select="$FormData/TotalPaymentsAndRefundableCr/@backupWithholdingAmount"/>
          <xsl:with-param name="Style">padding-left:4mm;</xsl:with-param>
        </xsl:call-template>
</span>
  <span class="styBoldText" style="float:right;padding-right:1mm;">          
            <span style="width:1px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
             <span style="width:16px;"></span>.
        
           </span>
          
         
        </div>      
        <div class="styLNRightNumBox">
          7         
        </div>          
        <div class="styLNAmountBox" style="height:4mm;" >
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/TotalPaymentsAndRefundableCr"/>
          </xsl:call-template>    
        </div>                
    </div>

<!-- End line 7a --> 

 <!-- line 8 -->

  <div style="width:187mm">
        <div class="styLNLeftNumBox" style="height:10mm;">
         8
        </div>
        <div class="styLNDesc" style="width:138.75mm;height:4mm;">
          <span style="float:left;font-weight:bold;">Balance due.</span>
          <span style="float:left;font-weight:normal;padding-left:1mm">Subtract line 7 from line 6.</span>
          <span style="float:left;font-weight:bold;padding-left:1mm">Generally, you must deposit this amount using the Electronic </span>
          <span style="font-weight:bold;">Federal Tax Payment System (EFTPS), a Federal Tax Deposit (FTD) Coupon, 
                               or Electronic Funds Withdrawal (EFW)</span><span style="width:1mm"></span>
          <span style="font-weight:normal;">(see instructions for exceptions)</span>
        
         <span class="styBoldText" >
            <span style="width:2px;"></span>.
           <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
         </span>
        </div>  
                
                      
        <div class="styLNRightNumBox"
                style="border-bottom-width: 0px;border-top-width: 0px;height:10mm;padding-top:7mm" >8
         </div>

   
          <div class="styLNAmountBox" 
                style="height:4mm;width:32mm;
                border-bottom-width: 0px;border-top-width: 0px;border-left-width:1px;
                height:10mm;padding-top:7mm" >
                <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/BalanceDue"/>
          </xsl:call-template>        

        </div>
       
    </div>  
  
    <!-- end line 8 -->     


<!-- extention table -->

<!-- line 1T -->
<div style="width:187mm;clear:both;">


      <div class="styLNAmountBox" 
                style="height:5mm;width:80mm;border-top-width: 01px;border-left-width: 0px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm;">
                          <span style="font-size: 8pt;font-weight:bold;text-align:left;
			            float:left; clear: none;">Extension<br/> Is For:</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:5mm;width:13mm;border-top-width: 1px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm">
                          <span style="font-size: 8pt;font-weight:bold;text-align:left;
			            float:left; clear: none;"> Form<br/>Code</span>
      </div>

      <div class="styLNAmountBox" 
                style="height:5mm;width:80mm;border-top-width: 1px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:2mm">
                          <span style="font-size: 8pt;font-weight:bold;text-align:left;
			            float:left; clear: none;">Extension<br/> Is For:</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:5mm;width:13.5mm;border-top-width: 1px;border-left-width: 1px
                         ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm">
                          <span style="font-size: 8pt;font-weight:bold;text-align:left;
			            float:left; clear: none;"> Form<br/>Code</span>
      </div>
</div>

<!-- end line1T -->

<!-- line 2T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 706-GS(D)</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">01</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-L</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">18</span>
      </div>


</div>

<!-- end line2T -->


<!-- line 3T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width:0px;border-bottom-width: 1px;
                          padding-top:.5mm">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 706-GS(T)</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">02</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-ND</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                         ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">19</span>
      </div>


</div>

<!-- end line3T -->

<!-- line 4T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-right-width: 0px;
                          ;border-left-width:0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 990-C</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">03</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-ND (section 4951 taxes)</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">20</span>
      </div>
</div>

<!-- end line4T -->

<!-- line 5T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;
                          padding-top:.5mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1041 (estate)</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">04</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-PC</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">21</span>
      </div>
</div>

<!-- end line5T -->

<!-- line 6T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1041 (trust)</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">05</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-POL</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                         3px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">22</span>
      </div>


</div>

<!-- end line 6T -->

<!-- line 7T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;
                          padding-top:.5mm">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1041-N</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">06</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                         border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-REIT</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">23</span>
      </div>


</div>

<!-- end line7T -->

<!-- line 8T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1041-QFT</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">07</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-RIC</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">24</span>
      </div>


</div>

<!-- end line 8T -->

<!-- line 9T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;
                          padding-top:.5mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1042</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">08</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-S</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">25</span>
      </div>


</div>

<!-- end line9T -->

<!-- line 10T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1065</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">09</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-SF</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px;
                          border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">26</span>
      </div>


</div>

<!-- end line10T -->


<!-- line 11T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;
                          padding-top:.5mm">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1065-B</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">10</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 3520-A</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">27</span>
      </div>


</div>

<!-- end line11T -->

<!-- line 12T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1066</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">11</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 8612</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          : 3px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">28</span>
      </div>


</div>

<!-- end line 12T -->

<!-- line 13T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;
                          padding-top:.5mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">12</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 8613</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">29</span>
      </div>


</div>

<!-- end line13T -->

<!-- line 14T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120 (subchapter T cooperative)</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">13</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width:01
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 8725</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">30</span>
      </div>


</div>

<!-- end line14T -->


<!-- line 15T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;
                          padding-top:.5mm">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-A</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">14</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 8804</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">31</span>
      </div>


</div>

<!-- end line 15T -->

<!-- line 16T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-F</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">15</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 8831</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">32</span>
      </div>


</div>

<!-- end line16T -->

<!-- line 17T -->
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;
                          padding-top:.5mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-FSC</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">16</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 8876</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">33</span>
      </div>


</div>

<!-- end line 17T -->
 
<div style="width:187mm;clear:both;">

      <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;
                          ;border-left-width:0px;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;background-color:lightgrey;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;">Form 1120-H</span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:4mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 1px;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;font-weight:bold;
                          padding-right:4mm;clear: none;">17</span>
      </div>

     <div class="styLNAmountBox" 
                style="height:4mm;width:80mm;border-top-width: 0px;border-left-width: 1px
                          ;border-right-width: 0px;border-bottom-width: 1px;padding-top:.5mm
                          ;padding-left:2mm;">
                          <span style="font-size: 9pt;text-align:left;
			            float:left; clear: none;"></span>
      </div>
      
       <div class="styLNAmountBox" 
                style="height:5mm;width:13mm;border-top-width: 0px;border-left-width: 1px
                          ;border-bottom-width: 1px;padding-top:.5mm;
                          padding-left:1mm;">
                          <span style="font-size: 9pt;text-align:center;
                          padding-right:4mm;clear: none;"></span>
      </div>


</div>



<!-- end extention table -->

<!-- form end -->
<div style="width:187mm;clear:both;">
	<div style="width:100mm;font-weight:bold;" class="styGenericDiv">For Paperwork Reduction Act Notice, see instructions.</div>
	<div style="width:45mm;text-align:center;" class="styGenericDiv">Cat. No. 13804A</div>
	<div style = "float:right;" class="styGenericDiv">Form <span class="styBoldText">7004</span> (Rev. 12-2005)</div>
</div>

<!-- br class="pageEnd"/ -->
				
<!-- Begininning of write-in data -->
		<div class="styLeftOverTitleLine" id="LeftoverData">
			<div class="styLeftOverTitle"><br/>
				Additional Data				
			</div>
			<div class="styLeftOverButtonContainer">
				<input class="styLeftoverTableBtn" tabindex="1" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
			</div>			
		</div>
	<table class="styLeftOverTbl">
			<xsl:call-template name="PopulateCommonLeftover">
				<xsl:with-param name="TargetNode" select="$FormData" />
				<xsl:with-param name="DescWidth" select="100"/>
		</xsl:call-template>
			
		<xsl:call-template name="PopulateLeftoverRow">
             <xsl:with-param name="Desc">Form 7004, Top Left Margin - Filing under regulation section 1.6081-5</xsl:with-param>
             <xsl:with-param name="TargetNode" select="$FormData/@filingUnderRegSection160815"/>
             <xsl:with-param name="DescWidth" select="100"/>
             </xsl:call-template>
             <xsl:if test="$FormData/Form1120">
             <xsl:call-template name="PopulateLeftoverRow">
             <xsl:with-param name="Desc">Form 7004 - Subchapter T Cooperative Indicator</xsl:with-param>
             <xsl:with-param name="TargetNode" select="$FormData/Form1120/@subchapterTCoopIndicator"/>
             <xsl:with-param name="DescWidth" select="100"/>
        </xsl:call-template>
 </xsl:if> 

<!--xsl:call-template name="PopulateLeftoverRowForCheckboxOrBoolean">
<xsl:with-param name="Desc">Form 7004 - Form 1120F Does Not Have Office In US</xsl:with-param>
<xsl:with-param name="TargetNode" select="$FormData/Form1120F/@form1120FDoesNotHaveOfficeInUS"/>
<xsl:with-param name="DescWidth" select="100"/>
</xsl:call-template-->
<!--xsl:call-template name="PopulateLeftoverRow">
<xsl:with-param name="Desc">Form 7004 - Form 1120F Does Not Have Office In US</xsl:with-param>
<xsl:with-param name="TargetNode" select="$FormData/Form1120F/@form1120FDoesNotHaveOfficeInUS"/>
<xsl:with-param name="DescWidth" select="100"/>
</xsl:call-template-->

       <xsl:call-template name="PopulateLeftoverRow">
            <xsl:with-param name="Desc">Line 5 - Backup Withholding Indicator</xsl:with-param>
            <xsl:with-param name="TargetNode" select="$FormData/TotalPaymentsAndRefundableCr/@backupWithholdingIndicator"/>
            <xsl:with-param name="DescWidth" select="100"/>
      </xsl:call-template>

      <xsl:call-template name="PopulateLeftoverRowAmount">
           <xsl:with-param name="Desc">Line 5 - Backup Withholding Amount</xsl:with-param>
           <xsl:with-param name="TargetNode" select="$FormData/TotalPaymentsAndRefundableCr/@backupWithholdingAmount"/>
           <xsl:with-param name="DescWidth" select="100"/>
      </xsl:call-template>
    
	</table>
<!-- Begin separated repeating Data table -->
      <xsl:if test="$Print = $Separated and count($FormData/AffiliatedGroupInfo) &gt; 6">
      <span class="styRepeatingDataTitle">Form 7004, Line 2 - Members of an affiliated group of corporations filing a consolidated return (consolidated group):</span>
      <table class="styDepTbl" style="font-size:7pt;"  cellspacing="0">
 	 <thead class="styTableThead" style="border-color:black">
		
		<tr class="styDepTblHdr">
			<th class="styDepTblCell" style="font-weight:bold;width:142mm;height:4mm">Name and address of each member of the affiliated group</th>
			<th class="styDepTblCell" style="font-weight:bold;width:45mm;height:4mm;border-right-width: 0px">Employer identification number</th>
	     </tr>
	</thead>
	<tfoot/>
	<tbody style="border-color:black; vertical-align:bottom;border-bottom-width:0px;">
				<xsl:for-each select="$FormData/AffiliatedGroupInfo">
					<tr>
	                         <xsl:attribute name="class">
                               <xsl:choose>
                               <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
                                <xsl:otherwise>styDepTblRow2</xsl:otherwise>
                                </xsl:choose>
                                </xsl:attribute>
						<td class="styDepTblCell" style="text-align: left; width:142mm;height:8mm;">
						 <xsl:call-template name="PopulateText">
                                              <xsl:with-param name="TargetNode" select="AffiliatedGroupName/BusinessNameLine1" /> 
                                            </xsl:call-template>         
                                           <xsl:if test="normalize-space(AffiliatedGroupName/BusinessNameLine2)!=''">
                                              <br /> 
                                             <xsl:call-template name="PopulateText">
                                                <xsl:with-param name="TargetNode" select="AffiliatedGroupName/BusinessNameLine2" /> 
                                              </xsl:call-template>
                                            </xsl:if>							 
	          						<br/>
                                            <xsl:choose>
                                                        <xsl:when test="AffiliatedGroupUSAddress">
                                                             <xsl:call-template name="PopulateUSAddressTemplate">
                                                     
                                                    <xsl:with-param name="TargetNode" select="AffiliatedGroupUSAddress" />
                                                   
                                                  </xsl:call-template>  
                                                        
                                                        </xsl:when>
                                                         <xsl:otherwise>
                                                              <xsl:call-template name="PopulateForeignAddressTemplate">
                                                     
                                                    <xsl:with-param name="TargetNode" select="AffiliatedGroupFrgnAddress" />
                                                   
                                                  </xsl:call-template>  
                                                      </xsl:otherwise>
                                                      </xsl:choose>
							<span class="styTableCellPad"></span>
						</td>
						<td class="styDepTblCell" style="text-align: center; width:45mm;">
							<xsl:choose> 
							<xsl:when test="AffiliatedGroupEIN">
                                                  
                                                    <xsl:call-template name="PopulateEIN">
                                                     
                                                    <xsl:with-param name="TargetNode" select="AffiliatedGroupEIN" />
                                                   
                                                  </xsl:call-template>  
                                                  
                                                </xsl:when> 
                                                <xsl:otherwise>
                                                <div style="text-align:left">
                                                  <xsl:call-template name="PopulateText">
                                                    <xsl:with-param name="TargetNode" select="AffiliatedGroupNoEINReason"  />
                                                  </xsl:call-template>  
                                                  </div>
                                                </xsl:otherwise>
                                              </xsl:choose> 
							<span class="styTableCellPad"></span>
						</td>
					</tr>
				</xsl:for-each>
		</tbody>
	</table>
</xsl:if>
			
</form>
</body>	</html>
</xsl:template>

<xsl:template name="AddRows7004">
<xsl:param name="NumOfRows"></xsl:param>
	<xsl:param name="StockCount"></xsl:param>
	<xsl:param name="IsSeparated">no</xsl:param>
	<xsl:if test="$StockCount &lt; $NumOfRows">
<tr>
	<td class="styTableCell" style="height:8mm" ><span class="styTableCellPad"></span></td>
	<td class="styTableCell" style="height:8mm;border-right-width: 0px" >
	<span class="styTableCellPad"></span></td>
	
</tr>

          <xsl:call-template name="AddRows7004">
			<xsl:with-param name="StockCount" select="$StockCount + 1"></xsl:with-param>
			<xsl:with-param name="NumOfRows" select="$NumOfRows"></xsl:with-param>
		</xsl:call-template>
	</xsl:if>

</xsl:template>

</xsl:stylesheet>
