<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8586Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
<xsl:strip-space elements="*" />
<xsl:param name="Form8586Data" select="$RtnDoc/IRS8586" />

<xsl:template match="/">
<html>
  <head>    
    <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($Form8586Data)"></xsl:with-param></xsl:call-template></title>
    <!-- No Browser Caching -->
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Cache-Control" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>
    <!-- No Proxy Caching -->
    <meta http-equiv="Cache-Control" content="private"/>        
    <meta name="Description" content="Form 8586"/>
    <META name="GENERATOR" content="IBM WebSphere Studio"/>
    
    
    
    <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
    <xsl:call-template name="InitJS"></xsl:call-template>
    
    <style type="text/css">    
      <xsl:if test="not($Print) or $Print=''">
        <xsl:call-template name="IRS8586Style"></xsl:call-template>    
        <xsl:call-template name="AddOnStyle"></xsl:call-template>  
      </xsl:if>
    </style>        
    <xsl:call-template name="GlobalStylesForm"/>
  </head>
  
  <body class="styBodyClass">      
    <form style="font-family:arial; font-size:8.5pt" name="Form8586">      
      <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
      <div class="styTBB" style="height:18mm; width:187mm">
        <div class="styFNBox" style="width:30mm; height:18mm; font-size:7pt;">          
          Form &nbsp; <span class="styFormNumber" style="font-size:23pt">8586</span><br />          
          <div style="font-size:6pt; padding-top:2mm">        
            Department of the Treasury<br />Internal Revenue Service <font style="font-size:7pt">(99)</font>
          </div>
        </div>
        <div class="styFTBox" style="width:126mm; height:18mm">
          <div class="styMainTitle" style="height:8mm;padding-top:1mm">Low-Income Housing Credit</div>
          <div class="styFBT" style="text-align:left; margin-left:45mm">    
            <img src="{$ImagePath}/8586_Bullet_Title.gif" alt="Arrow Bullet"/> See instructions on back.<br/>        
            <img src="{$ImagePath}/8586_Bullet_Title.gif" alt="Arrow Bullet"/> Attach to your tax return.
          </div>
        </div>
        <div class="styTYBox" style="font-size:7pt; width:31mm; height:18mm">
          <div class="styOMB" style="height:2mm;">OMB No. 1545-0984</div>
          <div class="styFN">
            20<span class="styTYColor">05</span>
          </div>    
                  <div style="text-align:left; margin-left:5mm; line-height:100%;">Attachment<br />
                                   Sequence No. <b style="font-size:9pt">36a</b>
                  </div>      
        </div>
      </div>
  
      <div class="styBB" style="width:187mm">
        <div class="styNameBox" style="font-size:7pt; width:151mm; height:8mm">
          Name(s) shown on return<br />
          <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>  
          <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template>    
        </div>
        <div style="height:4mm;padding-left:2mm;font-size:7pt;font-family:verdana;" class="styEINBox">
          Identifying number<br /><br />  
          <span style="font-weight:normal;">  
            <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>
          </span>      
        </div>
      </div>    
    
    <!-- BEGIN Part I Title -->
      <div class="styBB" style="width:187mm;padding-top:1.5mm;padding-bottom:1.5mm;">
        <div class="styPartName" style="width:12mm; font-size:9.5pt">Part I</div>
        <div class="styPartDesc" style="font-size:9.5pt">Current Year Credit</div>
      </div>
    <!-- END Part I Title -->
    
    <!-- BEGIN Part I Line Items -->
    
    <!-- Start Line 1 -->
    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;1</div>
        <div style="float:left">        
          Number of Forms 8609-A attached    
          <xsl:call-template name="SetFormLinkInline">
            <xsl:with-param name="TargetNode" select="$Form8586Data/NumberOfForms8609AAttached"/>            
          </xsl:call-template>  
        </div>    
        <div style="float:right">  
          <span class="styIRS8586DotLn" style="padding-right:0">      
            .............     
          </span>    
          <span style="float:left; margin-right:2mm">
            <img src="{$ImagePath}/8586_Bullet_L1.gif" alt="Arrow Bullet"/>  
          </span>                          
          <div class="styIRS8586DotBB" style="width:27mm; margin-right:3mm;text-align:right;">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="MaxSize" select="4"/><xsl:with-param name="TargetNode" select="$Form8586Data/NumberOfForms8609AAttached"/></xsl:call-template>                
          </div>                    
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>  
          <div class="styIRS8586LNAmountBoxNBB" style="width:31.75mm;"></div>
        </div>  
      </div>
<!-- End Line 1 -->  

<!-- Start Line 2 -->
  
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;2</div>
        <div style="float:left">  
          Has there been a decrease in the qualified basis of any buildings since the close of the preceding<br /> tax year?&nbsp;&nbsp;&nbsp;&nbsp;    
          <span>
              <xsl:call-template name="PopulateSpan"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings" /></xsl:call-template>
            <input type="Checkbox" class="styCkbox"><xsl:call-template name="PopulateYesCheckbox"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings"/></xsl:call-template></input>
          </span> &nbsp;
            <b><label><xsl:call-template name="PopulateLabelYes"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings"/></xsl:call-template>Yes</label></b>&nbsp;&nbsp;&nbsp;&nbsp;
            <span>
              <xsl:call-template name="PopulateSpan"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings" /></xsl:call-template>
            <input type="Checkbox" class="styCkbox"><xsl:call-template name="PopulateNoCheckbox"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings"/></xsl:call-template></input>
            </span> &nbsp;
            <b><label><xsl:call-template name="PopulateLabelNo"><xsl:with-param name="TargetNode" select="$Form8586Data/DecreaseInQlfyBasisOfBuildings"/></xsl:call-template>No</label></b>&nbsp;&nbsp;&nbsp;&nbsp;
  
          If "Yes," enter the building identification numbers (BINs) of the<br />
          buildings that had a decreased basis. If you need more space, attach a schedule.                
        </div>
        <div style="float:right">  
          <div class="styIRS8586LNRightNumBoxNBB" style="height:11mm; background-color:lightgrey"></div>
          <div class="styIRS8586LNAmountBoxNBB"  style="width:31.75mm;height:11mm">
             <div style="float:right; padding-top:7mm">                      
              <!-- button display logic -->          
<!--              <xsl:call-template name="SetTableToggleButton">
                <xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis" />
                <xsl:with-param name="containerHeight" select="4" />
                <xsl:with-param name="containerID" select="'part1TPctn'" />
              </xsl:call-template>               -->
               <!-- end button display logic -->                    
            </div>  
          </div>
        </div>
      </div>    
      
      <xsl:variable name="ESCount" select="count($Form8586Data/BldgIdOfBldgWithDecreasedBasis)"/>    
      <xsl:variable name="containerHeight" select="5" />    
      <xsl:variable name="preMax">
        <xsl:choose>
            <xsl:when test="$ESCount mod 4 = 0">     
            <xsl:value-of select="$ESCount div 4" />
             </xsl:when>
              <xsl:otherwise>
                 <xsl:value-of select="ceiling($ESCount div 4)" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>    
      <div class="styIRS8586TableContainer" id="part1TPctn">
        <xsl:attribute name="style">  
          <xsl:if test="$ESCount &gt; $containerHeight">
            height:4mm;  
          </xsl:if>
        </xsl:attribute>     
        <!-- print logic -->
  <!--      <xsl:call-template name="SetInitialState"/>-->
        <!-- end -->  
        <table class="styIRS8586Table" cellpadding="0" cellspacing="0" border="0">
        <xsl:choose>
          <xsl:when test="($Print!=$Separated) or (($Print = $Separated) and (count($Form8586Data/BldgIdOfBldgWithDecreasedBasis) &lt;5))">
          <xsl:call-template name="partI3bLoop">
            <xsl:with-param name="ESCount" select="$ESCount" />          
            <xsl:with-param name="max">
              <xsl:choose>
                   <xsl:when test="$preMax = 0">     
                  <xsl:value-of select="1" />
                   </xsl:when>
                   <xsl:otherwise>
                      <xsl:value-of select="$preMax" />
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
          </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
                  <tr>            
      <th style="width:6mm">
          (i)
      </th>  
      <td style="text-align:left;font-size: 7pt" class="styIRS8586DotBB">  
          <xsl:if test="($Print = $Separated) and (count($Form8586Data/BldgIdOfBldgWithDecreasedBasis) &gt;4)">
              <xsl:call-template name="PopulateAdditionalDataTableMessage">
                  <xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis"/>
              </xsl:call-template>
          </xsl:if>
        <span class="styTableCellPad" />
      </td>
      <td style="width:2mm"></td>      
      <th style="width:6mm">
          (ii)
      </th>
      <td style="text-align:left;" class="styIRS8586DotBB">  
        <span class="styTableCellPad" />
      </td>
      <td style="width:2mm"></td>
      <th style="width:6mm">
          (iii)
      </th>
        <td style="text-align:left;" class="styIRS8586DotBB">  
        <span class="styTableCellPad" />
      </td>
      <td style="width:2mm"></td>
      <th style="width:6mm">
          (iv)
      </th>
      <td style="text-align:left;" class="styIRS8586DotBB">  
        <span class="styTableCellPad" />
      </td>
      <td style="width:7.2mm"></td>      
      <td style="border-left:1 solid black; width:6.5mm; background-color:lightgrey">&nbsp;</td>
      <td style="border-left:1 solid black; width:31.5mm">&nbsp;</td>
    </tr>  
          </xsl:otherwise>
        </xsl:choose>
        </table>  
      </div>  

<!-- End Line 2 -->

<!-- Start Line 3 -->      
        
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;3</div>
        <div style="float:left">
          Current year credit from attached Form(s) 8609-A (see instructions)            
          <xsl:call-template name="SetFormLinkInline">
            <xsl:with-param name="TargetNode" select="$Form8586Data/CurrentYearCredit"/>              
          </xsl:call-template>              
        </div>  
        <div style="float:right">  
          <span class="styIRS8586DotLn">  
            ..........            
          </span>            
          <div class="styIRS8586LNRightNumBox">3</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/CurrentYearCredit"/></xsl:call-template>
          </div>
        </div>
      </div>

<!-- End Line 3 -->

<!-- Start Line 4 -->      
        
    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;4</div>
        <div style="float:left;">
          Low-income housing credits from pass-through entities (if more than one entity, see instructions):<br />
          <table border="0" style="font-size:7pt; margin-top:1mm" cellpadding="0" cellspacing="0" summary="Instructions for low-income housing credits from pass-through entities">      
            <tr valign="bottom">
              <td class="styIRS8586BotTopBorder">&nbsp;</td>
              <td class="styIRS8586BotTopBorder">If you are a—</td>
              <td class="styIRS8586BotTopRtBorder">&nbsp;</td>
              <td class="styIRS8586BotTopBorder">&nbsp;</td>
              <td class="styIRS8586BotTopBorder">Then enter the total of the current year credits from—</td>
              <td class="styIRS8586BotTopBorder">&nbsp;</td>
              <td rowspan="4">&nbsp;</td>
              <td rowspan="3" style="border-bottom:1 solid black;font-size:8pt;text-align:center">
                <xsl:choose>
                  <xsl:when test="string-length($Form8586Data/EINOfPassThroughEntity) > 0">
                    <xsl:call-template name="PopulateEIN"><xsl:with-param name="TargetNode" select="$Form8586Data/EINOfPassThroughEntity"/></xsl:call-template>
                  </xsl:when>
                     <xsl:otherwise>    
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-
                  </xsl:otherwise>
                </xsl:choose>                
              </td>
              <td></td>
            </tr>
            <tr>
              <td rowspan="3" width="8mm"></td>
              <td><b>a</b> Shareholder</td>
              <td style="border-right: 1 solid Black;">&nbsp;</td>
              <td>&nbsp;</td>
              <td>Schedule K-1 (Form 1120S), box 13, codes A and B</td>
              <td rowspan="3" width="10mm" align="right"><img src="{$ImagePath}/8586_Bracket_L5.gif" alt="Curly Bracket" border="0"/></td>
              <td></td>
            </tr>
            <tr valign="top">
              <td><b>b</b> Partner</td>
              <td style="border-right: 1 solid Black; width:5mm">&nbsp;</td>
              <td style="width:3mm">&nbsp;</td>
              <td>Schedule K-1 (Form 1065), box 15, codes A and B, or<br />&nbsp;&nbsp;&nbsp;&nbsp;Schedule K-1 (Form 1065-B), box 8</td>
              <td align="right" style="width:5mm; padding-top:3mm">      
                <xsl:call-template name="SetFormLinkInline">
                  <xsl:with-param name="TargetNode" select="$Form8586Data/CreditsFromPassThroughEntities"/>                  
                </xsl:call-template>                    
              </td>
            </tr>
            <tr valign="top">
              <td><b>c</b> Beneficiary</td>
              <td style="border-right: 1 solid Black; width:2mm">&nbsp;</td>
              <td style="width:2mm">&nbsp;</td>
              <td>Schedule K-1 (Form 1041), box 13, code C</td>
              <td style="font-size:8pt;">EIN of pass-through entity</td>
            </tr>
          </table>    
        </div>
        <div style="float:right">
          <span class="styIRS8586DotLn" style="height:4mm; margin-top:15mm;">  
            ..
          </span>  
          <div class="styIRS8586LNRightNumBoxNBB" style="height:14mm; background-color:lightgrey;"></div>
          <div class="styIRS8586LNAmountBoxNBB" style="height:14mm"></div>
          <div class="styIRS8586LNRightNumBox">4</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/CreditsFromPassThroughEntities"/></xsl:call-template> 
          </div>
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styIRS8586LNAmountBoxNBB"></div>
        </div>        
      </div>

<!-- End Line 4 -->

<!-- Start Line 5 -->      
        
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;5</div>
        <div style="float:left">
          Add lines 3 and 4. See instructions to find out if you complete lines 6 through 17 or file Form 3800
        </div>
        <div style="float:right">                
          <div class="styIRS8586LNRightNumBox">5</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/PassThroughPlusCurrentYearCr"/></xsl:call-template>   
          </div>
        </div>
      </div>
 
<!-- End Line 5 -->

<!-- Start Line 6 -->      
        
   
      <div style="border-bottom: 1 solid Black; width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;6</div>
        <div style="float:left">
          <b>Current year credit or passive activity credit</b> (see instructions)
        </div>
        <div style="float:right">      
          <span class="styIRS8586DotLn">  
            ............
          </span>        
          <div class="styIRS8586LNRightNumBoxNBB">6</div>
          <div class="styIRS8586LNAmountBoxNBB">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/PassiveActivityOrTotalCYCredit"/></xsl:call-template>   
          </div>
        </div>
      </div>
  
<!-- End Line 6 -->

    <!-- END Part I Line Items -->
    
    <!-- BEGIN Part II Title -->
      <div class="styBB" style="width:187mm;padding-top:1.5mm;padding-bottom:1.5mm;">
        <div class="styPartName" style="width:12mm; font-size:9.5pt">Part II</div>
        <div class="styPartDesc" style="font-size:9.5pt">Allowable Credit</div>
      </div>
    <!-- END Part II Title -->
    
    <!-- BEGIN Part II Line Items -->  
    
    
<!-- Start Line 7 -->

    
      <div style="width:187mm">  
        <div class="styIRS8586LNLeftNumBox">7</div>
        <div style="float:left;padding-top:.5mm;">
          Regular tax before credits:                
        </div>
        <div style="float:right">  
          <div class="styIRS8586LNRightNumBox" style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styIRS8586LNAmountBox" style="border-bottom:0;height:4.5mm;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8586LNLeftNumBox" style="padding-left:4mm">
          <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="dot"/>
        </div>
        <div style="float:left;padding-top:.5mm;">
          Individuals. Enter the amount from Form 1040, line 44                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ...........
          </span>
          <div class="styIRS8586LNLeftNumBox " style="position:relative;width:25mm;">
              <!-- floating bracket -->
                <span style="z-index:1;position:absolute;top:1mm;left:-3mm;">
                  <img src="{$ImagePath}/8586_Bracket_Lger.gif" alt="bracket" border="0"/>
                </span>
              <!-- end bracket -->
          </div>  
          <div class="styIRS8586LNRightNumBox " style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styIRS8586LNAmountBox" style="border-bottom:0;height:4.5mm;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8586LNLeftNumBox" style="padding-left:4mm">
          <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="dot"/>
        </div>
        <div style="float:left;padding-top:.5mm;">
          Corporations. Enter the amount from Form 1120, Schedule J, line 3; Form 1120-A,            
        </div>
        <div style="float:right">  
          <div class="styIRS8586LNLeftNumBox " style="width:25mm;"></div>  
          <div class="styIRS8586LNRightNumBox " style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styIRS8586LNAmountBox" style="border-bottom:0;height:4.5mm;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8586LNLeftNumBox"></div>
        <div style="float:left;padding-top:.5mm;">
          Part I, line 1; or the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            .............
          </span>
          <div class="styIRS8586LNLeftNumBox " style="width:25mm;">
          <span class="styDotLn">      
            ......
          </span>
          </div>  
          <div class="styIRS8586LNRightNumBox " style="height:4.5mm;">7</div>  
          <div class="styIRS8586LNAmountBox" style="height:4.5mm;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8586Data/RegularTaxBeforeCredits"/>
            </xsl:call-template>
          </div>    
        </div>
      </div>
          
      <div style="width:187mm">  
        <div class="styIRS8586LNLeftNumBox" style="padding-left:4mm">
          <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="dot"/>
        </div>
        <div style="float:left;padding-top:.5mm;">
          Estates and trusts. Enter the sum of the amounts from Form 1041, Schedule G,             
        </div>
        <div style="float:right">  
          <div class="styIRS8586LNLeftNumBox " style="width:25mm;"></div>  
          <div class="styIRS8586LNRightNumBox " style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styIRS8586LNAmountBox" style="border-bottom:0;height:4.5mm;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8586LNLeftNumBox"></div>
        <div style="float:left">
          lines 1a and 1b, or the amount from the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ......
          </span>
          <div class="styIRS8586LNLeftNumBox " style="width:25mm;"></div>  
          <div class="styIRS8586LNRightNumBox " style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styIRS8586LNAmountBox" style="border-bottom:0;height:4.5mm;">
          </div>    
        </div>
      </div>    

    
    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">&nbsp;8</div>
        <div style="float:left">
          Alternative minimum tax:
        </div>
        <div style="float:right">
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styIRS8586LNAmountBoxNBB"></div>
        </div>
      </div>
    
      <div style="width:187mm">
        <div style="float:left; width:122mm">
          <div style="width:100%">
            <div class="styIRS8586LNLeftNumBox" style="padding-left:4mm">
              <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="Round Bullet" border="0"/>
            </div>        
            <div style="float:left">
              Individuals. Enter the amount from Form 6251, line 35
            </div>  
            <div style="float:right">  
              <span class="styDotLn">  
                ..........
              </span>
            </div>            
          </div>
          <div style="width:100%">
            <div class="styIRS8586LNLeftNumBox" style="padding-left:4mm">
              <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="Round Bullet" border="0"/>
            </div>        
            <div style="float:left">  
              Corporations. Enter the amount from Form 4626, line 14
            </div>  
            <div style="float:right">  
              <span class="styDotLn">  
                ..........
              </span>
            </div>            
          </div>
          <div style="width:100%">
            <div class="styIRS8586LNLeftNumBox" style="padding-left:4mm">
              <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="Round Bullet" border="0"/>
            </div>        
            <div style="float:left">  
              Estates and trusts. Enter the amount from Form 1041, Schedule I, line 56
            </div>  
            <div style="float:right">  
              <span class="styDotLn">  
                ....
              </span>
            </div>            
          </div>          
        </div>
        <div style="float:right">  
          <div style="float:left; width:4mm">
            <img src="{$ImagePath}/8586_Bracket_L9.gif" alt="Curly Bracket" border="0"/>
          </div>          
          <span class="styIRS8586DotLn" style="height:12mm; padding-top:4mm">  
            .....      
          </span>        
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styIRS8586LNAmountBoxNBB"></div>
          <div class="styIRS8586LNRightNumBox">8</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/AlternativeMinimumTax"/></xsl:call-template> 
          </div>        
          <div class="styIRS8586LNRightNumBoxNBB" style="height:5mm; background-color:lightgrey"></div>
          <div class="styIRS8586LNAmountBoxNBB" style="height:5mm"></div>
        </div>  
      </div>

<!-- End Line 8 -->

<!-- Start Line 9 -->  
    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">9</div>
        <div style="float:left">
          Add lines 7 and 8      
        </div>
        <div style="float:right">
          <span class="styIRS8586DotLn">  
            ...........................          
          </span>        
          <div class="styIRS8586LNRightNumBox">9</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/RegularTaxPlusAltMinimumTax"/></xsl:call-template>
          </div>
        </div>
      </div>
      
<!-- End Line 9 -->

<!-- Start Line 10 -->
      
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">10a</div>
        <div style="float:left">
          Foreign tax credit      
        </div>
        <div style="float:right">
          <span class="styIRS8586DotLn" style="padding-right:0.5mm">  
            ..................            
          </span>        
          <div class="styIRS8586LNRightNumBox">10a</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/ForeignTaxCredit"/></xsl:call-template>
          </div>
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>    
          <div class="styIRS8586LNAmountBoxNBB"></div>  
        </div>
      </div>
    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftLtrBox">&nbsp;&nbsp;b</div>
        <div style="float:left">
         Credits from Form 1040, lines 48 through 54          
        </div>
        <div style="float:right">
          <span class="styIRS8586DotLn" style="padding-right:0.5mm">  
            .........
          </span>        
          <div class="styIRS8586LNRightNumBox">10b</div>
          <div class="styIRS8586LNAmountBox"></div>
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>    
          <div class="styIRS8586LNAmountBoxNBB"></div>  
        </div>
      </div>
        
    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftLtrBox">&nbsp;&nbsp;c</div>
        <div style="float:left">
          Possessions tax credit (Form 5735, line 17 or 27)
        </div>
        <div style="float:right">    
          <span class="styIRS8586DotLn" style="padding-right:0.5mm">  
            ........
          </span>        
          <div class="styIRS8586LNRightNumBox">10c</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/PossessionsTaxCredit"/></xsl:call-template>
          </div>
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>    
          <div class="styIRS8586LNAmountBoxNBB"></div>  
        </div>  
      </div>
      
      <div style="width:187mm;">
        <div class="styIRS8586LNLeftLtrBox">&nbsp;&nbsp;d</div>
        <div style="float:left">
          Nonconventional source fuel credit (Form 8907, line 23)
        </div>
        <div style="float:right">      
          <span class="styIRS8586DotLn" style="padding-right:0.5mm">  
            ......
          </span>        
          <div class="styIRS8586LNRightNumBox">10d</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/NonconventionalSourceFuelCr"/></xsl:call-template>
          </div>
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>    
          <div class="styIRS8586LNAmountBoxNBB"></div>  
        </div>  
      </div>
      
      <div style="width:187mm">
        <div class="styIRS8586LNLeftLtrBox">&nbsp;&nbsp;e</div>
        <div style="float:left">
          Other specified credits (see instructions)
        </div>
        <div style="float:right">      
          <span class="styIRS8586DotLn" style="padding-right:0.5mm">  
            ...........
          </span>        
          <div class="styIRS8586LNRightNumBox">10e</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" 
            select="$Form8586Data/OtherSpecifiedCredits"/></xsl:call-template>
          </div>
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey"></div>    
          <div class="styIRS8586LNAmountBoxNBB"></div>  
        </div>  
      </div>
      
      <div style="width:187mm">
        <div class="styIRS8586LNLeftLtrBox">&nbsp;&nbsp;f</div>
        <div style="float:left">
          Add lines 10a through 10e
        </div>
        <div style="float:right">    
          <span class="styIRS8586DotLn">  
            .......................  
          </span>          
          <div class="styIRS8586LNRightNumBox">10f</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/TotalCredits"/></xsl:call-template>
          </div>
        </div>  
      </div>  

<!-- End Line 10 -->

<!-- Start Line 11 -->
    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">11</div>
        <div style="float:left">
          Net income tax. Subtract line 10f from line 9. If zero, skip lines 12 through 15 and enter -0- on line 16
        </div>
        <div style="float:right">    
          <div class="styIRS8586LNRightNumBox">11</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/NetIncomeTax"/></xsl:call-template>
          </div>
        </div>
      </div>    

<!-- End Line 11-->

<!-- Start Line 12 -->
      


    
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">12</div>
        <div style="float:left">
          Net regular tax. Subtract line 10f from line 7. If zero or less, enter -0-    
        </div>
        <div style="float:right">  
          <span class="styIRS8586DotLn">  
            ..
          </span>          
          <div class="styIRS8586LNRightNumBox">12</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/NetRegularTax"/></xsl:call-template>
          </div>
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey;"></div>
          <div class="styIRS8586LNAmountBoxNBB"></div>
        </div>
      </div>
 <!-- End Line 12 -->

<!-- Start Line 13 -->
      

 
      
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">13</div>
        <div style="float:left; font-size:8pt;">
          Enter 25% (.25) of the excess, if any, of line 12 over $25,000 (see instructions)
        </div>
        <div style="float:right">  
          <div class="styIRS8586LNRightNumBox">13</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/NetRegularTax25PercentOfExcess"/></xsl:call-template>
          </div>
          <div class="styIRS8586LNRightNumBoxNBB" style="background-color:lightgrey;"></div>
          <div class="styIRS8586LNAmountBoxNBB"></div>
        </div>  
      </div> 
       
 <!-- End Line 13 -->

<!-- Start Line 14 -->
      

 
      
      <div style="width:187mm;">
        <div class="styIRS8586LNLeftNumBox" >14</div>
        <div class="styLNDesc" style="width:98mm;height:4mm;">
          <div style="width:100%">
            Tentative minimum tax (see instructions):          
          </div>
          <div style="width:100%;padding-top:1mm;">
            <div style="float:left">
              <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="Round Bullet" border="0"/>
              Individuals. Enter the amount from Form 6251, line 33
            </div>
            <div class="styDotLn" style="float:right">
              ......
            </div>
          </div>

          <div style="width:100%;padding-top:1mm;">
            <div style="float:left">
              <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="Round Bullet" border="0"/>
              Corporations.  Enter the amount from Form 4626, line 12
            </div>
            <div class="styDotLn" style="float:right">
              .....
            </div>
          </div>


          <div style="width:100%;padding-top:1mm;">
              <img src="{$ImagePath}/8586_Bullet_Round.gif" alt="Round Bullet" border="0"/>
              Estates and trusts. Enter the amount from Form 1041, 
          </div>

          <div style="width:100%">
            <div style="float:left">
              <span style="width:14px;"/>Schedule I, line 54
            </div>
            <div class="styDotLn" style="float:right">
                .................
            </div>
          </div>




<!--
            <li style="padding-top:1mm;position:relative;left:-0.6mm;background-color:lightgreen">
              Individuals. Enter the amount from Form 6251, line 33
            </li>
            <span style="letter-spacing:3.5mm;font-weight:bold;background-color:lightblue;">  
              ....
            </span>         
            <li style="padding-top:1mm;position:relative;left:-0.6mm;background-color:pink">Corporations.  Enter the amount from Form 4626, line 12</li>   
            <span style="letter-spacing:3.5mm;font-weight:bold">  
              ...
            </span>            
            <li style="padding-top:1mm;position:relative;left:-0.6mm;">Estates and trusts. Enter the amount from Form 1041, <br/> <span style="width:14px;float:left;"></span>Schedule I, line 54</li>
            <span style="letter-spacing:3.5mm;font-weight:bold">  
              ...............
            </span>                     
-->            
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:5mm;padding-bottom:0mm;">
          <img src="{$ImagePath}/8586_Bracket_Lger.gif" width="4mm" height="64mm" alt="Curly Bracket Image"/>        
        </div>
        <div class="styIRS8586LNRightNumBox" style="height:23mm;padding-top:19mm;">14</div>
        <div class="styIRS8586LNAmountBox" style="height:23mm;padding-top:19mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8586Data/TentativeMinimumTax"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:7.25mm;background-color:lightgrey;height:23mm;border-right-width:1px;"></div>            
      </div>
<!-- End Line 14 -->

<!-- Start Line 15 -->
      
        <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox" >15</div>
        <div style="float:left">
          Enter the greater of line 13 or line 14
        </div>
        <div style="float:right">  
          <span class="styIRS8586DotLn">  
            .....................
          </span>          
          <div class="styIRS8586LNRightNumBox">15</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/GrtrOfTentativeTaxAndExcessTax"/></xsl:call-template>
          </div>
        </div>  
      </div>  

<!-- End Line 15 -->

<!-- Start Line 16 -->
      

      
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">16</div>
        <div style="float:left">
          Subtract line 15 from line 11. If zero or less, enter -0-
        </div>
        <div style="float:right">  
          <span class="styIRS8586DotLn">  
            ................        
          </span>        
          <div class="styIRS8586LNRightNumBox">16</div>
          <div class="styIRS8586LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/AdjustedNetIncome"/></xsl:call-template>
          </div>
        </div>
      </div>  
      
      <!-- End Line 16 -->

<!-- Start Line 17 -->
      

      
      <div style="width:187mm">
        <div class="styIRS8586LNLeftNumBox">17</div>
        <div style="float:left; width:140mm">
          <b>Credit allowed for the current year.</b> Enter the <b>smaller</b> of line 6 or line 16 here
           and on Form<br/>1040, line 55; Form 1120, Schedule J, line 6d; Form 1120-A, Part I, line 2;
            Form 1041, Schedule<br/>G, line 2c; or the applicable line of your return. If line 16 is smaller than line 6, see instructions                    
        </div>
        <div style="float:right">  
          <div class="styIRS8586LNRightNumBoxNBB" style="height:7.5mm; background-color:lightgrey;"></div>
          <div class="styIRS8586LNAmountBoxNBB" style="height:7.5mm"></div>
          <div class="styIRS8586LNRightNumBoxNBB">17</div>
          <div class="styIRS8586LNAmountBoxNBB">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$Form8586Data/CreditAllowedForCY"/></xsl:call-template>
          </div>
        </div>  
      </div>  
      <!-- End Line 17 -->

     <!-- END Part II Line Items -->
      <div style="border-top:2 solid Black; font-size:7pt; width:187mm">    
        <div style="font-weight:bold; float:left; padding-top:0.5mm">
          For Paperwork Reduction Act Notice, see back of form.
        </div>    
        <div style="float:right">
          Cat. No. 63987I
          <span style="width:45mm"></span>
          Form <b style="font-size:9pt">8586</b> (2005)
        </div>      
      </div>  
      
      <p style="page-break-before:always" />      

      <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
        <div class="styLeftOverTitle">
          Additional Data        
        </div>
        <div class="styLeftOverButtonContainer">
          <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
        </div>      
      </div>
      
      <table class="styLeftOverTbl">
        <xsl:call-template name="PopulateCommonLeftover">
          <xsl:with-param name="TargetNode" select="$Form8586Data" />        
        </xsl:call-template>
      </table>  
      
    <xsl:if test="($Print = $Separated) and (count($Form8586Data/BldgIdOfBldgWithDecreasedBasis) &gt;4)">
<br/>
<span class="styRepeatingDataTitle">Form 8586, Part I, Line 3b - Building Identification Numbers</span>     
<table class="styDepTbl" style="font-size: 7pt">
  <thead class="styTableThead"/>
  <tfoot></tfoot>
  <tbody>
  <xsl:for-each select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis">
    <tr>        
    <xsl:attribute name="class">
             <xsl:choose>
                        <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
                        <xsl:otherwise>styDepTblRow2</xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>    
      <th style="width:12mm; text-align: left">
          (<xsl:number value="position()" format="i" />)
      </th>  
      <td style="text-align:left;">
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="."/></xsl:call-template>
      </td>
    </tr>  
  </xsl:for-each>
  </tbody>
  </table>
  </xsl:if>      
    </form>
  </body>
</html>
</xsl:template>


<xsl:template name="partI3bLoop">
  <xsl:param name="index" select="1" />
  <xsl:param name="max" />    
  <xsl:if test="$index &lt;= $max">  
    <tr>            
      <th style="width:6mm">
        <xsl:if test="(($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-3]) or ($index*4-3 &lt; 5)) and (($index*4-3) &lt; 5)">
          (<xsl:number value="$index*4-3" format="i" />)
        </xsl:if>
      </th>  
      <td style="text-align:left;">
        <xsl:attribute name="class">
          <xsl:if test="($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-3]) or ($index*4-3 &lt; 5)">
            styIRS8586DotBB
          </xsl:if> 
        </xsl:attribute>  
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-3]"/></xsl:call-template>
      </td>
      <td style="width:2mm"></td>      
      <th style="width:6mm">
        <xsl:if test="(($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-2]) or ($index*4-3 &lt; 5)) and (($index*4-3) &lt; 5)">
          (<xsl:number value="$index*4-2" format="i" />)
        </xsl:if>
      </th>
      <td style="text-align:left;">
        <xsl:attribute name="class">
          <xsl:if test="($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-2]) or ($index*4-3 &lt; 5)">
            styIRS8586DotBB
          </xsl:if> 
        </xsl:attribute>  
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-2]"/></xsl:call-template>
      </td>
      <td style="width:2mm"></td>
      <th style="width:6mm">
        <xsl:if test="(($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-1]) or ($index*4-3 &lt; 5)) and (($index*4-3) &lt; 5)">
          (<xsl:number value="$index*4-1" format="i" />)
        </xsl:if> 
      </th>
      <td style="text-align:left;">
        <xsl:attribute name="class">
          <xsl:if test="($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-1]) or ($index*4-3 &lt; 5)">
            styIRS8586DotBB
          </xsl:if> 
        </xsl:attribute>  
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4-1]"/></xsl:call-template>  
      </td>
      <td style="width:2mm"></td>
      <th style="width:6mm">
        <xsl:if test="(($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4]) or ($index*4-3 &lt; 5)) and (($index*4-3) &lt; 5)">
          (<xsl:number value="$index*4" format="i" />)
        </xsl:if>   
      </th>
      <td style="text-align:left;">
        <xsl:attribute name="class">
          <xsl:if test="($Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4]) or ($index*4-3 &lt; 5)">
            styIRS8586DotBB
          </xsl:if> 
        </xsl:attribute>  
        <xsl:call-template name="PopulateText"><xsl:with-param name="TargetNode" select="$Form8586Data/BldgIdOfBldgWithDecreasedBasis[$index*4]"/></xsl:call-template>
      </td>  
      <td style="width:7.2mm"></td>      
      <td style="border-left:1 solid black; width:6.5mm; background-color:lightgrey">&nbsp;</td>
      <td style="border-left:1 solid black; width:31.5mm">&nbsp;</td>
    </tr>      
    
    <xsl:call-template name="partI3bLoop">
      <xsl:with-param name="index" select="$index+1" />
      <xsl:with-param name="max" select="$max" />      
    </xsl:call-template>      
  </xsl:if>  
    
</xsl:template>

</xsl:stylesheet>