<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8820Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>

<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8820" />


<xsl:template match="/">
<html>
<head>  
  <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($FormData)"></xsl:with-param></xsl:call-template></title>
  <!-- No Browser Caching -->
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Cache-Control" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- No Proxy Caching -->
  <meta http-equiv="Cache-Control" content="private"/>  
  <meta name="Description" content="Form IRS 8820"/>
  <meta name="GENERATOR" content="IBM WebSphere Studio"/>
   <xsl:call-template name="GlobalStylesForm"/>
  <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
  <xsl:call-template name="InitJS"></xsl:call-template>  
  <style type="text/css">    
    <xsl:if test="not($Print) or $Print=''">
      <xsl:call-template name="IRS8820Style"></xsl:call-template>    
      <xsl:call-template name="AddOnStyle"></xsl:call-template>  
    </xsl:if>
  </style>      
  
</head>

<body class="styBodyClass">
  <form name="Form8820">    
    <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
  <!--Title of Form -->    
  <div class="styBB" style="width:187mm;height: 21mm">
    <div class="styFNBox" style="padding-top: 1mm;width:31mm;font-size: 7pt;height: 21mm">
      Form <span class="styFormNumber">8820</span>      
      <br/>
      <br/>
      <div class="styAgency" style="padding-top: 1mm">Department of the Treasury<br />Internal Revenue Service</div>
    </div>
    <div class="styFTBox" style="padding-top: 1mm; width:125mm">
      <div class="styMainTitle">Orphan Drug Credit</div>
      <div class="styFST" style="padding-top: 2mm; height:5mm;font-size:7pt;margin-left:3mm;font-weight:bold"><br/>
        <img src="{$ImagePath}/8820_Bullet.gif" alt="MediumBullet"/>  
        Attach to your tax return.
      </div>
    </div>
    <div class="styTYBox" style="width:30mm;height:21mm; border-left-width: 1px">
    <div class="styOMB" style="height:2mm;">OMB No. 1545-1505</div>
    <div class="styTaxYear">20<span class="styTYColor">05</span></div>
    <div class="stySequence">Attachment<br/>Sequence No. <b>103</b></div>
  </div>
  </div>
  <!--  End title of Form  -->
    
  <!--  Name and Employer identification number  -->
  <div class="styBB" style="width:187mm">
    <div class="styNameBox" style="width:141mm;font-weight:normal;font-size:7pt;">
      Name(s) shown on return<br/>
      <div style="font-family:verdana;font-size:6pt;">
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>  
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template> 
     </div>
    </div>
    
    <div class="styEINBox" style="padding-left:2mm;font-size:7pt;"><span class="BoldText">Identifying number</span>    
      <div class="styNormalText" style="text-align:left; padding-top:2mm;">          
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>          
      </div>    
    </div>
  </div>  
  <!--  End Name and Employer indentification number  -->
  
  <!--  Part I -->
  <div class="styBB" style="width: 187mm;height: 8mm">
    <div class="styPartName" style="width: 15mm; height: 4mm; margin-top: 2mm">Part I</div>
    <div class="styPartDesc" style="padding-top: 2mm">Current Year Credit</div>
  </div>
  <!--  End Part I -->
  
  <!--  Line 1 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox">1</div>
    <div class="styIRS8820MedLNDesc">Qualified clinical testing expenses paid or incurred during the tax year
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
      </span>
    </div>
    <div class="styLNRightNumBox">1</div>
    <div class="styLNAmountBox">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/QualifiedClinicalTestExpnssPd"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 1 -->
  
  <!--  Line 2 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox">2</div>
    <div class="styIRS8820MedLNDesc">Current year credit. Multiply line 1 by 50% (.50) (see instructions)
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
      </span>
    </div>
    <div class="styLNRightNumBox">2</div>
    <div class="styLNAmountBox">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/CurrentYearCredit"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 2 -->
  
  <!--  Line 3 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox">3</div>
    <div class="styIRS8820MedLNDesc">Pass-through orphan drug credits from an S corporation, partnership, estate, or trust
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
      </span>
    </div>
    <div class="styLNRightNumBox">3</div>
    <div class="styLNAmountBox">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/PassThroughOrphanDrugCredit"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 3 -->

  <!--  Line 4 -->  
  <div style="width: 187mm">
    <div class="styLNLeftNumBox" style="height: 6mm; padding-top: 3mm">4</div>
    <div class="styIRS8820MedLNDesc" style="height: 6mm; padding-top: 3mm"><span class="styBoldText">Current year credit.</span> Add lines 2 and 3
      <span class="styBoldText">
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.
        <span class="styNBSP"></span>.     
      </span>
    </div>
    <div class="styLNRightNumBox" style="height:6mm; padding-top: 3mm; border-bottom-width: 0px">4</div>
    <div class="styLNAmountBox" style="height:6mm; padding-top: 3mm; border-bottom-width: 0px">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/CYOrphanDrugCredit"/>
      </xsl:call-template>
    </div>
  </div>
  <!--  Line 4 -->
  
  <!--  Part II -->
  <div class="styBB" style="width: 187mm; border-top-width: 1px; height: 8mm">
    <div class="styPartName" style="width: 15mm; margin-top: 2mm">Part II</div>
    <div class="styPartDesc" style="width: 172mm; padding-top: 2mm">Allowable Credit (<span class="styNormalText">See</span> Who must file Form 3800 <span class="styNormalText">to find out if you complete Part II or file Form 3800.)</span></div>
  </div>
  <!--  End Part II -->
  
  <!--  Line 5 -->  
  <div class="styBB" style="width:187mm;">
    <div style="width:187mm;">
      <div class="styLNLeftNumBox" style="height:4mm;">5</div>
      <div class="styLNDesc" style="width:123mm;height:4mm;">
        Regular tax before credits:          
          <div style="padding-top:0.75mm"><li style="position: relative; left: -4.25mm;">
          Individuals. Enter the amount from Form 1040, line 44</li>
            <!--Dotted Line-->
            <span class="styBoldText">
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
            </span>
            </div>
            <div style="padding-top:0.75mm;"><li style="position: relative; left: -4.25mm;">Corporations. Enter the amount from Form 1120, Schedule J, line 3; Form 1120-A,<br/>
            <span style="width:14px;float:left;"></span>Part I, line 1; or the applicable line of your return</li>
            <!--Dotted Line-->
            <span class="styBoldText">            
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.  
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.                                    
            </span>
            </div>
            <div style="padding-top:0.75mm;"><li style="position: relative; left: -4.25mm;">Estates and trusts. Enter the sum of the amounts from Form 1041, Schedule G, lines 1a<br/>
            <span style="width:14px;float:left;"></span> and 1b, or the amount from the applicable line of your return</li>
             <!--Dotted Line-->
             <span class="styBoldText">
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.            
            </span>     
            </div>               
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:2.75mm;">
          <img src="{$ImagePath}/8820_Bracket_Lg.gif" style="position: relative; top: 1.5mm;" alt="Curly Bracket Image"/>      
        </div>
        <div class="styLNDesc" style="width:10mm; height:12mm;">                  
          <span class="styBoldText" style="width:10mm; height:14mm;padding-bottom:0mm;padding-top:4.5mm;">              
            <span style="width:30px;"></span>
            <span style="width:12px;"></span>.
            <span style="width:12px;"></span>.                                                                    
          </span>                  
        </div>

        <div class="styLNRightNumBox" style="width:7.75mm;height:10.75mm;padding-top:0mm;">
          <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;height:6.5mm;">
          </div>
          5
        </div>
        <div class="styLNAmountBox" style="height:10.75mm;">
          <br/><br/>
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/RegularTaxBeforeCredits"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;height:12.25mm;background-color:lightgrey;border-right-width:1px;"></div>
      </div>
    <!-- End Line 5 -->
    
    <!-- Line 6 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">6</div>
        <div class="styLNDesc" style="width:123mm;height:4mm;">
          Alternative minimum tax:          
            <div style="padding-top:0.75mm"><li style="position: relative; left: -4.25mm;">Individuals. Enter the amount from Form 6251, line 35</li>
            <!--Dotted Line-->
            <span class="styBoldText">
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.            
            </span>
            </div>
            <div style="padding-top:0.75mm"><li style="position: relative; left: -4.25mm;">Corporations. Enter the amount from Form 4626, line 14</li>             
            <!--Dotted Line-->
            <span class="styBoldText">
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.            
            </span>
            </div>
           <div style="padding-top:0.75mm"> <li style="position: relative; left: -4.25mm;">Estates and trusts. Enter the amount from Form 1041, Schedule I, line 56</li>
             <!--Dotted Line-->
             <span class="styBoldText">
              <span style="width:16px;"></span>.  
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.                      
            </span>     
            </div>                
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:2mm;">
          <img src="{$ImagePath}/8820_Bracket_Sm.gif" height="46mm" style="position: relative; top: 1.5mm;" alt="Curly Bracket Image"/>        
        </div>
        <div class="styLNDesc" style="width:10mm; height:4mm;">                  
          <span class="styBoldText" style="width:10mm; height:4mm;padding-bottom:0mm;padding-top:5mm;">
            <span style="width:8px;"></span>.    
            <span style="width:8px;"></span>.                                                        
          </span>                  
        </div>

        <div class="styLNRightNumBox" style="width:7.75mm;height:8.25mm;padding-top:0mm;">
          <div class="styLNRightNumBoxNBB" style="width:7.75mm;padding-top=0.5mm;border-left-width:0px; background-color:lightgrey;">
        </div>
        6
        </div>
        <div class="styLNAmountBox" style="height:8.25mm;padding-top:.75mm;">
          <br/>
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/AlternativeMinimumTax"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;height:8.25mm;background-color:lightgrey;border-right-width:1px;"></div>
      </div>
        
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">7</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Add lines 5 and 6
          <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.            
          </span>
        </div>
        <div class="styLNRightNumBox" style="width:8mm;height:5mm;padding-top:1mm;">    
        7
        </div>
        <div class="styLNAmountBox" style="height:5mm;padding-top:1mm;">          
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/RegTaxPlusAlternativeMinTax"/>
          </xsl:call-template>
        </div>
      </div>
      <!-- Line 8 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">8a</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Foreign tax credit
          <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.            
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.            
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">8a</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/ForeignTaxCredit"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">b</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Credits from Form 1040, lines 48 through 54 
                    <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">8b</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">c</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Possessions tax credit
          (Form 5735, line 17 or 27)
            <!--Dotted Line-->
            <span class="styBoldText">
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
            </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">8c</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/PossessionsTaxCredit"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">d</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Nonconventional source fuel credit (Form 8907, line 23)
            <!--Dotted Line-->
            <span class="styBoldText">
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
                     
            </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">8d</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/CreditForFuelFromNnconvSource"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">e</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
         Other specified credits (see instructions)
            <span class="styBoldText">
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.  
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.             
            </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">8e</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
           <xsl:with-param name="TargetNode" select="$FormData/OtherSpecifiedCredits"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;">f</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Add lines 8a through 8e
          <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.            
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">8f
        </div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/TotalCredits"/>
          </xsl:call-template>
        </div>
      </div>
      <div style="width:187mm">
        <div class="styLNLeftNumBox" style="height:4mm;">9</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Net income tax.  Subtract line 8f from line 7.  If zero,
          skip lines 10 through 13 and enter -0- on line 14
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">9
        </div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/NetIncomeTax"/>
          </xsl:call-template>
        </div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">10</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Net regular tax. Subtract line 8f from line 5.  If zero
          or less, enter -0-
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">10</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/NetRegularTax"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftNumBox">11</div>
        <div class="styLNDesc" style="font-size: 6pt; width:98.25mm">
          Enter 25% (.25) of the excess, if any, of line 10 over
          $25,000 (see instructions)
          <!--Dotted Line-->
          <span class="styBoldText" style="font-size: 7pt">
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.          
          </span>
        </div>
        <div class="styLNRightNumBox">11</div>
        <div class="styLNAmountBox">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/TwentyFivePercentOfExcess"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height: 4.5mm; border-right-width:1px;"></div>
      </div>
      
            
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">12</div>
        <div class="styLNDesc" style="width:93.25mm;height:4mm;">
          Tentative minimum tax(see instructions):          
            <div style="padding-top:0.75mm"><li style="position: relative; left: -4.25mm;">Individuals. Enter the amount from Form 6251, line 33</li>
            <!--Dotted Line-->
            <span class="styBoldText">
              <span style="width:16px;"></span>.  
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.                        
            </span>
            </div>
            <div style="padding-top:0.75mm"><li style="position: relative; left: -4.25mm;">Corporations.  Enter the amount from Form 4626, line 12</li>             
            <!--Dotted Line-->
            <span class="styBoldText">
              <span style="width:16px;"></span>.    
              <span style="width:16px;"></span>.                    
            </span>
            </div>
           <div style="padding-top:0.75mm"> <li style="position: relative; left: -4.25mm;">Estates and trusts. Enter the amount from Form 1041, <br/> <span style="width:14px;float:left;"></span>Schedule I, line 54</li>
             <!--Dotted Line-->
             <span class="styBoldText">            
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.
              <span style="width:16px;"></span>.    
              <span style="width:16px;"></span>.                                          
              <span style="width:16px;"></span>.  
            </span>
            </div>         
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:3mm;">
          <img src="{$ImagePath}/8820_Bracket_Md.gif" width="6mm" height="53mm" style="position: relative; top: 1.5mm;" alt="Curly Bracket Image"/>        
        </div>
        <div class="styLNRightNumBox" style="height:20mm;padding-top: 16mm">12</div>
        <div class="styLNAmountBox" style="height:20mm;padding-top: 16mm">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/TentativeMinimumTax"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:20mm;border-right-width:1px;"></div>            
      </div>

      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">13</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Enter the greater of line 11 or line 12
          <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.            
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">13</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/GreaterOfTentMinTaxOrExcess"/>
          </xsl:call-template>
        </div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">14</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Subtract line 13 from line 9.  If zero or less, enter -0-
          <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.            
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">14</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/SubtractGreaterFromNetIncTax"/>
          </xsl:call-template>
        </div>        
      </div>      
      
      <div style="width:187mm;">
        <div class="styLNLeftNumBox">15</div>
        <div class="styLNDesc" style="width:138mm">
          <span class="styBoldText">Credit allowed for the current year. </span>
          Enter the smaller of line 4 or line 14 here and on Form
          1040, line 55; Form 1120, Schedule J, line 6d; Form 1120-A, Part I, line 2; Form 1041, Schedule G, line 2c; or the applicable
          line of your return. If line 14 is smaller than line 4, see instructions
          <!--Dotted Line-->
          <span class="styBoldText">
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.
            <span style="width:16px;"></span>.                    
          </span>
        </div>
        <div class="styLNRightNumBoxNBB" style="height:5mm;padding-top:0mm">
        <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;">
          <br/><br/>
        </div>
          15
        </div>
        <div class="styLNAmountBoxNBB" style="padding-top: 7mm">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/CreditAllowedForCY"/>
          </xsl:call-template>
        </div>
      </div>
    </div>

        <div style="width:187mm;">
          <span class="styBoldText">For Paperwork Reduction Act Notice, see page 2. </span> 
          <span style="width:120px;"></span>                      
          Cat. No. 11208S 
          <span style="width:125px;"></span>  
          Form <span class="styBoldText">8820</span> (2005)
        </div>
        <br/>
        <br class="pageEnd"/>
        
        <!-- BEGIN Left Over Table -->  
        <!-- Additonal Data Title Bar and Button -->
        <div class="styLeftOverTitleLine" id="LeftoverData">
          <div class="styLeftOverTitle">
            Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" TabIndex="1"  type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
          </div>      
        </div>
        <!-- Additional Data Table -->
        <table class="styLeftOverTbl">
          <xsl:call-template name="PopulateCommonLeftover">
            <xsl:with-param name="TargetNode" select="$FormData" />
            <xsl:with-param name="DescWidth" select="100"/>
          </xsl:call-template>          
        </table>
      <!-- END Left Over Table -->      
  </form>  
</body>
</html>
</xsl:template>    

</xsl:stylesheet>