<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="IRS8826Style.xsl"/>
<xsl:include href="AddOnTable.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>

<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8826" />


<xsl:template match="/">
<html>
<head>  
  <title><xsl:call-template name="FormTitle"><xsl:with-param name="RootElement" select="local-name($FormData)"></xsl:with-param></xsl:call-template></title>
  <!-- No Browser Caching -->
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Cache-Control" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- No Proxy Caching -->
  <meta http-equiv="Cache-Control" content="private"/>  
  <meta name="Description" content="Form IRS 8826"/>
  <meta name="GENERATOR" content="IBM WebSphere Studio"/>
   <xsl:call-template name="GlobalStylesForm"/>
  <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
  <xsl:call-template name="InitJS"></xsl:call-template>  
  <style type="text/css">    
    <xsl:if test="not($Print) or $Print=''">  
      <xsl:call-template name="IRS8826Style"></xsl:call-template>
      <xsl:call-template name="AddOnStyle"></xsl:call-template>  
    </xsl:if>
  </style>      
  
</head>

<body class="styBodyClass">
  <form name="Form8826">    
    <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
  <!--Title of Form -->    
  <div class="styBB" style="width:187mm;height: 20mm">
    <div class="styFNBox" style="width:31mm;font-size: 7pt;height: 22mm">
      Form <span class="styFormNumber">8826</span>      
      <br/>
      <span>
        <xsl:call-template name="SetFormLinkInline">
          <xsl:with-param name="TargetNode" select="$FormData"/>
        </xsl:call-template>  
      </span>  
      <br/>
      <br/>
      <span class="styAgency">Department of the Treasury</span><br /><span class="styAgency">Internal Revenue Service</span>
    </div>
    <div class="styFTBox" style="height: 22mm;width:125mm">
      <div class="styMainTitle" style="height: 8mm">Disabled Access Credit</div>
      <div class="styFST" style="font-size:7pt;margin-left:3mm;font-weight:bold"><br/><br/><br/>
        <img src="{$ImagePath}/8826_Bullet.gif" alt="MediumBullet"/>  
        Attach to your tax return.
      </div>
    </div>
    <div class="styTYBox" style="width:30mm;height:22mm; border-left-width: 1px">
      <div class="styOMB" style="height:2mm;">OMB No. 1545-1205</div>
      <div class="styTaxYear" style="height:10mm">20<span class="styTYColor">05</span></div>
      <div class="stySequence">Attachment<br/>Sequence No. <b>86</b></div>
    </div>
  </div>
  <!--  End title of Form  -->
    
  <!--  Name and Employer identification numbers  -->
  <div class="styTBB" style="width:187mm">
  
    <div class="styNameBox" style="width:141mm;font-weight:normal;font-size:7pt;">
      Name(s) shown on return<br/>
     <div style="font-family:verdana;font-size:6pt;height:7mm">
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>  
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template>
     </div>      
    </div>    
    <div class="styEINBox" style=" padding-left:2mm;font-size:7pt;"><span class="BoldText">Identifying number</span>
      <br/><br/>
      <span style="font-weight:normal;">  
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>
      </span>    
    </div>
  </div>  
  <!--  End Name and Employer indentification number  -->
  
  <!--  Part I -->
  <div class="styBB" style="width: 187mm">
    <div class="styPartName" style="width: 15mm">Part I</div>
    <div class="styPartDesc">Current Year Credit</div>
  </div>
  <!--  End Part I -->
  
  <!--  Line 1 -->    
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 2mm">1</div>
    <div style="float:left">
      Total eligible access expenditures (see instructions)    
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        ..............
      </span>        
      <div class="styLNRightNumBox">1</div>
      <div class="styLNAmountBox">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/TotEligibleAccessExpenditures"/>
        </xsl:call-template>
      </div>          
    </div>
  </div>
  <!--  Line 1 -->
  
  <!--  Line 2 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 2mm">2</div>
    <div style="float:left">
      Minimum amount    
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        ........................
      </span>        
      <div class="styLNRightNumBox">2</div>
      <div class="styLNAmountBox" style="color:darkblue;">
        $250.00
      </div>          
    </div>
  </div>
  <!--  Line 2 -->
  
  <!--  Line 3 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 2mm">3</div>
    <div style="float:left">
      Subtract line 2 from line 1. If zero or less, enter -0-    
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        ..............
      </span>        
      <div class="styLNRightNumBox">3</div>
      <div class="styLNAmountBox">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/DiffExpendituresAndMinAmount"/>
        </xsl:call-template>
      </div>          
    </div>
  </div>
  <!--  Line 3 -->

  <!--  Line 4 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 2mm">4</div>
    <div style="float:left">
      Maximum amount    
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        ........................
      </span>        
      <div class="styLNRightNumBox">4</div>
      <div class="styLNAmountBox"  style="color:darkblue;">
        $10,000.00
      </div>          
    </div>
  </div>
  <!--  Line 4 -->
  
  <!--  Line 5 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 2mm">5</div>
    <div style="float:left">
      Enter the <span class="styBoldText">smaller</span> of line 3 or line 4    
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        ...................
      </span>        
      <div class="styLNRightNumBox">5</div>
      <div class="styLNAmountBox">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/SmallerAmountFromDiffOrMax"/>
        </xsl:call-template>
      </div>          
    </div>
  </div>
  <!--  Line 5 -->
  
  <!--  Line 6 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 2mm">6</div>
    <div style="float:left">
      Multiply line 5 by 50% (.50)  
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        .....................
      </span>        
      <div class="styLNRightNumBox">6</div>
      <div class="styLNAmountBox">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/CurrentYearCredit"/>
        </xsl:call-template>
      </div>          
    </div>
  </div>
  <!--  Line 6 -->
  
  <!--  Line 7 -->  
  <div style="width:187mm;">
    <div class="styLNLeftNumBox" style="padding-left: 2mm; height:4mm;">7</div>
    <div class="styLNDesc" style="width:28mm; height:4mm;">
      <div style = "width:28mm;">Disabled access credits from pass-through entities:</div>
    </div>
    <div class="styLNDesc" style="width:5mm; height:4mm;"> </div>
    <div class="styLNDesc" style="width:106mm; height:4mm;">
      <table border="0" cellspacing="0" cellpadding="0" style="padding:0mm" summary="Table for Work Opportunity Credit">
         <tr>
            <th class="styTableCell" scope="col" style="border-color: black; border-top-width: 1px; font-weight: normal; font-size: 6pt; width: 20mm; padding-right: 4mm">                
              If you are a—              
            </th>
            <th class="styTableCell" colspan="2" scope="col" style="border-color: black; font-weight: normal; border-right-width:0px; border-top-width:1px; font-size: 6pt; width: 86mm;padding-right: 4mm">
              Then enter the total of the current year disabled access credits from—
            </th>
         </tr>
         <tr>
            <td scope="row" style="width: 20mm; font-size: 6pt;font-family:verdana;font-style: normal;font-weight:normal;border-right:solid black .75pt;height:1mm;">
              <span class="styBoldText">a</span> Shareholder      
              <br/>
              <span class="styBoldText">b</span> Partner  
            </td>
            <td style="font-size:6pt;font-family:verdana;font-style: normal;font-weight:normal;border:none;padding-left: 3mm; width: 65mm">
              Schedule K-1 (Form 1120S), Box 13, Code F, G, or L  
              <br/>
              Schedule K-1 (Form 1065), Box 15, Code F, G, or L
            </td>
          <td style="width:21mm">
            <div class="styLNDesc" style="width:4mm">
              <img src="{$ImagePath}/8826_Bracket_Tiny.gif" alt="Curly Bracket Image"/>                                    
            </div>
            <div class="styLNDesc" style="width:16mm;padding-top:2mm;">                  
              <span class="styBoldText" style="font-size: 7pt"> 
                <span style="width:16px;"></span>.
                <span style="width:16px;"></span>.                                                      
              </span>                  
            </div>
          </td>
         </tr>            
      </table>          
    </div>
   
     <div class="styLNRightNumBox" style="height:10mm;padding-top:0mm;">
      <div class="styLNRightNumBoxN" style="width:7.75mm;background-color:lightgrey;height:6mm"></div>
          7          
    </div>        
    <div class="styLNAmountBox" style="height: 10mm; width: 31.75mm; padding-top: 6mm">
      <xsl:call-template name="PopulateAmount">
        <xsl:with-param name="TargetNode" select="$FormData/DisabledAccessCreditsFromEnt"/>
      </xsl:call-template>
    </div>
    <div class="styLNRightNumBoxNBB" style="width:8.25mm;height:1mm;background-color:lightgrey;border-right-width:1px;padding-top:0;padding-bottom:0;"></div>
  
  </div>      

  <!--  Line 8 -->  
  <div style="width: 187mm">  
    <div class="styLNLeftNumBox" style="padding-left: 2mm">8</div>
    <div style="float:left">
      <span class="styBoldText">Current year credit. </span> Add lines 6 and 7, but do not enter more than $5,000
    </div>    
    <div style="float:right">    
      <span style="letter-spacing:4mm; font-weight:bold; float:left">  
        ........
      </span>        
      <div class="styLNRightNumBox" style="border-bottom-width: 0px">8</div>
      <div class="styLNAmountBox" style="border-bottom-width: 0px">
        <xsl:call-template name="PopulateAmount">
          <xsl:with-param name="TargetNode" select="$FormData/TotCurrYrDisabledAccessCredit"/>
        </xsl:call-template>
      </div>          
    </div>
  </div>
  <!--  Line 8 -->
  
  <!--  Part II -->
  <div class="styBB" style="width: 187mm; border-top-width: 1px">
    <div class="styPartName" style="width: 15mm">Part II</div>
    <div class="styPartDesc" style="width: 172mm">Allowable Credit <span class="styNormalText">(See</span> Who must file Form 3800 <span class="styNormalText">to find out if you complete Part II or file Form 3800.)</span></div>
  </div>
  <!--  End Part II -->
    
  <!--  Line 9 -->  
  <div class="styBB" style="width:187mm;">
    <div style="width:187mm;">
      <div class="styLNLeftNumBox" style="padding-left: 2mm;height:4mm;">9</div>
      <div class="styLNDesc" style="width:123mm;height:4mm;">
        Regular tax before credits:          
          <li style="padding-bottom:1mm;padding-top:1mm;position:relative;left:-4.25mm;">Individuals. Enter the amount from Form 1040, line 44
            <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              .........
            </span>  
          </li>
            <li style="padding-bottom:1mm;position:relative;left:-4.25mm;">Corporations. Enter the amount from Form 1120, Schedule J, line 3; Form 1120-A,<br/>
            <span style="width:14px;float:left;"></span>Part I, line 1; or the amount from the applicable line of your return
            <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              ......
            </span>  
          </li>
            <li style="position:relative;left:-4.25mm;">Estates and trusts. Enter the sum of the amounts from Form 1041, Schedule G, lines 1a<br/>
            <span style="width:14px;float:left;"></span> and 1b, or the amount from the applicable line of your return
             <!--Dotted Line-->
             <span style="letter-spacing:4mm; font-weight:bold">  
              ........
            </span>  
          </li>                  
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:5.25mm;">
          <img src="{$ImagePath}/8826_Bracket_Lg.gif" height="66mm" alt="Curly Bracket Image"/>      
        </div>
        <div class="styLNDesc" style="width:10mm; height:14mm;">    
          <!--Dotted Line-->
          <span style="letter-spacing:4mm; font-weight:bold; float:left;width:10mm; height:14mm;padding-bottom:0mm;padding-top:11mm;">  
            ..
          </span>                                
        </div>

        <div class="styLNRightNumBox" style="width:7.75mm;height:14.25mm;padding-top=0mm;">
          <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;height:10.25mm;">
          </div>
          9
        </div>
        <div class="styLNAmountBox" style="height:14.25mm;padding-top:4mm">
          <br/><br/>
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/RegularTaxBeforeCredits"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;height:9.5mm;background-color:lightgrey;border-right-width:1px;"></div>
      </div>
    <!-- End Line 9 -->
    
    <!-- Line 10 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;padding-top:0;">10</div>
        <div class="styLNDesc" style="width:110mm;height:4mm;padding-top:0;">
          Alternative minimum tax:          
            <li style="padding-top:1mm;position:relative;left:-4.25mm;">Individuals. Enter the amount from Form 6251, line 35
              <!--Dotted Line-->
              <span style="letter-spacing:4mm; font-weight:bold">  
                ......
              </span>  
            </li>
            <li style="padding-top:1mm;position:relative;left:-4.25mm;">Corporations. Enter the amount from Form 4626, line 14
              <!--Dotted Line-->
              <span style="letter-spacing:4mm; font-weight:bold">  
                ......
              </span>
            </li>             
            <li style="padding-top:1mm;position:relative;left:-4.25mm;">Estates and trusts. Enter the amount from Form 1041, Schedule I, line 56
              <!--Dotted Line-->
              <span style="letter-spacing:4mm; font-weight:bold">  
                .
              </span>  
            </li>                 
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:4mm;">
          <img src="{$ImagePath}/8826_Bracket_Sm.gif" height="46mm" alt="Curly Bracket Image"/>        
        </div>
        <div class="styLNDesc" style="width:23mm; height:4mm;">                  
          <!--Dotted Line-->
          <span style="letter-spacing:4mm; font-weight:bold; float:left;width:23mm; height:14mm;padding-bottom:0mm;padding-top:8mm;">  
            ....
          </span>                  
        </div>

        <div class="styLNRightNumBox" style="width:7.75mm;height:11.25mm;padding-top=0mm;">
          <div class="styLNRightNumBoxNBB" style="width:7.75mm;height:7mm;padding-top=0.5mm;border-left-width:0px;background-color:lightgrey;">
        </div>
        10
        </div>
        <div class="styLNAmountBox" style="height:11.25mm;padding-top:4mm;">
          <br/>
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/AlternativeMinimumTax"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;height:6.25mm;background-color:lightgrey;border-right-width:1px;"></div>
      </div>
      <!-- Line 10-->  
      
      <!-- Line 11-->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">11</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Add lines 9 and 10
          <!--Dotted Line-->
          <span style="letter-spacing:4mm; font-weight:bold">  
            .......................
          </span>  
        </div>
        <div class="styLNRightNumBox" style="width:8mm;height:5mm;padding-top=1mm;">    
        11
        </div>
        <div class="styLNAmountBox" style="height:5mm;">          
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/SumOfAltMinimumAndRegularTax"/>
          </xsl:call-template>
        </div>
      </div>
      <!-- Line 11-->
      
      <!-- Line 12a-->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">12a</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm">
          Foreign tax credit
          <span style="letter-spacing:4mm; font-weight:bold">  
            ...............
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4mm;">12a</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/ForeignTaxCredit"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <!-- Line 12a-->
      
      <!-- Line 12b-->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;position:relative;left:1.25mm;">b</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Credits from Form 1040, lines 48 through 54
          <!--Dotted Line-->
          <span style="letter-spacing:4mm; font-weight:bold">  
            ..
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4mm;">12b</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
    <!--      <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/ForeignTaxCredit"/>
          </xsl:call-template>
    -->
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <!-- Line 12b-->
      
    
      
      <!-- Line 12c -->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;position:relative;left:1.25mm;">c</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Possessions tax credit
          (Form 5735, line 17 or 27)
            <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              ......
            </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4mm;">12c</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/PossessionsTaxCredit"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <!-- Line 12c -->
      
      <!-- Line 12d -->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;position:relative;left:1.25mm;">d</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Nonconventional source fuel Form 8907, line 23)
            <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              ......
            </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4mm;">12d</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/FuelCreditFromNnconvSource"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <!-- Line 12d -->
      
      <!-- Line 12e -->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;position:relative;left:1.25mm;">e</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Other specified credits (see instructions)
       <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              ........
            </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4mm;">12e</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/OtherSpecifiedCredits"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      <!-- Line 12e -->
      
      <!-- Line 12f -->
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4mm;position:relative;left:1.25mm;">f</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Add lines 12a through 12e
          <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              .....................


            </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4mm;">12f</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/SumOfForeignAndVehicleCredit"/>
          </xsl:call-template>
        </div>
      </div>
      
      
      <div style="width:187mm">
        <div class="styLNLeftNumBox" style="height:4mm;">13</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;font-size: 6pt">
          Net income tax.  Subtract line 12f from line 11.  If zero,
          skip lines 14 through 17 and enter -0- on line 18
          <span style="letter-spacing:4mm; font-weight:bold; font-size: 7pt">  
              .....
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">13
        </div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/NetIncomeTax"/>
          </xsl:call-template>
        </div>
      </div>
      
      
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">14</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Net regular tax. Subtract line 12f from line 9.  If zero
          or less, enter -0-
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">14</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/NetRegularTax"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:4.5mm;border-right-width:1px;"></div>
      </div>
      
      
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">15</div>
        <div class="styLNDesc" style="width:98.25mm;height:4mm;">
          Enter 25% (.25) of the excess, if any, of line 14 over
          $25,000 (see instructions)
          <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              ................
            </span>
        </div>
        <div class="styLNRightNumBox" style="height:8mm;padding-top:3.5mm">15</div>
        <div class="styLNAmountBox" style="height:8mm;">
          <br/>
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/TwentyFivePercentOfExcess"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:8mm;padding-top:3.5mm;border-right-width:1px;"></div>
      </div>
      
            
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">16</div>
        <div class="styLNDesc" style="width:93.25mm;height:4mm;">
          Tentative minimum tax (see instructions):          
            <li style="padding-top:1mm;position:relative;left:-4.25mm;">Individuals. Enter the amount from Form 6251, line 33</li>
            <span class="styBoldText">
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.                        
            </span>
            <li style="padding-top:1mm;position:relative;left:-4.25mm;">Corporations.  Enter the amount from Form 4626, line 12</li>   
            <span class="styBoldText">
            <span style="width:16px;"></span>.  
            <span style="width:16px;"></span>.                        
            </span>          
            <li style="padding-top:1mm;position:relative;left:-4.25mm;">Estates and trusts. Enter the amount from Form 1041, <br/> <span style="width:14px;float:left;"></span>Schedule I, line 54</li>
            <!--Dotted Line-->
            <span style="letter-spacing:4mm; font-weight:bold">  
              ............
            </span>                     
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:5mm;">
          <img src="{$ImagePath}/8826_Bracket_Md.gif" width="4mm" height="46mm" alt="Curly Bracket Image"/>        
        </div>
        <div class="styLNRightNumBox" style="height:14mm;padding-top:9.5mm;">16</div>
        <div class="styLNAmountBox" style="height:14mm;padding-top:9.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/TentativeMinimumTax"/>
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="width:8.25mm;background-color:lightgrey;height:20mm;border-right-width:1px;"></div>            
      </div>

      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">17</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Enter the greater of line 15 or line 16
          <span style="letter-spacing:4mm; font-weight:bold">  
            ..................
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">17</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/GreaterAmtOfMinimumAndExcess"/>
          </xsl:call-template>
        </div>
      </div>
      
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">18</div>
        <div class="styLNDesc" style="width:138mm;height:4mm;">
          Subtract line 17 from line 13.  If zero or less, enter -0-
          <!--Dotted Line-->
          <span style="letter-spacing:4mm; font-weight:bold">  
            .............
          </span>  
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">18</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/SubtractMinExFromNetIncomeTax"/>
          </xsl:call-template>
        </div>        
      </div>      
      
      <div style="width:187mm;">
        <div class="styLNLeftNumBox">19</div>
        <div class="styLNDesc" style="width:138mm">
          <span class="styBoldText">Credit allowed for the current year. </span>
          Enter the <span class="styBoldText">smaller</span> of line 8 or line 18 here and on Form
          1040, line 55; Form 1120, Schedule J, line 6d; Form 1120-A, Part I, line 2; Form 1041, Schedule G, line 2c; or the applicable
          line of your return. If line 18 is smaller than line 8, see instructions
          <!--Dotted Line-->
          <span style="letter-spacing:4mm; font-weight:bold">  
            ......
          </span>
        </div>
        <div class="styLNRightNumBoxNBB" style="height:5mm;padding-top:0mm">
        <div class="styLNRightNumBoxNBB" style="width:7.75mm;border-left-width:0px;background-color:lightgrey;">
          <br/><br/>
        </div>
          19
        </div>
        <div class="styLNAmountBoxNBB" style="height:5mm;">
          <br/><br/>
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$FormData/CreditAllowedForTheCurrentYear"/>
          </xsl:call-template>
        </div>
      </div>
    </div>

        <div style="width:187mm;">
          <span class="styBoldText">For Paperwork Reduction Act Notice, see page 2. </span> 
          <span style="width:120px;"></span>                      
          Cat. No. 12774N 
          <span style="width:80px;"></span>  
          Form <span class="styBoldText">8826</span> (2005)
        </div> 
        <br class="pageEnd"/>
        
        <!-- BEGIN Left Over Table -->  
        <!-- Additonal Data Title Bar and Button -->
        <div class="styLeftOverTitleLine" id="LeftoverData">
          <div class="styLeftOverTitle">
            Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" TabIndex="1"  type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
          </div>      
        </div>
        <!-- Additional Data Table -->
        <table class="styLeftOverTbl">
          <xsl:call-template name="PopulateCommonLeftover">
            <xsl:with-param name="TargetNode" select="$FormData" />
            <xsl:with-param name="DescWidth" select="100"/>
          </xsl:call-template>          
        </table>
      <!-- END Left Over Table -->      
  </form>  
</body>
</html>
</xsl:template>    

</xsl:stylesheet>