<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XML Spy v4.4 U (http://www.xmlspy.com) by Ken Dulabhan (Comteq Federal Inc) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:import href="PopulateTemplate.xsl"/>
  <xsl:include href="CommonPathRef.xsl"/>
  <xsl:include href="AddHeader.xsl"/>
  <xsl:include href="AddOnTable.xsl"/>
  <xsl:include href="IRS8864Style.xsl"/>
  <xsl:output method="html" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:param name="FormData" select="$RtnDoc/IRS8864"/>
  <xsl:template name="RowWriterCore">
    <tr>
      <td class="styLeftNumBox">
        <span style="width:1px;"/>
      </td>
      <td height="10px;" style="height:4.5mm;font-size:7pt;text-align:left;width:172mm;" class="styIRS8864table">
        <span style="width:1px;"/>
      </td>
    </tr>
  </xsl:template>
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:call-template name="FormTitle">
            <xsl:with-param name="RootElement" select="local-name($FormData)"/>
          </xsl:call-template>
        </title>
        <!-- No Browser Caching -->
        <meta http-equiv="Pragma" content="no-cache"/>
        <meta http-equiv="Cache-Control" content="no-cache"/>
        <meta http-equiv="Expires" content="0"/>
        <!-- No Proxy Caching -->
        <meta http-equiv="Cache-Control" content="private"/>
        <!-- Define Character Set -->
        <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
        <meta name="Description" content="TY 2005 IRS Form 8864"/>
        <!-- javascript include -->
        <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"/>
        <xsl:call-template name="InitJS"/>
        <style type="text/css">
          <xsl:if test="not($Print) or $Print=''">
            <xsl:call-template name="IRS8864Style"/>
            <xsl:call-template name="AddOnStyle"/>
          </xsl:if>
        </style>
        <xsl:call-template name="GlobalStylesForm"/>
      </head>
      <body class="styBodyClass">
        <!-- Standard Warning Lines -->
        <xsl:call-template name="DocumentHeader"/>
        <!-- FORM DISPLAY STUFF STARTS HERE -->
        <!--Title of Form -->
        <div class="styTBB" style="width:187mm;height: 21mm;border-bottom-width: 1px;">
          <div class="styFNBox" style="height: 21mm; width:33mm;font-size: 7pt; padding-top:2mm; border-right-width: 1px;">
          Form <span class="styFormNumber">8864</span>
            <br/>
            <span>
              <xsl:call-template name="SetFormLinkInline">
                <xsl:with-param name="TargetNode" select="$FormData"/>
              </xsl:call-template>
            </span>
            <br/>
            <div style="line-height:100%">
              <span class="styAgency">Department of the Treasury</span>
              <br/>
              <span class="styAgency">Internal Revenue Service</span>
            </div>
          </div>
          <div class="styFTBox" style="width:122.5mm; height: 21mm">
            <div class="styFMT" style="line-height:100%;height:12mm;font-size: 12pt; padding-top:6mm;padding-bottom:3mm;">
              <div class="styMainTitle">Biodiesel and Renewable Diesel Fuels Credit
              </div>
            </div>
            <span>
              <img src="{$ImagePath}/8864_Bullet_Line.gif" alt="Bullet"/>
              <span class="styBoldText" style="font-size:7pt;">Attach to your tax return.</span>
            </span>
          </div>
          <div class="styTYBox" style="width:31.5mm;height:21mm;border-left-width:1px;">
            <div class="styOMB" style="height:2mm;">OMB No. 1545-1924</div>
            <div class="styTaxYear" style="padding-top:0mm;height:6mm;">20<span class="styTYColor">05</span>
            </div>
            <span class="stySmallText" style="width:31mm;text-align:left;padding-left:4mm;">
              <b>Attachment<br/> Sequence No. </b>
              <span class="styBoldText" style="font-size:8pt;">141</span>
            </span>
          </div>
          <!-- -->
        </div>
        <!--  End title of Form  -->
        <div class="styBB" style="width:187mm">
          <div class="styNameBox" style="font-size:7pt; width:132mm; height:8mm">Name(s) shown on return
            <div style="padding-left:5mm; line-height:110%">
              <xsl:call-template name="PopulateReturnHeaderFiler">
                <xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
              </xsl:call-template>
              <br/>
              <xsl:call-template name="PopulateReturnHeaderFiler">
                <xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
              </xsl:call-template>
            </div>
          </div>
          <div class="styEINBox" style="font-size:7pt; padding-left:2mm;"> Identifying number 
            <div style="text-align:left; width:100%; padding-top:2mm; font-weight:normal">
              <span style="font-weight:normal;">
                <xsl:call-template name="PopulateReturnHeaderFiler">
                  <xsl:with-param name="TargetNode">EIN</xsl:with-param>
                </xsl:call-template>
              </span>
            </div>
          </div>
        </div>
        <div class="styBB" style="width:187mm;padding-top:1mm;padding-bottom:1mm;border-bottom-width:1px;">
          <div class="styBoldText" style="float:left;clear:none;width:14mm;"> Caution:</div>
          <div class="styNormalText" style="float:left;clear:none;width:173mm;padding-left:0mm;">
            You cannot claim any amounts on Form 8864 that you claimed (or will claim) on Schedule C (Form 720), Form 8849, or
            <br/>
            <span style="padding-left:0mm;">Form 4136.</span>
          </div>
        </div>
        <!-- BEGIN Part I Title -->
        <div class="styBB" style="width:187mm;">
          <div class="styPartName" style="width:15mm;height:4mm;">Part I</div>
          <div class="styPartDesc" style="width:166.2mm;height:4mm;">Current Year Credit</div>
        </div>
        <!-- END Part I Title -->
        <div class="styBB" style="width:187mm;padding-top:1mm;">
        Claimant has a certificate from the producer or importer of biodiesel or renewable diesel reported on lines 1 through 6 below and, if
applicable, claimant also has a statement from the reseller. Claimant has no reason to believe that the information in the certificate or
statement is false. Claimant may need to attach a copy of the certificate and statement. See <i>Certification</i> on page 2.
       
        </div>
        <div class="styBB" style="width:187mm;">
          <span class="styNormalText" style="width:107.5mm;float:left;clear:none;text-align:center;padding-top:3.5mm;">
          Type of Fuel
          </span>
          <div class="styGenericDiv" style="float:right;">
            <span class="styTableCellCtr" style="height:10mm;width:27mm;float:left;clear:none;border-bottom-width:0px;border-right-width:0px;border-left-width:1px; ">
            (a) <br/>Number of Gallons Sold or Used
            </span>
            <span class="styTableCellCtr" style="height:10mm;width:19.5mm;float:left;clear:none;border-bottom-width:0px;border-right-width:0px;border-left-width:1px; ">
            (b) <br/>Rate
            </span>
            <span class="styTableCellCtr" style="height:10mm;width:32.5mm;float:left;clear:none;border-bottom-width:0px;border-right-width:0px;border-left-width:1px; ">
            (c) <br/>Column <span style="font-size:6pt;">(a)</span> x Column <span style="font-size:6pt;">(b)</span>
            </span>
          </div>
        </div>
        <div class="styBB" style="width:187mm">
          <!-- Line 1 -->
          <div class="styGenericDiv" style="height:4.5mm;width:186.5mm">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">1</span>
              <span class="styLNDesc" style="width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                Biodiesel (other than agri-biodiesel)
              </span>
                <span class="styDotLn" style="clear:none;padding-left:3mm;">
                ..........
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.5mm;">
              <span class="styLNRightNumBox" style="height:4.5mm;">
              1
              </span>
              <span class="styLNAmountBox" style="height:4.5mm;width:27mm;padding-right:1mm;">
                <!-- populate 'Straight biodiesel' number of gallons sold or used -->
                <!-- Generated code start -->
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="$FormData/BiodieselGallons" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselGallonss</xsl:with-param>
                </xsl:call-template>
                <!-- Generated code end -->
              </span>
              <span class="styLNAmountBox" style="width:19.5mm;">
                <span class="styGenericDiv" style="padding-left:5mm;">
                $
                </span>
                <span class="styGenericDiv" style="float:right;padding-right:5.5mm;">
                .50
                </span>
              </span>
              <span class="styLNAmountBox" style="height:4.5mm;">
                <!-- populate 'Straight biodiesel' number of gallons sold or used multiplied by .5  -->
                <!-- Generated code start -->
                <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/BiodieselAmount" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselAmount</xsl:with-param>
                </xsl:call-template>
                <!-- Generated code end -->
              </span>
            </div>
          </div>
          <!-- End Line 1 -->
          <!-- Line 2 -->
          <div class="styGenericDiv" style="width:186.5mm">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="height:4.5mm;padding-left:2.8mm;">2</span>
              <span class="styLNDesc" style="height:4.5mm;width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
               Agri-biodiesel
                </span>
                <span class="styDotLn" style="clear:none;padding-left:4.5mm;">
                .................
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.5mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
              2
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:27mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/AgriBiodieselGallons" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselGallons</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:19.5mm;">
                <span class="styGenericDiv" style="padding-left:5mm;">
                $
                </span>
                <span class="styGenericDiv" style="float:right;padding-right:5.5mm;">
                1.00
                </span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/AgriBiodieselAmount" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselAmount</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
          <!-- End Line 2 -->
          <!-- Line 3 -->
          <div class="styGenericDiv" style="width:186.5mm">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;height:4.5mm;">3</span>
              <span class="styLNDesc" style="width:91.5mm;height:4.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                Renewable diesel sold or used after December 31, 2005
                </span>
                <span class="styDotLn" style="clear:none;padding-left:4.5mm;">
                ...
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.5mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
              3
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:27mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/RenewableDieselSoldUsed" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselSoldUsed</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:19.5mm;">
                <span class="styGenericDiv" style="padding-left:5mm;">
                $
                </span>
                <span class="styGenericDiv" style="float:right;padding-right:5.5mm;">
               1.00
                </span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/RenewableDieselSoldUsedAmount" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselSoldUsedAmount</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
          <!-- End Line 3 -->
          <!-- Line 4 -->
          <div class="styGenericDiv" style="height:3.75mm;width:186.5mm;">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">4</span>
              <span class="styLNDesc" style="width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
               Biodiesel (other than agri-biodiesel) included in a biodiesel mixture
                </span>
                <span class="styDotLn" style="clear:none;padding-left:1.75mm;">
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.5mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
              4
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:27mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/BiodieselIncldGals" />
                    <xsl:with-param name="BackupName">IRS8864BiodieselIncldGals</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:19.5mm;">
                <span class="styGenericDiv" style="padding-left:5mm;">
                $
                </span>
                <span class="styGenericDiv" style="float:right;padding-right:5.5mm;">
                .50
                </span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/BiodieselIncldAmt" />
                    <xsl:with-param name="BackupName">IRS8864BiodieselIncldAmt</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
          <!-- End Line 4 -->
          <!-- Line 5 -->
          <div class="styGenericDiv" style="height:3.75mm;width:186.5mm;">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">5</span>
              <span class="styLNDesc" style="width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
               Agri-biodiesel included in a biodiesel mixture
                </span>
                <span class="styDotLn" style="clear:none;padding-left:1.75mm;">
                .......
                </span>
              </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:4.5mm;width:86.5mm;">
              <div class="styLNRightNumBox" style="height:4.5mm;">
            5
              </div>
              <div class="styLNAmountBox" style="height:4.5mm;width:27mm;padding-right:1mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/AgriBiodieselIncldGals" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselIncldGals</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:19.5mm;">
                <span class="styGenericDiv" style="padding-left:5mm;">
                $
                </span>
                <span class="styGenericDiv" style="float:right;padding-right:5.5mm;">
                1.00
                </span>
              </span>
              <div class="styLNAmountBox" style="height:4.5mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/AgriBiodieselIncldAmt" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselIncldAmt</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
      
          
          <!-- End Line 5 -->
          <!-- Line 6 -->
          
          <div class="styGenericDiv" style="height:3.75mm;width:186.5mm;">
            <div class="styGenericDiv" style="height:4.5mm;width:99.5mm;">
              <div class="styLNLeftNumBox" style="padding-left:2.8mm;">6</div>
              <div class="styLNDesc" style="width:91.5mm;">
                <span class="styNormalText">
               Renewable diesel included in a renewable diesel mixture sold or used after December 31, 2005
               </span>
              <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
             </span>
              </div>
            </div>
            <div class="styGenericDiv" style="float:right;height:7.5mm;width:86.5mm;">
              <div class="styLNRightNumBox" style="height:7.5mm;padding-top:3mm;">
            6
              </div>
              <div class="styLNAmountBox" style="height:7.5mm;width:27mm;padding-right:1mm;padding-top:3mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/RenewableDieselIncludedMixture" />
                    <xsl:with-param name="BackupName">IRS8864/RenewableDieselIncludedMixture</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:19.5mm;height:7.5mm;padding-top:3mm;">
                <span class="styGenericDiv" style="padding-left:5mm;">
                $
                </span>
                <span class="styGenericDiv" style="float:right;padding-right:5.5mm;">
                1.00
                </span>
              </span>
              <div class="styLNAmountBox" style="height:7.5mm;padding-top:3mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/RenewableDieselInclMixtureAmt" />
                    <xsl:with-param name="BackupName">IRS8864RenewableDieselInclMixtureAm</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
  
          <!-- End Line 6 -->
          <!-- Line 7 -->
           <div class="styGenericDiv" style="height:8mm;width:186.5mm;">
            <div class="styGenericDiv" style="height:8mm;width:99.5mm;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">7</span>
              <span class="styLNDesc" style="width:91.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
               Qualified agri-biodiesel production (gallons sold) (cooperatives, see instructions for election) 
                 <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
             </span>
            </span>
            </span>
            </div>
            <div class="styGenericDiv" style="float:right;height:8mm;width:86.5mm;">
              <div class="styLNRightNumBox" style="height:8mm;padding-top:3.5mm;">
            7
              </div>
              <div class="styLNAmountBox" style="height:8mm;width:27mm;padding-right:1mm;padding-top:3.5mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="$FormData/QualifiedAgriBioDieselProd" />
                    <xsl:with-param name="BackupName">IRS8864AgriBiodieselIncldGals</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
              <span class="styLNAmountBox" style="width:19.5mm;height:8mm;padding-top:3.5mm;">
                <span class="styGenericDiv" style="padding-left:5mm;">
                $
                </span>
                <span class="styGenericDiv" style="float:right;padding-right:5.5mm;">
                .10
                </span>
              </span>
              <div class="styLNAmountBox" style="height:8mm;padding-top:3.5mm;">
                 <!-- Generated code start -->
                 <xsl:call-template name="PopulateAmount">
                    <xsl:with-param name="TargetNode" select="$FormData/QualifiedAgriBioDieselProdAmt" />
                    <xsl:with-param name="BackupName">IRS8864QualifiedAgriBiodieselProdAmt</xsl:with-param>
                 </xsl:call-template>
                 <!-- Generated code end -->
              </div>
            </div>
          </div>
          <!-- End Line 7 -->
          <!--Line 8 -->
           <div class="styGenericDiv" style="width:187mm;">
            <span style="width:154.5mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">8</span>
              <span class="styLNDesc" style="width:137.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                Add lines 1 through 7. Include this amount in your income for 2005 (see instructions)
                </span>
                 <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm;"></span>.
             </span>
              </span>
              <span class="styLNRightNumBox" style="float:right;">
              8
              </span>
            </span>
            <span class="styLNAmountBox" style="float:left;">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/BiodieselPlusAgriBiodiesel" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselAgriBiodiesel</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </span>
          </div>

          <!--Line 9-->
           <div class="styGenericDiv" style="width:187mm;height:8mm;">
            <span style="width:154.5mm;float:left;clear:none;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;">9</span>
              <span class="styLNDesc" style="width:137.5mm;">
                <span class="styNormalText" style="float:left;clear:none;">
                Biodiesel and renewable diesel fuels credit(s) from a partnership, S corporation, estate, trust, or cooperative (see instructions)
               <span class="styBoldText">
                 <span style="width:3.3mm;"></span>.
                 <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
                  <span style="width:3.3mm;"></span>.
                <span style="width:3.3mm;"></span>.
             </span>
            </span>
           </span>
          <span class="styLNRightNumBox" style="float:right;height:8mm;padding-top:3.5mm;">
              9
              </span>
            </span>
            <span class="styLNAmountBox" style="height:8mm;padding-top:3.5mm;">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/BiodieselRenewableFuelsAmounts" />
                  <xsl:with-param name="BackupName">IRS8864BiodieselFuelsCredits</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </span>
          </div>

          <!--Line 10 -->
        
          <div class="styGenericDiv" style="width:187mm;border-bottom-width:0px;">
            <span style="width:154.5mm;float:left;clear:none;border-bottom-width:0px;">
              <span class="styLNLeftNumBox" style="padding-left:2.8mm;border-bottom-width:0px;">10</span>
              <span class="styLNDesc" style="width:137.5mm;border-bottom-width:0px;">
                <span class="styNormalText" style="float:left;clear:none;border-bottom-width:0px;font-weight:bold">
                     Current year credit.  </span> Add lines 8 and 9. (S corporations, partnerships, estates and trusts, see instructions.) 
                       <span class="styBoldText">
             


                
           
         </span>
     </span>
     <span class="styLNRightNumBox" style="float:right;height:7.5mm;border-bottom-width:0px;">
              10
      </span>
    </span>
     <span class="styLNAmountBox" style="border-bottom-width:0px;height:7.5mm;">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/CurrentYearCredit" />
                  <xsl:with-param name="BackupName">IRS8864CurrentYearCredit</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
    </span>
  </div>
</div>
        <!-- BEGIN Part II Title -->
        <div class="styBB" style="width:187mm;border-top-width:0px;">
          <div class="styPartName" style="width:15mm;height:4mm;border-top-width:0px;">Part II</div>
          <div class="styPartDesc" style="width:166.2mm;height:4mm;border-top-width:0px;">
            <span class="styBoldText" style="float:left;clear:none;">
            Allowable Credit
            </span>
            <span class="stySmallText" style="font-style:italic;font-size:7pt;float:left;clear:none;padding-left:3mm;">
              <span class="styNormalText">(See </span>
              <span class="styBoldText">
              Who must file Form 3800
              </span>
              <span class="styNormalText">
              to find out if you complete the lines below or file Form 3800.)  
              </span>
            </span>
          </div>
        </div>
        <!-- END Part II Title -->
        

      <!-- Line 11 -->      
      <div style="width:187mm;">
       <div class="styLNLeftNumBox" style="height:4mm; padding-left:3mm">11</div>
        <div class="styLNDesc" style="width:123mm;height:4mm;">
          Regular tax before credits:          
            <li style="padding-top:.75mm;">Individuals. Enter the amount from Form 1040, line 44</li>
            <!--Dotted Line-->
            <span style="letter-spacing:3.5mm;font-weight:bold">...........</span>
            <li style="padding-top:.75mm">Corporations.  Enter the amount from Form 1120, Schedule J, line 3; 
            Form 1120-A, <br/><span style="width:14px;float:left;"></span>Part I, line 1, or the applicable line of your return</li>
            <!--Dotted Line-->
            <span style="letter-spacing:3.5mm;font-weight:bold">.............</span>
            <li style="padding-top:.75mm">Estates and trusts.  Enter the sum of the amounts from Form 1041, Schedule G,
             lines 1a<br/> <span style="width:14px;float:left;"></span> and 1b, or the amount from the applicable line of your return</li>
             <!--Dotted Line-->
            <span style="letter-spacing:3.5mm;font-weight:bold">.........</span>                  
        </div>
        <div class="styLNDesc" style="width:5mm; padding-top:3.5mm;">
          <img src="{$ImagePath}/8874_Bracket_Lgest.gif" alt="Curly Bracket Image"/>      
        </div>
        <div class="styLNDesc" style="width:10mm; height:14mm;">                  
          <span class="styBoldText" style="width:10mm; height:14mm;padding-bottom:0mm;padding-top:6.5mm;">              
            <span style="width:26px;"></span>
            <span style="width:12px;"></span>.
            <span style="width:12px;"></span>.                                                      
          </span>                  
        </div>
        <div style="float:right;">
          <div class="styLNRightNumBox" style="height:11mm;padding-top=0mm;">
            <div class="styLNRightNumBoxNBB" style="width:7.6mm;border-left-width:0px;background-color:lightgrey;height:10.5mm;">
            </div>
            11
          </div>
          <div class="styLNAmountBox" style="height:14.5mm;padding-top:4mm;">
            <br/><br/>
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/RegularTaxBeforeCredits"/>
            </xsl:call-template>
          </div>
          </div>
          <div style="float:right;">
          <div class="styLNRightNumBoxNBB" style="height:8.5mm;background-color:lightgrey;"></div>
          <div class="styLNAmountBoxNBB" style="height:8.5mm;padding-top:0mm;" />
        </div>
      </div>

      <!-- Line 12 -->      
      <div style="width:187mm;">
       <div class="styLNLeftNumBox" style="height:4mm; padding-left:3mm">12</div>
        <div class="styLNDesc" style="width:123mm;height:4mm;">
          Alternative minimum tax:
            <li style="padding-top:.75mm">Individuals. Enter the amount from Form 6251, line 35</li>
            <!--Dotted Line-->
            <span style="letter-spacing:3.6mm;font-weight:bold">...........</span>
            <li style="padding-top:.75mm">Corporations.  Enter the amount from Form 4626, line 14</li>             
            <!--Dotted Line-->
            <span style="letter-spacing:3.5mm;font-weight:bold">...........</span>
            <li style="padding-top:.75mm">Estates and trusts. Enter the amount from Form 1041, Schedule I, line 56</li>
             <!--Dotted Line-->
            <span style="letter-spacing:3.9mm;font-weight:bold">.....</span>             
        </div>
        <div class="styLNDesc" style="width:5mm; height:4mm;padding-top:4.5mm;">
          <img src="{$ImagePath}/8864_Bracket_Sm_L9.gif" alt="Curly Bracket Image"/>        
        </div>
        <div class="styLNDesc" style="height:10mm;width:10mm;">                  
          <span class="styBoldText" style="height:10mm;width:10mm;padding-bottom:0mm;padding-top:4mm;">              
            <span style="width:26px;"></span>
            <span style="width:12px;"></span>.
            <span style="width:12px;"></span>.                                                      
          </span>                  
        </div>
        <div style="float:right;">
          <div class="styLNRightNumBox" style="height:11.5mm;padding-top=0mm;">
            <div class="styLNRightNumBoxNBB" style="height:7.5mm;width:7.6mm;border-left-width:0px;background-color:lightgrey;">
            </div>
            12
          </div>
          <div class="styLNAmountBox" style="height:11.5mm;padding-top:7.5mm;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/AlternativeMinimumTax"/>
              <xsl:with-param name="BackupName">IRS8864AlternativeMinimumTax</xsl:with-param>
            </xsl:call-template>
          </div>
        </div>
        <div style="float:right;">
          <div class="styLNRightNumBoxNBB" style="height:6mm;background-color:lightgrey;"></div>
          <div class="styLNAmountBoxNBB" style="height:6mm;padding-top:0mm;" />
        </div>
      </div>


      
        <!-- line 13 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" style="padding-top:.5mm;">13</div>
          <div style="float:left;padding-top:.5mm;">
          Add lines 11 and 12
          </div>
          <div style="float:right">
            <span class="styDotLn">  
            ............................          
            </span>
            <div class="styLNRightNumBox">13</div>
            <div class="styLNAmountBox">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/RegularTaxPlusAltMinimumTax" />
                  <xsl:with-param name="BackupName">IRS8864RegularTaxPlusAltMinimumTax</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
          </div>
        </div>
        <!-- line 14 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" style="padding-right:.5mm;padding-top:.5mm">14a</div>
          <span style="width:.5px" />
          <div style="float:left; padding-top:.5mm;">
          Foreign tax credit  
          </div>
          <div style="float:right">
            <span class="styDotLn" style="padding-left:3mm;clear:none;">  
            ..................
            </span>
            <div class="styLNRightNumBox" style="height:5mm">14a</div>
            <div class="styLNAmountBox" style="padding-right:1mm;height:5mm">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/ForeignTaxCredit" />
                  <xsl:with-param name="BackupName">IRS8864ForeignTaxCredit</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
            <div class="styLNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"/>
            <div class="styLNAmountBoxNBB" style="height:5mm"/>
          </div>
        </div>
        <div style="width:187mm">
          <div class="styLNLeftLtrBox" style="padding-left:6mm;">b</div>
   
          <div style="float:left;padding-top:.5mm;padding-left:.5mm;">
          Credits from Form 1040, lines 48 through 54
          </div>
          <div style="float:right">
            <span class="styDotLn" style="padding-left:3mm;clear:none;">  
            .........
            </span>
            <div class="styLNRightNumBox" style="height:5mm;">14b</div>
            <div class="styLNAmountBox" style="padding-right:1mm;height:5mm;">
              <!-- this field doesn't apply to 1120 returns -->
            </div>
            <div class="styLNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"/>
            <div class="styLNAmountBoxNBB" style="height:5mm"/>
          </div>
        </div>
        <div style="width:187mm">
          <div class="styLNLeftLtrBox" style="padding-left:6mm;">c</div>
          <div style="float:left;padding-top:.5mm;padding-left:.5mm;">
          Possessions tax credit (Form 5735, line 17 or 27)
          </div>
          <div style="float:right">
            <span class="styDotLn" style="padding-left:3mm;">  
            .......
            </span>
            <div class="styLNRightNumBox" style="height:5mm">14c</div>
            <div class="styLNAmountBox" style="padding-right:1mm;height:5mm">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/PossessionsTaxCredit" />
                  <xsl:with-param name="BackupName">IRS8864PossessionsTaxCredit</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
            <div class="styLNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"/>
            <div class="styLNAmountBoxNBB" style="height:5mm"/>
          </div>
        </div>
        <div style="width:187mm">
          <div class="styLNLeftLtrBox" style="padding-left:6mm;">d</div>
          <div style="float:left;padding-top:.5mm;padding-left:.5mm;">
         Nonconventional source fuel credit (Form 8907, line 23)
          </div>
          <div style="float:right">
            <span class="styDotLn">  
            .....  
            </span>
            <div class="styLNRightNumBox" style="height:5mm">14d</div>
            <div class="styLNAmountBox" style="padding-right:1mm;height:5mm">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/NonconventionalSourceFuelCr" />
                  <xsl:with-param name="BackupName">IRS8864NonconventionalSourceFuelCr</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
            <div class="styLNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"/>
            <div class="styLNAmountBoxNBB" style="height:5mm"/>
          </div>
        </div>
        <div style="width:187mm">
          <div class="styLNLeftLtrBox" style="padding-left:6mm;">e</div>
          <div style="float:left;padding-top:.5mm;padding-left:.5mm;">
          Other specified credits (see instructions)
          </div>
          <div style="float:right">
            <span class="styDotLn" style="padding-left:3mm;">  
            ..........
            </span>
            <div class="styLNRightNumBox" style="height:5mm">14e</div>
            <div class="styLNAmountBox" style="padding-right:1mm;height:5mm">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/OtherSpecifiedCredits" />
                  <xsl:with-param name="BackupName">IRS8864QualifiedElectricVehicleCredit</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
            <div class="styLNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"/>
            <div class="styLNAmountBoxNBB" style="height:5mm"/>
          </div>
        </div>
        <div style="width:187mm">
          <div class="styLNLeftLtrBox" style="padding-left:6mm;">f</div>
          <div style="float:left;padding-top:.5mm;padding-left:.5mm;">
          Add lines 14a through 14e
          </div>
          <div style="float:right">
            <span class="styDotLn" style="padding-left:3mm;">  
            .........................
            </span>
            <div class="styLNRightNumBox">14f</div>
            <div class="styLNAmountBox">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/TotalTaxCredits" />
                  <xsl:with-param name="BackupName">IRS8864TotalTaxCredits</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
          </div>
        </div>
        <!-- line 15 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" style="padding-top:.5mm">15</div>
          <div style="float:left;padding-top:.5mm;">
          Net income tax. Subtract line 14f from line 13. If zero, skip lines 16 through 19 and enter -0- on line 20
          </div>
          <div class="styGenericDiv" style="float:right;">
            <div class="styLNRightNumBox">15</div>
            <div class="styLNAmountBox">
              <!-- Generated code start -->
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="$FormData/NetIncomeTax" />
                <xsl:with-param name="BackupName">IRS8864NetIncomeTax</xsl:with-param>
              </xsl:call-template>
              <!-- Generated code end -->
            </div>
          </div>
        </div>
        <!-- line 16 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" style="padding-top:.5mm">16</div>
          <div style="float:left;padding-top:.5mm;">
          Net regular tax. Subtract line 14f from line 11. If zero or less, enter -0-
          </div>
          <div style="float:right">
            <div class="styLNRightNumBox" style="height:5mm">16</div>
            <div class="styLNAmountBox" style="padding-right:1mm;height:5mm">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/NetRegularTax" />
                  <xsl:with-param name="BackupName">IRS8864NetRegularTax</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
            <div class="styLNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"/>
            <div class="styLNAmountBoxNBB" style="height:5mm"/>
          </div>
        </div>
        <!-- line 17 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" style="padding-top:.5mm">17</div>
          <div style="float:left;clear:none;padding-top:.5mm;">
            <span class="styGenericDiv">
            Enter 25% 
            </span>
            <span class="stySmallText" style="padding-top:.5mm;padding-left:.5mm;" >
            (.25) of the excess, if any, <span style="width:1px;" />
            </span>
            <span class="styGenericDiv">
             of line 16 over $25,000 
            </span>
            <span class="stySmallText" style="padding-top:.5mm;padding-left:1mm;" >
            (see instructions)
            </span>
          </div>
          <div style="float:right">
            <span class="styDotLn"/>
            <div class="styLNRightNumBox" style="height:5mm">17</div>
            <div class="styLNAmountBox" style="padding-right:1mm;height:5mm">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/TwentyFivePercentOfExcess" />
                  <xsl:with-param name="BackupName">IRS8864TwentyFivePercentOfExcess</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
            <div class="styLNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"/>
            <div class="styLNAmountBoxNBB" style="height:5mm"/>
          </div>
        </div>
        <!-- line 18 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" style="padding-top:.5mm">18</div>
          <div style="float:left;padding-top:.5mm;">
          Tentative minimum tax (see instructions)
          </div>
          <div style="float:right">
            <span class="styDotLn" style="padding-left:3mm;">  
            ..........
            </span>
            <div class="styLNRightNumBox" style="height:5mm">18</div>
            <div class="styLNAmountBox" style="padding-right:1mm;height:5mm">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/TentativeMinimumTax" />
                  <xsl:with-param name="BackupName">IRS8864TentativeMinimumTax</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
            <div class="styLNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"/>
            <div class="styLNAmountBoxNBB" style="height:5mm"/>
          </div>
        </div>
        <!-- line 19 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" style="padding-top:.5mm">19</div>
          <div style="float:left;padding-top:.5mm;">
          Enter the greater of line 17 or line 18
          </div>
          <div style="float:right">
            <span class="styDotLn" style="padding-left:3mm;">  
            .....................
            </span>
            <div class="styLNRightNumBox">19</div>
            <div class="styLNAmountBox">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/GreaterOfTentMinTaxOrExcess" />
                  <xsl:with-param name="BackupName">IRS8864GreaterOfTentMinTaxOrExcess</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
          </div>
        </div>
        <!-- line 20 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" style="padding-top:.5mm">20</div>
          <div style="float:left;padding-top:.5mm;">
          Subtract line 19 from line 15. If zero or less, enter -0-
          </div>
          <div style="float:right">
            <span class="styDotLn">  
            ...............
            </span>
            <div class="styLNRightNumBox">20</div>
            <div class="styLNAmountBox">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/AdjustedNetIncomeTax" />
                  <xsl:with-param name="BackupName">IRS8864AdjustedNetIncomeTax</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
          </div>
        </div>
        <!-- line 21 -->
        <div style="width:187mm">
          <div class="styIRS8864LNLeftNumBoxTop" >21</div>
          <div style="float:left;clear:none;">
            <span style="font-weight:bold;padding-top:.8mm;">Credit allowed for the current year. </span>Enter the <span style="font-weight:bold;">smaller </span>of line 10 or line 20 here and on Form 1040,
          </div>
          <div style="float:right">
            <div class="styLNRightNumBox" style="border-bottom:0; background-color:lightgrey;"/>
            <div class="styLNAmountBox" style="border-bottom:0;"/>
          </div>
        </div>
        <div style="width:187mm">
          <div class="styLNLeftNumBox"/>
          <div style="float:left">
          line 55; Form 1120, Schedule J, line 6d; Form 1120-A, Part I, line 2; Form 1041, Schedule G, line
          </div>
          <div style="float:right">
            <div class="styLNRightNumBox" style="border-bottom:0; background-color:lightgrey;"/>
            <div class="styLNAmountBox" style="border-bottom:0;"/>
          </div>
        </div>
        <div style="width:187mm">
          <div class="styLNLeftNumBox"/>
          <div style="float:left">
          2c; or the applicable line of your return. If line 20 is smaller than line 10, see instructions
          </div>
          <div style="float:right">
            <div class="styLNRightNumBoxNBB">21</div>
            <div class="styLNAmountBoxNBB">
               <!-- Generated code start -->
               <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/CreditAllowedForCurrentYear" />
                  <xsl:with-param name="BackupName">IRS8864CreditAllowedForCurrentYear</xsl:with-param>
               </xsl:call-template>
               <!-- Generated code end -->
            </div>
          </div>
        </div>
        <div style="width:187mm; border-top:1 solid Black; font-size:8pt">
          <div class="stySmallText" style="font-weight:bold; float:left; padding-top:0.5mm">
          For Paperwork Reduction Act Notice,  see page 4.
          </div>
          <div style="float:right">
            <span style="margin-right:32mm; font-size:7pt">Cat. No. 25778F</span>          
            Form <b>8864</b> (2005)
          </div>
        </div>
        <p style="page-break-before:always"/>
        <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
          <div class="styLeftOverTitle">
          Additional Data        
          </div>
          <div class="styLeftOverButtonContainer">
            <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
          </div>
        </div>
        <table class="styLeftOverTbl">
          <xsl:call-template name="PopulateCommonLeftover">
            <xsl:with-param name="TargetNode" select="$FormData"/>
          </xsl:call-template>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
