<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8881Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8881" />

<xsl:template match="/">
<html>
  <head>    
    <title>
      <xsl:call-template name="FormTitle">
        <xsl:with-param name="RootElement" select="local-name($FormData)">
      </xsl:with-param></xsl:call-template>
    </title>
    <!-- No Browser Caching -->
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Cache-Control" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>
    <!-- No Proxy Caching -->
    <meta http-equiv="Cache-Control" content="private"/>        
    <meta name="Description" content="Schedule P (Form 5735)"/>
    <meta name="Generator" content="IBM WebSphere Studio"/>
    
    <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
    <xsl:call-template name="InitJS"></xsl:call-template>
    
    <style type="text/css">    
      <xsl:if test="not($Print) or $Print=''">
        <xsl:call-template name="IRS8881Style"></xsl:call-template>    
        <xsl:call-template name="AddOnStyle"></xsl:call-template>  
      </xsl:if>
    </style>        
    <xsl:call-template name="GlobalStylesForm"/>
  </head>
  
  <body class="styBodyClass">      
    <!-- 
      All stylesheet developers should develop using Verdana 8 point, not Arial 9 point
    -->
    <form style="font-family:Arial; font-size:9pt">      
      <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
        <!-- Begin Form title and Form number section -->

        <div class="styTBB" style="width:187mm;clear:both;float:none;border-bottom-width:1px">
          <div class="styFNBox" style="width:31mm;font-family:verdana;font-size:7pt;height:22.5mm;">
            Form <span class="styFormNumber">8881</span>
            <br/><br/>
            <div style="padding-top:1.5mm;">
              <span class="styAgency" >Department of the Treasury</span><br/>
              <span class="styAgency">Internal Revenue Service</span>
            </div>
          </div>
          <div class="styFTBox" style="width:125mm;height:13mm;">
            <div class="styMainTitle">
              Credit for Small Employer Pension Plan<br/>Startup Costs
            </div>
             <div class="styFST" style="font-size:7pt;padding-top:6mm;font-family:verdana;font-weight:bold;">
              <img src="{$ImagePath}/8881_Bullet.gif" alt="bullet image"/>
              Attach to your tax return.
            </div>    
          </div>
          <div class="styTYBox" style="width:30mm;height:13mm;font-family:verdana;font-size:7pt;">
            <div class="styOMB" style="height:2mm;">
              OMB No. 1545-1810
            </div>
            <div class="styTaxYear" style="height:10mm;">
              20<span class="styTYColor">05</span>
            </div>
            <div class="styOMB" style="height:3mm;border-bottom-width:0px;">Attachment<span style="width:8mm;"></span> <br/>
              Sequence No. <span class="styBoldText">130</span>
            </div>
          </div>
        </div>
        <!-- End form title and Form number Section -->
      
        <div class="styBB" style="width:187mm;clear:both;font-family:verdana;font-size:7pt;">
          <div class="styFNBox" style="width:144mm;height:8mm;">
            Name(s) shown on return<br/>
            <xsl:call-template name="PopulateReturnHeaderFiler">
              <xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
            </xsl:call-template>
            <br />
            <xsl:call-template name="PopulateReturnHeaderFiler">
              <xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
            </xsl:call-template>
          </div>
          <div class="styGenericDiv" style="width:42mm;height:4mm;padding-left:1mm;">
            <span class="styBoldText">Identifying number</span>
            <br/><br/>
            <xsl:call-template name="PopulateReturnHeaderFiler">
              <xsl:with-param name="TargetNode">EIN</xsl:with-param>
            </xsl:call-template>
          </div>
        </div>
      
    <!-- BEGIN Part I Title -->
      <div class="styBB" style="width:187mm; border-top:0 solid black; font-size:10pt">
        <div class="styPartName" style="font-family:verdana;">Part I</div>
        <div class="styPartDesc" style="font-family:verdana;">
          Current Year Credit <span style="font-weight:normal">
          (Members of controlled groups or businesses under common control, see instructions.)</span></div>
          <div  style="width:187mm; border-top:0 solid black;"></div>
      </div>
    <!-- END Part I Title -->
    
    <!-- BEGIN Part I Line Items -->      
      <div style="width:187mm">        
        <div class="styIRS8881LNLeftNumBoxTop ">1</div>
        <div style="float:left;">
          Qualified startup costs incurred during the tax year. <span style="font-weight:bold;">Do not </span>enter more    
        </div>
        <div style="float:right">
          <div class="styIRS8881LNRightNumBox" style="border-bottom:0;"></div>  
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>  
        </div>        
      </div>    
      <div style="width:187mm">        
        <div class="styIRS8881LNLeftNumBox"></div>
        <div style="float:left">
          than $1,000              
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            .......................
          </span>
          <div class="styIRS8881LNRightNumBox">1</div>  
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/QualifiedStartupCostsIncurred"/>
            </xsl:call-template>
          </div>  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;height:4.5mm;">
          </div>  
        </div>        
      </div>    
      
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBoxTop ">2</div>
        <div style="float:left">
          Enter one-half of line 1  
          <xsl:call-template name="SetFormLinkInline">
            <xsl:with-param name="TargetNode" select="$FormData/OnehalfOfQualifiedStartupCost" />
            <xsl:with-param name="TabOrder" select="2"/>
          </xsl:call-template>          
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ...........................
          </span>
          <div class="styIRS8881LNRightNumBox">2</div>
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/OnehalfOfQualifiedStartupCost"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>      
      <!-- line 3 -->
                    <div style="float:left; width: 187mm">
                <div class="styLNLeftNumBoxSD" style="height:4mm;padding-left:3mm">3</div>
                <div class="styLNDesc" style="font-size: 7pt; width:26.25mm; height:4mm;">
                    Form 8881 credits from<br />pass-through entities:
                </div>
          <div class="styLNDesc" style="width:5mm; height:4mm;"> </div>
      <div class="styLNDesc" style="width:115mm; height:4mm;">
                  <table summary="Table for Work Opportunity Credit" id="wkOppCrd" style="width:115mm;font-size:7pt;" cellpadding="0" cellspacing="0" border="0" class="stytable">
                    <tr>
                      <th scope="col" style="font-weight: normal; border-top:solid black .75pt; border-bottom:solid black .75pt; border-right:solid black .75pt; width:25mm;text-align:left; padding-left: 2mm" >
                          If you are a—
                        </th>
                       <th colspan="2" style="font-weight: normal; border-top:solid black .75pt; border-bottom:solid black .75pt; border-right:none;padding-left:2mm;width:77mm;text-align:left;" scope="col">
                          Then enter the Form 8881 credits from—
                        </th>
                        <th style="padding-left:2mm;" scope="col"><span style="width:2px;"></span></th>
                    </tr>
                    <tr>
                       <td style="border-right:solid black .75pt;">
                         <span style="float:left;">
                           <span class="styBoldText">a</span> Shareholder
                         </span>
                         <span style="float:right;padding-right:1.5mm;">
                           <span class = "styDotLn" >....</span>
                         </span>
                       </td>
                       <td style="padding-left:2mm;">
                             <span style="float:left;">
                        Schedule K-1 (Form 1120S) box 13, code F, G, or U
                          </span>
                          <span style="float:right;padding-right:1.5mm;">
                           <span class = "styDotLn" >...</span>
                         </span>
                      </td>
                       <td rowspan="4">
                         <span style="float:left;">
                          <img alt="Bullet Image" src="{$ImagePath}/8881_Bracket_Sm.gif" />
                        </span>
                        <span style="float:right;letter-spacing:3.2mm;padding-right:3mm;font-weight:bold;padding-top:1.25mm;padding-left:1mm;">..</span>
                       </td>
                    </tr>
                    <tr>
                       <td style="border-right:solid black .75pt;">
                          <span style="float:left;">
                          <span class="styBoldText">b</span> Partner
                        </span>
                          <span style="float:right;padding-right:1.5mm;">
                           <span class = "styDotLn" >.....</span>
                         </span>              
                       </td>
                       <td style="padding-left:2mm;">
                            <span style="float:left;">
                        Schedule K-1 (Form 1065) box 15, code F, G, or U
                         </span>
                           <span style="float:right;padding-right:1.5mm;">
                           <span class = "styDotLn" >...</span>
                         </span>              
                       </td>
                    </tr>
                  </table>
                </div>
                <div style="float: right; clear:both">
    <div style="width: 33mm">
        <div style="width: 7mm;height:4mm;" class="styLNRightNumBoxNBB"></div>
	   <div style="width: 26mm;height:4mm;" class="styLNAmountBoxNBB"></div>
	</div>
	<div style="width: 33mm">
	        <div style="height:5.5mm;width:7mm;padding-bottom:0mm;padding-top:1mm" class="styLNRightNumBox">3</div>
	        <div style="height:5.5mm;width: 26mm; font-size: 7pt;padding-bottom:0mm;padding-top:2mm" class="styLNAmountBox">
	          <xsl:call-template name="PopulateAmount">
	            <xsl:with-param name="TargetNode" select="$FormData/CreditsFromPassthroughEntities"/>
	          </xsl:call-template>        
	        </div>
	 </div>
	 <div style="width: 33mm">
	        <div style="width: 7mm; height: 5mm;" class="styLNRightNumBoxNBB"></div>
	        <div style="width: 26mm; font-size: 7pt;height: 5mm;" class="styLNAmountBoxNBB"></div></div></div>
      </div> 
      
      <div style="width:187mm">    
        <div class="styIRS8881LNLeftNumBoxTop ">4</div>
        <div style="float:left">
          Add lines 2 and 3                
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ............................
          </span>      
          <div class="styIRS8881LNRightNumBox">4</div>
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/SumOfCostsAndCrFromPassThruEnt"/>
            </xsl:call-template>
          </div>    
        </div>          
      </div>    
      
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBoxTop ">5</div>
        <div style="float:left">
          <span style="font-weight:bold;">Current year credit.</span> Enter the <span style="font-weight:bold;">smaller </span>of line 4 or <span style="font-weight:bold;">$500 </span>                   
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ...............
          </span>      
          <div class="styIRS8881LNRightNumBoxNBB">5</div>
          <div class="styIRS8881LNAmountBoxNBB">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CurrentYearCredit"/>
            </xsl:call-template>
          </div>        
        </div>
      </div>    
      
      
    <!-- END Part I Line Items -->    
      
    
    <!-- BEGIN Part II Title -->
      <div class="styBB" style="width:187mm; border-top:1 solid black; font-size:10pt">
        <div class="styPartName" style="font-family:verdana;">Part II</div>
        <div class="styPartDesc" style="font-family:verdana;">
          Allowable Credit <span style="font-weight:normal">(See </span>Who must file Form 3800<span style="font-weight:normal"> to find out if you complete Part II or file Form 3800.)</span>
        </div>
      </div>
    <!-- END Part II Title -->
    
    <!-- BEGIN Part II Line Items -->
<!-- line 6 -->
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBoxTop ">6</div>
        <div style="float:left">
          Regular tax before credits:                
        </div>
        <div style="float:right">  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 1040, line 44                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ..........
          </span>
          <div class="styIRS8881LNLeftNumBox" style="position:relative;width:25mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:0mm;left:-3mm;">
    <img src="{$ImagePath}/8881_Bracket_Lger.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 1120, Schedule J, line 3; Form 1120-A,            
        </div>
        <div style="float:right">  
          <div class="styIRS8881LNLeftNumBox" style="width:25mm;"></div>  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox"></div>
        <div style="float:left">
          Part I, line 1; or the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ..........
          </span>
          <div class="styIRS8881LNLeftNumBox" style="width:25mm;">
          <span class="styDotLn">      
            ......
          </span>
          </div>  
          <div class="styIRS8881LNRightNumBox">6</div>  
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/RegularTaxBeforeCredits"/>
            </xsl:call-template>
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the sum of the amounts from Form 1041, Schedule G,             
        </div>
        <div style="float:right">  
          <div class="styIRS8881LNLeftNumBox" style="width:25mm;"></div>  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox"></div>
        <div style="float:left">
          lines 1a and 1b, or the amount from the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ....
          </span>
          <div class="styIRS8881LNLeftNumBox" style="width:25mm;"></div>  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
<!-- line 7 -->            
      <div style="width:187mm">      
        <div class="styIRS8881LNLeftNumBoxTop ">7</div>
        <div style="float:left">
          Alternative minimum tax:
        </div>
        <div style="float:right">  
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styIRS8881LNAmountBoxNBB"></div>  
        </div>      
      </div>    
      
      <div style="width:187mm">      
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 6251, line 35          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
            ......        
          </span>
          <div class="styIRS8881LNLeftNumBox" style="position:relative;width:35mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:0mm;left:-3mm;">
    <img src="{$ImagePath}/8881_Bracket_Md.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>        
        </div>    
      </div>    
          
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 4626, line 14          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
            .......    
          </span>
          <div class="styIRS8881LNLeftNumBox" style="width:35mm;">
          <span class="styDotLn">  
            .........    
          </span>
          </div>  
          <div class="styIRS8881LNRightNumBox">7</div>
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/AlternativeMinimumTax"/>
            </xsl:call-template>
          </div>  
        </div>
      </div>          
        
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the amount from Form 1041, Schedule I, line 56          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
            
          </span>
          <div class="styIRS8881LNLeftNumBox" style="width:35mm;"></div>  
          <div class="styIRS8881LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>      
        </div>
      </div>    
<!-- line 8 -->      
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBoxTop ">8</div>
        <div style="float:left">
          Add lines 6 and 7
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ...........................            
          </span>
          <div class="styIRS8881LNRightNumBox">8</div>
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/SumOfRegularTaxAndMinimumTax"/>
            </xsl:call-template>
          </div>        
        </div>
      </div>
<!-- line 9 -->      
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBoxTop " style="border:0 solid red;">9a</div>
        <div style="float:left">
          Foreign tax credit  
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .....................  
          </span>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm">9a</div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/ForeignTaxCredit"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm"></div>  
        </div>
      </div>                  
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox">b</div>
        <div style="float:left">
          Credit from Form 1040, lines 48 through 54
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ............
          </span>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm">9b</div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm">
            <!--xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/xxx"/>
            </xsl:call-template-->
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm"></div>      
        </div>
      </div>    
     
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox">c</div>
        <div style="float:left">
          Possessions tax credit (Form 5735, line 17 or 27)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .........  
          </span>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm">9c</div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/PossessionsTaxCredit"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm"></div>      
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox">d</div>
        <div style="float:left">
          Nonconventional source fuel credit (Form 8907, line 23)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .......  
          </span>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm">9d</div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CreditForFuelFromNnconvSource"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm"></div>      
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox">e</div>
        <div style="float:left">
          Other specified credits (see instructions)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .............  
          </span>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm">9e</div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/OtherSpecifiedCredits"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox">f</div>
        <div style="float:left">
          Add lines 9a through 9e
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ..........................        
          </span>
          <div class="styIRS8881LNRightNumBox">9f</div>
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$FormData/TotalCredits"/></xsl:call-template>
          </div>  
        </div>
      </div>          
<!-- line 10 -->      
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox">10</div>
        <div style="float:left">
          Net income tax. Subtract line 9f from line 8. If zero, skip lines 11 through 14 and enter -0- on line 15
        </div>
        <div style="float:right">
          <span class="styDotLn">  
                        
          </span>
          <div class="styIRS8881LNRightNumBox">10</div>
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/NetIncomeTax"/>
            </xsl:call-template>
          </div>  
        </div>
      </div>      
<!-- line 11 -->      
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox">11</div>
        <div style="float:left">
          Net regular tax. Subtract line 9f from line 6. If zero or less, enter -0-
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ...  
          </span>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm">11</div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/NetRegularTax"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm"></div>      
        </div>
      </div>          
<!-- line 12 -->
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox">12</div>
        <div style="float:left">
          Enter 25% (.25) of the excess, if any, of line 11 over $25,000 (see instructions)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
          
          </span>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm">12</div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TwentyFivePercentOfExcess"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey; height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm"></div>      
        </div>
      </div>  
<!-- line 13 -->        
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox">13</div>
        <div style="float:left">
          Tentative minimum tax (see instructions):
        </div>
        <div style="float:right">
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm;border-bottom:0;"></div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm;border-bottom:0;">
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 6251, line 33
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ......  
          </span>
          <div class="styIRS8881LNLeftNumBox" style="position:relative;width:6mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:0mm;left:0mm;">
    <img src="{$ImagePath}/8881_Bracket_Lg.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm;border-bottom:0;"></div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm;border-bottom:0;">
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 4626, line 12
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .....  
          </span>
          <div class="styIRS8881LNLeftNumBox" style="width:6mm;"></div>
          <div class="styIRS8881LNRightNumBox" style="height:4.5mm;">13</div>
          <div class="styIRS8881LNAmountBox" style="height:4.5mm;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TentativeMinimumTax"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"><img src="{$ImagePath}/8881_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the amount from Form 1041,
        </div>
        <div style="float:right">
          <div class="styIRS8881LNLeftNumBox" style="width:39mm;"></div>
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftLtrBox"></div>
        <div style="float:left">
          Schedule I, line 54
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .................  
          </span>
          <div class="styIRS8881LNLeftNumBox" style="width:39mm;"></div>
          <div class="styIRS8881LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8881LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
<!-- line 14 -->      
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox">14</div>
        <div style="float:left">
          Enter the greater of line 12 or line 13
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ......................    
          </span>
          <div class="styIRS8881LNRightNumBox">14</div>
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/GreaterOfTentMinTaxOrExcess"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
<!-- line 15 -->      
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox">15</div>
        <div style="float:left">
          Subtract line 14 from line 10. If zero or less, enter -0-
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ................    
          </span>
          <div class="styIRS8881LNRightNumBox">15</div>
          <div class="styIRS8881LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/SubtractGreaterFromNetIncTax"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
<!-- line 16 -->
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox">16</div>
        <div style="float:left">
          <span style="font-weight:bold;">Credit allowed for the current year. </span>Enter the <span style="font-weight:bold;">smaller </span>of line 5 or line 15 here and on Form 1040,
        </div>
        <div style="float:right">
          <div class="styIRS8881LNRightNumBox" style="border-bottom:0; background-color:lightgrey;"></div>
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>    
      </div>        
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox"></div>
        <div style="float:left">
          line 55; Form 1120, Schedule J, line 6d; Form 1120-A, Part I, line 2; Form 1041, Schedule G, line
        </div>
        <div style="float:right">
          <div class="styIRS8881LNRightNumBox" style="border-bottom:0; background-color:lightgrey;"></div>
          <div class="styIRS8881LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>    
      </div>        
      <div style="width:187mm">  
        <div class="styIRS8881LNLeftNumBox"></div>
        <div style="float:left">
          2c; or the applicable line of your return. If line 15 is smaller than line 5, see instructions
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ...    
          </span>
          <div class="styIRS8881LNRightNumBoxNBB">16</div>
          <div class="styIRS8881LNAmountBoxNBB">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CreditAllowedForCurrentYear"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
      
      <div style="width:187mm; border-top:1 solid Black; font-size:8pt">    
        <div style="font-weight:bold; float:left; padding-top:0.5mm">
          For Paperwork Reduction Act Notice, see page 2.
        </div>    
        <div style="float:right">
          <span style="margin-right:20mm; font-size:7pt">Cat. No. 33435N</span>          
          Form <b>8881</b> (2005)
        </div>      
      </div>  
      
      <p style="page-break-before:always" />      

      <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
        <div class="styLeftOverTitle">
          Additional Data        
        </div>
        <div class="styLeftOverButtonContainer">
          <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
        </div>      
      </div>
   

      <table class="styLeftOverTbl">
        <xsl:call-template name="PopulateCommonLeftover">
          <xsl:with-param name="TargetNode" select="$FormData" />        
        </xsl:call-template>
      </table>      
    </form>
  </body>
</html>
</xsl:template>
</xsl:stylesheet>
