<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8882Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8882" />

<xsl:template match="/">
<html>
  <head>    
    <title>
      <xsl:call-template name="FormTitle">
        <xsl:with-param name="RootElement" select="local-name($FormData)">
      </xsl:with-param></xsl:call-template>
    </title>
    <!-- No Browser Caching -->
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Cache-Control" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>
    <!-- No Proxy Caching -->
    <meta http-equiv="Cache-Control" content="private"/>        
    <meta name="Description" content="Schedule P (Form 5735)"/>
    <meta name="Generator" content="IBM WebSphere Studio"/>
    
    <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
    <xsl:call-template name="InitJS"></xsl:call-template>
    
    <style type="text/css">    
      <xsl:if test="not($Print) or $Print=''">
        <xsl:call-template name="IRS8882Style"></xsl:call-template>    
        <xsl:call-template name="AddOnStyle"></xsl:call-template>  
      </xsl:if>
    </style>        
    <xsl:call-template name="GlobalStylesForm"/>
  </head>
  
  <body class="styBodyClass">      
    <form style="font-family:Arial; font-size:9pt">      
      <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
        <!-- Begin Form title and Form number section -->

        <div class="styBB" style="width:187mm;clear:both;float:none;">
          <div class="styFNBox" style="width:31mm;height:22.5mm;">
            Form <span class="styFormNumber">8882</span>
            <br/>
            <xsl:call-template name="SetFormLinkInline">
              <xsl:with-param name="TargetNode" select="$FormData" />
              <xsl:with-param name="TabOrder" select="2"/>
            </xsl:call-template>              
            <br/>
            <div style="padding-top:2.5mm;">
              <span class="styAgency" >Department of the Treasury</span><br/>
              <span class="styAgency" >Internal Revenue Service</span>
            </div>
          </div>
          <div class="styFTBox" style="width:125mm;height:20mm;">
            <div class="styMainTitle" style="">
              Credit for Employer-Provided Childcare<br/>Facilities and Services
            </div>
             <div class="styFST" style="font-size:7pt;padding-top:8mm;font-weight:bold;">
              <img src="{$ImagePath}/8882_Bullet.gif" alt="bullet image"/>
              Attach to your tax return.
            </div>    
          </div>
          <div class="styTYBox" style="width:30mm;height:22.5mm;font-size:7pt;">
            <div class="styOMB" style="height:2mm;">
              OMB No. 1545-1809
            </div>
            <div class="styTY" style="height:4mm;font-size:23pt;">
              20<span class="stytycolor">05</span>
            </div>
            <div class="styOMB" style="height:3mm;border-bottom-width:0px;text-align:left;padding-left:4mm;font-size:7pt;padding-top:.5mm;line-height:160%;">Attachment <br/>
              Sequence No. <span class="styBoldText" style="font-size:9pt;">131</span>
            </div>
          </div>
        </div>
        <!-- End form title and Form number Section -->
      
  <!-- Begin Name and Identifying Number Section-->      
  <div class="styBB" style="width:187mm;clear:both;font-family:verdana;font-size:7pt;">
    <div class="styFNBox" style="width:144mm;height:8mm;">
            Name(s) shown on return<br/>
            <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
      </xsl:call-template>
      <br />
      <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
      </xsl:call-template>
    </div>
    <div class="styGenericDiv" style="width:42mm;height:4mm;padding-left:1mm;">
      <span class="styBoldText">Identifying number</span>
      <br/><br/>
      <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">EIN</xsl:with-param>
      </xsl:call-template>
    </div>
  </div>
  <!-- End Name and Identifying Number Section-->      
      
    <!-- BEGIN Part I Title -->
      <div class="styBB" style="width:187mm; font-size:10pt; height: 8mm">
        <div class="styPartName" style="font-family:verdana;margin-top: 2mm">Part I</div>
        <div class="styPartDesc" style="font-family:verdana;padding-top: 2mm">
          Current Year Credit <span style="font-weight:normal">(Members of controlled groups or businesses under common control, see
instructions.)</span>
        </div>
      </div>
    <!-- END Part I Title -->
    
    <!-- BEGIN Part I Line Items -->  
    <!-- line 1 -->    
      <div style="width:187mm">        
        <div class="styIRS8882LNLeftNumBoxTop">1</div>
        <div style="float:left;">
          Qualified childcare facility expenditures paid or incurred (see    
        </div>
        <div style="float:right">
          <div class="styIRS8882LNRightNumBox" style="border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>  
        </div>        
      </div>    
      <div style="width:187mm">        
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:left">
          instructions)              
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            .......................
          </span>
          <div class="styIRS8882LNRightNumBox">1</div>  
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/QlfyChildCareFacilityExpend"/>
            </xsl:call-template>
          </div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>  
        </div>        
      </div>    
    <!-- line 2 -->  
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBoxTop">2</div>
        <div style="float:left">
          Enter 25% (.25) of line 1            
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            .........................
          </span>
          <div class="styIRS8882LNRightNumBox">2</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TwentyFivePctOfFacilityExpend"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>      
      <!--begin  line 3 -->
      <div style="width:187mm">        
        <div class="styIRS8882LNLeftNumBoxTop">3</div>
        <div style="float:left">
          Qualified childcare resource and referral expenditures paid or incurred              
        </div>
        <div style="float:right">
          <span class="styDotLn">      
          </span>
          <div class="styIRS8882LNRightNumBox">3</div>  
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/QlfyChildCareResourceExpend"/>
            </xsl:call-template>
          </div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>  
        </div>        
      </div>    
    <!--begin  line 4 -->  
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBoxTop">4</div>
        <div style="float:left">
          Enter 10% (.10) of line 3            
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            .........................
          </span>
          <div class="styIRS8882LNRightNumBox">4</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TenPctOfResourceExpend"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>  
    <!-- begin line 5 -->    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBoxTop">5</div>
        <div style="float:left">
          Form 8882 credits from pass-through entities (if more than one entity, see instructions):            
        </div>
        <div style="float:right">  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
    <!-- line 5 insert -->
   
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:right">
          <div class="styIRS8882InsertLn" style="height: 4.5mm; width:30mm;border-bottom:1 solid black;border-right: 1 solid black;text-align:center;height: 4.5mm">If you are a—</div>
          <div class="styIRS8882InsertLn" style="height: 4.5mm; width:60mm;border-bottom:1 solid black;text-align:center;">Then enter the total of the current year credits from—</div>
          <div class="styIRS8882InsertLn" style="width:55mm;"></div>
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>        
        </div>
      </div>
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:right">
          <div class="styIRS8882InsertLn" style="height: 5.5mm; width:30mm;border-right: 1 solid black;"><span style="font-weight:bold;">a </span>Shareholder</div>
          <div class="styIRS8882InsertLn" style="height: 5.5mm; width:52mm;padding-left:2mm;">Schedule K-1 (Form 1120S), box 13, code F, G, or U</div>
          <div class="styIRS8882InsertLn" style="width:63mm;"></div>
          <div class="styIRS8882LNRightNumBox" style="height: 5.5mm; background-color:lightgrey;border-bottom:0;"></div>
          <div class="styIRS8882LNAmountBox" style="height: 5.5mm; border-bottom:0;">
          </div>        
        </div>
      </div>
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:right">
          <div class="styIRS8882InsertLn" style="width:30mm;border-right: 1 solid black;"><span style="font-weight:bold;">b </span>Partner</div>
          <div class="styIRS8882InsertLn" style="width:52mm;padding-left:2mm;">Schedule K-1 (Form 1065), box 15, code F, G, or U
          </div>
          <div class="styIRS8882InsertLn" style="width:5mm;position:relative;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:-3.5mm;left:0mm;">
    <img src="{$ImagePath}/8882_Bracket_Sm_L5.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>
          <xsl:choose>
            <xsl:when test="$FormData/CrFromPassthroughEntAndEIN">
                <div class="styIRS8882InsertLn" style="width:55mm;border-bottom: 1 solid black;font-size:7pt">            
            <xsl:call-template name="PopulateEIN">
              <xsl:with-param name="TargetNode" select="$FormData/CrFromPassthroughEntAndEIN/@passthroughEntityEIN"/>
            </xsl:call-template>
          </div>
          <div class="styIRS8882InsertLn" style="width:3mm;"></div>
          <div class="styIRS8882LNRightNumBox">5</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CrFromPassthroughEntAndEIN"/>
            </xsl:call-template>
          </div>        
            </xsl:when>
            <xsl:otherwise>
             <div class="styIRS8882InsertLn" style="width:55mm;border-bottom: 1 solid black;font-size:7pt">            
            <xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="$FormData/CrFromPassthroughEntAndSeeAtt/@passthroughEntitySeeAttached"/>
            </xsl:call-template>
          </div>
          <div class="styIRS8882InsertLn" style="width:3mm;"></div>
          <div class="styIRS8882LNRightNumBox">5</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CrFromPassthroughEntAndSeeAtt"/>
            </xsl:call-template>
          </div>        
            </xsl:otherwise>
          </xsl:choose>
     </div>
      </div>
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:right">
          <div class="styIRS8882InsertLn" style="width:30mm;border-right: 1 solid black;"><span style="font-weight:bold;">c </span>Beneficiary</div>
          <div class="styIRS8882InsertLn" style="width:52mm;padding-left:2mm;">Schedule K-1 (Form 1041), box 13, code N
          </div>
          <div class="styIRS8882InsertLn" style="width:63mm;text-align:center;">EIN of pass-through entity</div>
          <div class="styIRS8882LNRightNumBox" style="border-bottom:0;"></div>
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>        
        </div>
      </div>
    <!-- line 6 -->  
      <div style="width:187mm">    
        <div class="styIRS8882LNLeftNumBoxTop">6</div>
        <div style="float:left">
          Add lines 2, 4, and 5                
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ............................
          </span>      
          <div class="styIRS8882LNRightNumBox">6</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/SumOfCostsAndCrFromPassThruEnt"/>
            </xsl:call-template>
          </div>    
        </div>          
      </div>    
    <!-- line 7 -->  
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBoxTop">7</div>
        <div style="float:left">
          <span style="font-weight:bold;">Current year credit.</span> Enter the <span style="font-weight:bold;">smaller </span>of line 6 or <span style="font-weight:bold;">$150,000 </span> (S corporations, partnerships,                
        </div>
        <div style="float:right">
          <div class="styIRS8882LNRightNumBox" style="border-bottom: 0;"></div>
          <div class="styIRS8882LNAmountBox" style="border-bottom: 0;">
          </div>        
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:left">
          estates, and trusts, see instructions)  
          <xsl:call-template name="SetFormLinkInline">
            <xsl:with-param name="TargetNode" select="$FormData/CurrentYearCredit" />
            <xsl:with-param name="TabOrder" select="2"/>
          </xsl:call-template>              
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ......................
          </span>      
          <div class="styIRS8882LNRightNumBoxNBB">7</div>
          <div class="styIRS8882LNAmountBoxNBB">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CurrentYearCredit"/>
            </xsl:call-template>
          </div>        
        </div>
      </div>    
      <!-- END Part I Line Items -->    
       <!-- BEGIN Part II Title -->
      <div class="styBB" style="width:187mm; border-top:1 solid black; font-size:10pt; height: 8mm">
        <div class="styPartName" style="font-family:verdana; margin-top: 2mm">Part II</div>
        <div class="styPartDesc" style="font-family:verdana;padding-top: 2mm">
          Allowable Credit <span style="font-weight:normal">(See </span>Who must file Form 3800<span style="font-weight:normal"> to find out if you complete Part II or file Form 3800.)</span>
        </div>
      </div>
    <!-- END Part II Title -->
   <!-- BEGIN Part II Line Items -->
<!-- line 8 -->
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBoxTop">8</div>
        <div style="float:left">
          Regular tax before credits:                
        </div>
        <div style="float:right">  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 1040, line 44                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ..........
          </span>
          <div class="styIRS8882LNLeftNumBox" style="position:relative;width:25mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;left:2mm;">
    <img src="{$ImagePath}/8882_Bracket_Lg.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 1120, Schedule J, line 3; Form 1120-A,            
        </div>
        <div style="float:right">  
          <div class="styIRS8882LNLeftNumBox" style="width:20mm;"></div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:left">
          Part I, line 1; or the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            .............
          </span>
          <div class="styIRS8882LNLeftNumBox" style="width:20mm;">
          <span class="styDotLn">      
            ....
          </span>
          </div>  
          <div class="styIRS8882LNRightNumBox">8</div>  
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/RegularTaxBeforeCredits"/>
            </xsl:call-template>
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the sum of the amounts from Form 1041, Schedule G,             
        </div>
        <div style="float:right">  
          <div class="styIRS8882LNLeftNumBox" style="width:20mm;"></div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:left">
          lines 1a and 1b, or the amount from the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ......
          </span>
          <div class="styIRS8882LNLeftNumBox" style="width:20mm;"></div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
<!-- line 9 -->            
      <div style="width:187mm">      
        <div class="styIRS8882LNLeftNumBoxTop">9</div>
        <div style="float:left">
          Alternative minimum tax:
        </div>
        <div style="float:right">  
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styIRS8882LNAmountBoxNBB"></div>  
        </div>      
      </div>    
        <div style="width:187mm">      
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 6251, line 35          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
            ......        
          </span>
          <div class="styIRS8882LNLeftNumBox" style="position:relative;width:35mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:1mm;left:-3mm;">
    <img src="{$ImagePath}/8882_Bracket_Sm_L9.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>        
        </div>    
      </div>    
       <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 4626, line 14          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
            .......    
          </span>
          <div class="styIRS8882LNLeftNumBox" style="width:35mm;">
          <span class="styDotLn">  
            .........    
          </span>
          </div>  
          <div class="styIRS8882LNRightNumBox">9</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/AlternativeMinimumTax"/>
            </xsl:call-template>
          </div>  
        </div>
      </div>          
        <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the amount from Form 1041, Schedule I, line 56          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
           </span>
          <div class="styIRS8882LNLeftNumBox" style="width:35mm;"></div>  
          <div class="styIRS8882LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>      
        </div>
      </div>    
<!-- line 10 -->      
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox">10</div>
        <div style="float:left">
          Add lines 8 and 9
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ...........................            
          </span>
          <div class="styIRS8882LNRightNumBox">10</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/SumOfRegularTaxAndMinimumTax"/>
            </xsl:call-template>
          </div>        
        </div>
      </div>
<!-- line 11 -->      
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox">11a</div>
        <div style="float:left">
          Foreign tax credit  
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .....................  
          </span>
          <div class="styIRS8882LNRightNumBox" style="height:5mm">11a</div>
          <div class="styIRS8882LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/ForeignTaxCredit"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm"></div>  
        </div>
      </div>                  
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox">b</div>
        <div style="float:left">
          Credits from Form 1040, lines 48 through 54
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ...........
          </span>
          <div class="styIRS8882LNRightNumBox" >11b</div>
          <div class="styIRS8882LNAmountBox" >
            <!--xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="$FormData/xxx"/>
            </xsl:call-template-->
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>    
        <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox">c</div>
        <div style="float:left">
          Possessions tax credit (Form 5735, line 17 or 27)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .........  
          </span>
          <div class="styIRS8882LNRightNumBox" style="height:5mm">11c</div>
          <div class="styIRS8882LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/PossessionsTaxCredit"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox">d</div>
        <div style="float:left">
          Nonconventional source fuel credit (Form 8907, line 23)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ........  
          </span>
          <div class="styIRS8882LNRightNumBox" style="height:5mm">11d</div>
          <div class="styIRS8882LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CreditForFuelFromNnconvSource"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox">e</div>
        <div style="float:left">
          Other specified credits (see instructions)        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .............  
          </span>
          <div class="styIRS8882LNRightNumBox" style="height:5mm">11e</div>
          <div class="styIRS8882LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/OtherSpecifiedCredits"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox">f</div>
        <div style="float:left">
          Add lines 11a through 11e
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ..........................        
          </span>
          <div class="styIRS8882LNRightNumBox">11f</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$FormData/TotalCredits"/></xsl:call-template>
          </div>  
        </div>
      </div>          
<!-- line 12 -->      
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox">12</div>
        <div style="float:left">
          Net income tax. Subtract line 11f from line 10. If zero, skip lines 13 through 16 and enter -0-
        </div>
        <div style="float:right">
          <span class="styDotLn">                          
          </span>
          <div class="styIRS8882LNRightNumBox" style="border-bottom:0;"></div>
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>  
        </div>
      </div>      
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:left">
          on line 17
        </div>
        <div style="float:right">
          <span class="styDotLn">  
          ................................              
          </span>
          <div class="styIRS8882LNRightNumBox">12</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/NetIncomeTax"/>
            </xsl:call-template>
          </div>  
        </div>
      </div>      
<!-- line 13 -->      
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox">13</div>
        <div style="float:left">
          Net regular tax. Subtract line 11f from line 8. If zero or less, enter -0-
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ...  
          </span>
          <div class="styIRS8882LNRightNumBox" style="height:5mm">13</div>
          <div class="styIRS8882LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/NetRegularTax"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>          
<!-- line 14 -->
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox">14</div>
        <div style="float:left">
          Enter 25% (.25) of the excess, if any, of line 13 over $25,000 (see instructions)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
         </span>
          <div class="styIRS8882LNRightNumBox" style="height:5mm">14</div>
          <div class="styIRS8882LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TwentyFivePercentOfExcess"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>  
<!-- line 15 -->        
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox">15</div>
        <div style="float:left">
          Tentative minimum tax (see instructions):
        </div>
        <div style="float:right">
          <div class="styIRS8882LNRightNumBox" style="height:5mm;border-bottom:0;"></div>
          <div class="styIRS8882LNAmountBox" style="height:5mm;border-bottom:0;">
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 6251, line 33
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ......  
          </span>
          <div class="styIRS8882LNLeftNumBox" style="position:relative;width:6mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:-2mm;left:0mm;">
    <img src="{$ImagePath}/8882_Bracket_Md.gif" style="padding-top: 2mm" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>
          <div class="styIRS8882LNRightNumBox" style="height:5mm;border-bottom:0;"></div>
          <div class="styIRS8882LNAmountBox" style="height:5mm;border-bottom:0;">
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 4626, line 12
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .....  
          </span>
          <div class="styIRS8882LNLeftNumBox" style="width:6mm;"></div>
          <div class="styIRS8882LNRightNumBox" style="height:5mm;">15</div>
          <div class="styIRS8882LNAmountBox" style="height:5mm;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TentativeMinimumTax"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"><img src="{$ImagePath}/8882_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the amount from Form 1041,
        </div>
        <div style="float:right">
          <div class="styIRS8882LNLeftNumBox" style="width:39mm;"></div>
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftLtrBox"></div>
        <div style="float:left">
          Schedule I, line 54
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .................  
          </span>
          <div class="styIRS8882LNLeftNumBox" style="width:39mm;"></div>
          <div class="styIRS8882LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8882LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
<!-- line 16 -->      
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox">16</div>
        <div style="float:left">
          Enter the greater of line 14 or line 15
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ......................    
          </span>
          <div class="styIRS8882LNRightNumBox">16</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/GreaterOfTentMinTaxOrExcess"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
<!-- line 17 -->      
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox">17</div>
        <div style="float:left">
          Subtract line 16 from line 12. If zero or less, enter -0-
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ................    
          </span>
          <div class="styIRS8882LNRightNumBox">17</div>
          <div class="styIRS8882LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/SubtractLine16FromLine12"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
<!-- line 18 -->
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox">18</div>
        <div style="float:left">
          <span style="font-weight:bold;">Credit allowed for the current year. </span>Enter the <span style="font-weight:bold;">smaller </span>of line 7 or line 17 here and on Form 1040,
        </div>
        <div style="float:right">
          <div class="styIRS8882LNRightNumBox" style="border-bottom:0; background-color:lightgrey;"></div>
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>    
      </div>        
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:left">
          line 55; Form 1120, Schedule J, line 6d; Form 1120-A, Part I, line 2; Form 1041, Schedule G, line
        </div>
        <div style="float:right">
          <div class="styIRS8882LNRightNumBox" style="border-bottom:0; background-color:lightgrey;"></div>
          <div class="styIRS8882LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>    
      </div>        
      <div style="width:187mm">  
        <div class="styIRS8882LNLeftNumBox"></div>
        <div style="float:left">
          2c; or the applicable line of your return. If line 17 is smaller than line 7, see instructions.
        </div>
        <div style="float:right">
          <div class="styIRS8882LNRightNumBoxNBB">18</div>
          <div class="styIRS8882LNAmountBoxNBB">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CreditAllowedForCurrentYear"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
         <div style="width:187mm; border-top:1 solid Black; font-size:8pt">    
        <div style="font-weight:bold; float:left; padding-top:0.5mm">
          For Paperwork Reduction Act Notice,  see instructions.
        </div>    
        <div style="float:right">
          <span style="margin-right:20mm; font-size:7pt">Cat. No. 33436Y</span>          
          Form <b>8882</b> (2005)
        </div>      
      </div>  
        <p style="page-break-before:always" />      
      <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
        <div class="styLeftOverTitle">
          Additional Data        
        </div>
        <div class="styLeftOverButtonContainer">
          <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
        </div>      
      </div>
       <table class="styLeftOverTbl">
        <xsl:call-template name="PopulateCommonLeftover">
          <xsl:with-param name="TargetNode" select="$FormData" />        
        </xsl:call-template>
      </table>      
    </form>
  </body>
</html>
</xsl:template>
</xsl:stylesheet>
