<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8886Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
<xsl:strip-space elements="*" />
<xsl:param name="Form8886Data" select="$RtnDoc/IRS8886" />

<xsl:template match="/">
<html>
  <head>    
    <title>
      <xsl:call-template name="FormTitle">
        <xsl:with-param name="RootElement" select="local-name($Form8886Data)">
      </xsl:with-param></xsl:call-template>
    </title>
    <!-- No Browser Caching -->
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Cache-Control" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>
    <!-- No Proxy Caching -->
    <meta http-equiv="Cache-Control" content="private"/>        
    <meta name="Description" content="Form 8886"/>
    <meta name="Generator" content="IBM WebSphere Studio"/>
    
    <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
    <xsl:call-template name="InitJS"></xsl:call-template>
    
    <style type="text/css"> 

     <xsl:if test="not($Print) or $Print=''">

        <xsl:call-template name="IRS8886Style"></xsl:call-template>    
        <xsl:call-template name="AddOnStyle"></xsl:call-template>

      </xsl:if>

    </style>        
    <xsl:call-template name="GlobalStylesForm"/>
  </head>
  
  <body class="styBodyClass">      
    <form style="font-family:Arial; font-size:9.5pt" name="Form8886">      
      <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
      <div class="styTBB" style="width:187mm">
        <div style="float:left; width:31mm; font-size:7pt">  
          Form
          <span class="styFormNumber">8886          
          
          </span>
          <br/>(Rev. December 2005) <br/>
          <div style="font-size:6pt">        
            Department of the Treasury<br/>Internal Revenue Service
          </div>            
        </div>
        <div style="float:left; border-left:1 solid black; border-right:1 solid black; width:125mm; height:18mm; text-align:center; padding-top:1mm; font-size:13pt; font-weight:bold">
          <span class="styMainTitle">Reportable Transaction Disclosure Statement</span>    
          <div style="font-size:8pt; padding-top:2mm; text-align:left; margin-left:45mm">
            <img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/> &nbsp; Attach to your tax return.            
          </div>
          <div style="font-size:8pt; padding-top:1mm; text-align:left; margin-left:45mm">            
            <img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/> &nbsp; See separate instructions.
          </div>
        </div>
        <div style="float:left; font-size:7pt; width:31mm; padding-top:3.5mm; text-align:center; border-bottom:1 solid black; height:9mm">
          OMB No. 1545-1800
        </div>
        <div style="float:left; font-size:7pt; padding-top:1mm; padding-left:4.5mm">
          Attachment<br/>Sequence No. <b style="font-size:9pt">137</b>
        </div>        
      </div>            
            
      <!-- Begin Filer Name and Address Section -->            
      <div class="styBB" style="width:187mm;clear:both;font-family:verdana;font-size:7pt;">
        <div class="styFNBox" style="width:144mm;height:8mm;">
          Name(s) shown on return<br/>
            <xsl:call-template name="PopulateReturnHeaderFiler">
            <xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
          </xsl:call-template>
          <br />
          <xsl:call-template name="PopulateReturnHeaderFiler">
            <xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
          </xsl:call-template>
        </div>
        <div class="styGenericDiv" style="width:42mm;height:4mm;padding-left:1mm;">
          <span class="styBoldText">Identifying number</span>
          <br/><br/>
          <xsl:call-template name="PopulateReturnHeaderFiler">
            <xsl:with-param name="TargetNode">EIN</xsl:with-param>
          </xsl:call-template>
        </div>
      </div>

      <div class="styBB" style="font-family:verdana;font-size:7pt; width:187mm; height:8mm">
        Number, street, and room or suite no.
        <br/>
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">AddressLine1</xsl:with-param></xsl:call-template>
        <br/>
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">AddressLine2</xsl:with-param></xsl:call-template>
      </div>

      <div class="styBB" style="font-family:verdana;font-size:7pt; width:187mm; height:8mm;padding-top:1mm;">
        City or town, state, and ZIP code
        <br/>
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">CityStateInfo</xsl:with-param></xsl:call-template>
        <br />
        <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">Country</xsl:with-param></xsl:call-template>
      </div> 
        <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="width:6mm;">A</div>  
        <div style="float:left; width:103mm; padding-top:0.5mm;">
         Enter the form number of the tax return that this form is attached to
        </div>
        <div style="float:right">
          <span class="styDotLn" style="margin-right:3mm;">      
........<img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/>          
          </span>                    
            <span style="border-bottom:1 solid black; width:35mm; text-align:left;">
               <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/TypeOfFormFiled"/>
               </xsl:call-template>
           </span> 
        </div>
        </div>   
      <div class="styBB" style="width:187mm;">
        <div class="styLNLeftNumBox" style="width:6mm; "></div>  
        <div style="float:left; width:90mm; padding-top:0.5mm;">
         Enter the year of the tax return with which this form is filed
        </div>
        <div style="float:right">
          <span class="styDotLn" style="margin-right:3mm;">      
...........<img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/>          
          </span>                    
            <span style="border-bottom:1 solid black; width:35mm; text-align:left;">
               <xsl:call-template name="PopulateMonthDayYear">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/ForTaxYear"/>
               </xsl:call-template>
        </span> 
        </div>
        </div>   
             <div style="width:187mm;">
          <div class="styLNLeftNumBox" style="width:4mm;">B</div>  
          <div style="float:left; width:103mm; padding-top:.5mm;padding-left:3mm;">
                  Check the box(es) that apply (see instructions).
          </div>
        <div style="width:150mm;padding-left:1mm;">  
          <div class="styIRS8886ChxBoxDiv">
              <input type="Checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/InitialYearFiler"/>
                    <xsl:with-param name="BackupName">IRS8886InitialYearFiler</xsl:with-param>
                </xsl:call-template>
              </input>  
            </div>            
            <div style="float:left">
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/InitialYearFiler" />
                  <xsl:with-param name="BackupName">IRS8886InitialYearFiler</xsl:with-param>
                </xsl:call-template>   
                Initial year filer
              </label>  
            </div>
    </div>

     <div style="width:186mm;padding-left:1mm;padding-left:6mm;">  
          <div class="styIRS8886ChxBoxDiv">
              <input type="Checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/ProtectiveDisclosure"/>
                 <xsl:with-param name="BackupName">IRS8886ProtectiveDisclosure</xsl:with-param>
                </xsl:call-template>
              </input>  
            </div>            
            <div style="float:left">
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/ProtectiveDisclosure" />
                   <xsl:with-param name="BackupName">IRS8886ProtectiveDisclosure</xsl:with-param>
                </xsl:call-template>   
                Protected disclosure
              </label>  
            </div>
    </div>  
 </div>   
  <br /> 
      <!-- End Filer Name and Address Section -->
  <xsl:if test="($Print != $Separated) and (count($Form8886Data/ReportableTransactionInfo) &gt;1)">
<div class="styGenericDiv" style="width:187mm;">
        <div style="float:right">      
          <xsl:call-template name="SetTableToggleButton">
              <xsl:with-param name="TargetNode" select="$Form8886Data/ReportableTransactionInfo" />              
              <xsl:with-param name="containerHeight" select="1" />
              <xsl:with-param name="containerID" select="'Line1TPctn'" />
          </xsl:call-template>          
        </div>
   </div>
   </xsl:if>
  <xsl:choose>
    <xsl:when test="($Print != $Separated) and (count($Form8886Data/ReportableTransactionInfo) &gt;0) or ($Print = $Separated) and (count($Form8886Data/ReportableTransactionInfo)=1) ">
	 <div class="styIRS8886TableContainer2" style="float: none; clear:both; border-bottom-width: 0px; height:16mm" id="Line1TPctn">  
          <xsl:call-template name="SetInitialState"/>          
    		  <xsl:for-each select="$Form8886Data/ReportableTransactionInfo">
		  <div class="styGenericDiv" style="width:182mm; font-size:8.5pt; bottom-border:1mm;border-top:1 solid black;">
	              <div style="font-weight:bold; padding-top:0; width:6mm; text-align:center; float:left">1a</div>
                    <div style="float:left; width:85mm;">Name of reportable transaction</div>
             
                    <div style="clear:left;float:left;padding-left:6mm; width:90.75mm;padding-top:0mm;">
                            <xsl:call-template name="PopulateText">
			              <xsl:with-param name="TargetNode" select="NameOfReportableTransaction"/>
			              <xsl:with-param name="backupName">IRS8886NameOfReportableTransaction</xsl:with-param>
			        </xsl:call-template>    
		     </div>
            </div>
              <div class="styBB" style="width:182mm;font-size:8.5pt;border-top:1 solid black;">
		     <div class="styGenericDiv" style="width:91mm;font-size:8.5pt;height:12mm;border-right:1 solid black;">
		           <span style="width:1mm;"></span>
		           <span class="styBoldText">1b</span><span style="width:1.5mm;"></span>Initial year participated in transaction<br /><br />
		           <span style="width:6mm;"></span>
			          <xsl:call-template name="PopulateText">
			              <xsl:with-param name="TargetNode" select="InitialYearParticipated"/>
			           </xsl:call-template>                            
			    </div>
		     <span style="width:1mm;"></span>
		     <span class="styBoldText">1c</span><span style="width:1.5mm;"></span>Material advisor or tax shelter registration number<br />
		     <span style="width:5.5mm;"></span>(9 digits or 11 digits)<br />
		      <div style="float:left; text-align:center; width:91mm;">
			      <xsl:call-template name="PopulateText">
			        <xsl:with-param name="TargetNode" select="TaxShelterRegistrationNumber"/>
			      </xsl:call-template>
			</div>
          </div>	
     </xsl:for-each>
      </div>
   	</xsl:when>
   	<xsl:otherwise>
	<div class="styBB" style="width:187mm; font-size:8.5pt; bottom-border:1mm;border-top:1 solid black;">
                    <div style="font-weight:bold; padding-top:0; width:6mm; text-align:center; float:left">1a</div>
                    <div style="float:left; width:85mm;">Name of reportable transaction</div>
             
                    <div style="clear:left;float:left;padding-left:6mm; width:90.75mm;padding-top:0mm;">
                              <xsl:call-template name="PopulateAdditionalDataTableMessage">
		                        <xsl:with-param name="TargetNode" select="$Form8886Data/ReportableTransactionInfo/NameOfReportableTransaction"/>
		                </xsl:call-template>     
		     </div>
      </div>
      <div class="styBB" style="width:187mm;font-size:8.5pt;">
		     <div class="styGenericDiv" style="width:91mm;font-size:8.5pt;height:12mm;border-right:1 solid black;">
		     <span style="width:1mm;"></span><span class="styBoldText">1b</span><span style="width:1.5mm;"></span>Initial year participated in transaction
		     </div>
		     <span style="width:1mm;"></span><span class="styBoldText">1c</span><span style="width:1.5mm;"></span>Material advisor or tax shelter registration number <br /><span style="width:5.5mm;"></span>(9 digits or 11 digits)
      </div>	   
</xsl:otherwise>
  </xsl:choose>
      <!-- line 2 -->
      <div style="width:187mm; padding-bottom:0.5mm">
        <div class="styLNLeftNumBox" style="width:6mm">2</div>  
        <div style="float:left; padding-top:0.5mm">
          Identify the type of reportable transaction. Check all the box(es) that apply (see instructions).
        </div>
        <div style="float:left; margin-top:2mm;">    
          <div style="width:84mm">  
            <div class="styLNLeftNumBox" style="padding-left:0; padding-top:0; width:5mm">a</div>      
            <div class="styIRS8886ChxBoxDiv">
              <input type="Checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/ListedTransaction"/>
                </xsl:call-template>
              </input>  
            </div>            
            <div style="float:left">
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/ListedTransaction" />
                </xsl:call-template>   
                Listed transaction
              </label>  
            </div>
          </div>  
          <div style="margin-top:0mm; width:84mm">
            <div class="styLNLeftNumBox" style="padding-left:0; padding-top:0; width:5mm">b</div>  
            <div class="styIRS8886ChxBoxDiv">
              <input type="Checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/Confidential"/>
                </xsl:call-template>
              </input>  
            </div>  
            <div style="float:left">
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/Confidential" />
                </xsl:call-template>   
                Confidential
              </label>  
            </div>
          </div>
          <div style="margin-top:0mm; width:84mm">
            <div class="styLNLeftNumBox" style="padding-left:0; padding-top:0; width:5mm">c</div>  
            <div class="styIRS8886ChxBoxDiv">
              <input type="Checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/ContractualProtection"/>
                </xsl:call-template>
              </input>  
            </div>  
            <div style="float:left">  
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/ContractualProtection" />
                </xsl:call-template>   
                Contractual protection
              </label>  
            </div>    
          </div>            
        </div>
        
        <div style="float:left; margin-top:2mm">  
          <div style="width:84mm">
            <div class="styLNLeftNumBox" style="padding-top:0; width:6mm">d</div>  
            <div class="styIRS8886ChxBoxDiv">
              <input type="Checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/Loss"/>
                </xsl:call-template>
              </input>  
            </div>
            <div style="float:left">
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/Loss" />
                </xsl:call-template>   
                Loss
              </label>  
            </div>
          </div>    
          <div style="margin-top:0mm; width:84mm">  
            <div class="styLNLeftNumBox" style="padding-top:0; width:6mm">e</div>  
            <div class="styIRS8886ChxBoxDiv">
              <input type="Checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/SignificantBookTaxDifference"/>
                </xsl:call-template>
              </input>  
            </div>  
            <div style="float:left">
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/SignificantBookTaxDifference" />
                </xsl:call-template>   
                Significant book-tax difference
              </label>  
            </div>
          </div>    
          <div style="margin-top:0mm; width:84mm">  
            <div class="styLNLeftNumBox" style="padding-top:0; width:6mm">f</div>  
            <div class="styIRS8886ChxBoxDiv">
              <input type="Checkbox" class="styCkbox">
                <xsl:call-template name="PopulateCheckbox">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/BriefAssetHoldingPeriod"/>
                </xsl:call-template>
              </input>  
            </div>  
            <div style="float:left">  
              <label>
                <xsl:call-template name="PopulateLabel">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/BriefAssetHoldingPeriod" />
                </xsl:call-template>   
                Brief asset holding period
              </label>  
            </div>      
          </div>                        
        </div>
      </div>
      
      <div style="width:187mm; padding-top:2mm">
        <div class="styLNLeftNumBox" style="width:6mm; height:8mm">3</div>  
        <div style="float:left; width:180mm; padding-top:0.5mm">
          If the transaction is a "listed transaction" or substantially similar to a listed transaction, identify the listed
        </div>              
        <div style="float:left">
          transaction (see instructions) <img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/> 
        </div>
        <div style="float:right; border-bottom:1 solid black; width:131mm; height:4mm">            
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="$Form8886Data/IdentifyListedTransOrSimilar" />
          </xsl:call-template>           
        </div>
      </div>  
      
      <div style="width:187mm; padding-top:2mm">
        <div class="styLNLeftNumBox" style="width:6mm">4</div>  
        <div style="float:left; padding-top:0.5mm">
          Enter the number of transactions reported on this form
        </div>
        <div style="float:right; padding-top:0.5mm">
          <span class="styDotLn" style="margin-right:3mm">      
            .............<img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/>          
          </span>                    
          <div style="border-bottom:1 solid black; float:left; width:35mm; text-align:right">            
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="MaxSize" select="6" />
              <xsl:with-param name="TargetNode" select="$Form8886Data/NumberOfTransactionsReported"/>
            </xsl:call-template>
          </div>        
        </div>
      </div>  
      
      <div style="width:187mm; padding-top:2mm">
        <div class="styLNLeftNumBox" style="width:6mm; height:12mm">5</div>  
        <div style="float:left; width:181mm; padding-top:0.5mm">
          If you invested in the transaction through another entity, such as a partnership, an S corporation, or a foreign corporation, provide the information below for the entity.
        </div>
       </div>
       <div style="width:187mm;">          
        <div class="styGenericDiv" style="padding-top:0.5mm;font-weight:bold;width:19mm;padding-left:5.5mm;">
          a<span style="width:6px;"></span><span style="font-weight:normal;">Name</span>
        </div>
        <div style="float:right">
          <span class="styDotLn" style="margin-right:3mm;">      
            ..............................<img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/>          
          </span>                    
            <span style="border-bottom:1 solid black; width:35mm; text-align:left;">
               <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="$Form8886Data/NameOfEntity"/>
               </xsl:call-template>
        </span>    
        </div>
    
      </div>    
        <div style="width:187mm;"> 
           <div class="styGenericDiv" style="padding-top:0.5mm;font-weight:bold;width:31mm;padding-left:5.5mm;">
          b<span style="width:6px;"></span><span style="font-weight:normal;">Type of Entity</span>
        </div>
        <div style="float:right">
          <span class="styDotLn" style="margin-right:3mm;">      
            ...........................<img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/>          
          </span>                    
          <span style="border-bottom:1 solid black; text-align:left; width:35mm">
           <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="$Form8886Data/EntityType"/>
          </xsl:call-template>
          </span>        
        </div>
     </div>
    <div style="width:187mm;"> 
         <div class="styGenericDiv" style="padding-top:0.5mm;font-weight:bold;width:57mm;padding-left:5.5mm;">
          c<span style="width:6px;"></span><span style="font-weight:normal;">Form number of tax return filed</span>
        </div>
        <div style="float:right">
          <span class="styDotLn" style="margin-right:3mm">      
            .....................<img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/>          
          </span>                    
          <span style="border-bottom:1 solid black; text-align:left; width:35mm">
           <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="$Form8886Data/TaxReturnType"/>
          </xsl:call-template>
          </span>        
        </div>
     </div>
          <div style="width:187mm;">
           <div class="styGenericDiv" style="padding-top:0.5mm;font-weight:bold;width:66mm;padding-left:5.5mm;">
               d<span style="width:6px;"></span><span style="font-weight:normal;">Employer identification number (EIN)</span>
        </div>
        <div style="float:right">
          <span class="styDotLn" style="margin-right:3mm">      
            ...................<img src="{$ImagePath}/8886_Bullet.gif" alt="Right Arrow Bullet"/>          
          </span>                    
          <span style="border-bottom:1 solid black; text-align:left; width:35mm">
            <xsl:call-template name="PopulateEIN">
            <xsl:with-param name="TargetNode" select="$Form8886Data/EmployerIdentificationNumber"/>
          </xsl:call-template>
          </span>        
        </div>
    </div>  
  <!-- line 6 -->
      <div class="styBB" style="width:187mm; padding-top:2mm">
        <div class="styLNLeftNumBox" style="width:6mm;">6</div>  
        <div style="float:left; padding-top:0.5mm">
          Enter below, the name and address of each person to whom you paid a fee with regard to the transaction if that person promoted, solicited, or recommended your participation in the transaction, or provided tax advice related to the transaction. (Attach additional sheet, if necessary.)
         
       <span style="width:97.6mm;"></span>     
       <span style="width:3.2mm">
              <!-- button display logic -->
              <xsl:call-template name="SetDynamicTableToggleButton">
                <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt"/>
                <xsl:with-param name="containerHeight" select="2"/>
                <xsl:with-param name="headerHeight" select="0"/>
                <xsl:with-param name="containerID" select="'line6Tctn'"/>
              </xsl:call-template>
              <!-- end button display logic -->
            </span>
      </div>
       </div>
      <div class="styTableContainer" id="line6Tctn">
            <!-- print logic of table toggle area -->
            <xsl:call-template name="SetInitialState"/>
            <!-- end -->
            <table class="styTable" style="font-size:8pt;width:100%;" cellspacing="0">
              <thead />
               <tfoot/>
              <tbody>
          <xsl:for-each select="$Form8886Data/PersonsPromotedYourPrtcpt">
       <!--  If the print parameter is not set to be Separated, or there are less elements than the container height (2), execute -->
          <xsl:if test="($Print != $Separated) or (count($Form8886Data/PersonsPromotedYourPrtcpt) &lt;=2)">
              <tr>
                <td>
                 <div class="styGenericDiv" style="width:100%;font-weight:bold;padding-left:2mm;">
                      <xsl:number value="position()" format="a" /> <span style="padding-left:2.5mm;font-weight:normal;">Name</span>
                 </div>
                 <div class="styBB" style="width:100%; height:4mm;padding-left:6mm;">
                       <xsl:call-template name="PopulateText">
                          <xsl:with-param name="TargetNode" select="NameOfPerson"/>
                       </xsl:call-template>
                  </div>
                 <div class="styBB" style="width:100%; height:8mm;padding-left:6mm;">Number, street, and room or suite no.<br />
                       <xsl:call-template name="PopulateText">
                          <xsl:with-param name="TargetNode" select="AddressOfPersons/AddressLine1"/>
                       </xsl:call-template>
                       <xsl:if test="AddressOfPersons/AddressLine2"><br />
                        <xsl:call-template name="PopulateText">
                          <xsl:with-param name="TargetNode" select="AddressOfPersons/AddressLine2"/>
                       </xsl:call-template>
                     </xsl:if>
                 </div>
                  <div class="styBB" style="width:100%; height:8mm;padding-left:6mm;">
                 <!-- This code prevents there being a double underline on the last item -->
                  <xsl:if test="position() = last() and (count($Form8886Data/PersonsPromotedYourPrtcpt) &gt;2)" >
                            <xsl:attribute name="style">width:100%; height:8mm;border-bottom-width:0px;padding-left:6mm;</xsl:attribute>
                      </xsl:if>
                 City or town, state, and ZIP code <br />
                    <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="AddressOfPersons/City"/>
		          </xsl:call-template>,
		          <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="AddressOfPersons/State"/>          
		          </xsl:call-template>&nbsp;
		          <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="AddressOfPersons/ZIPCode"/>          
		          </xsl:call-template>
                 </div>
                </td> 
              </tr>
             </xsl:if>
           </xsl:for-each>
    <!--I need an empty table or very populated table that gets pushed to the additional  separated table at the end of the form -->
           <xsl:if test="count($Form8886Data/PersonsPromotedYourPrtcpt) &lt; 1 or ((count($Form8886Data/PersonsPromotedYourPrtcpt) &gt;2) and ($Print = $Separated))">
          <tr>
             <td style="width:187mm;">
              <div class="styGenericDiv" style="width:187mm;font-weight:bold;padding-left:2mm;">
                    a <span style="padding-left:1.5mm;font-weight:normal;">Name</span>
                 </div>
                 <div class="styBB" style="width:187mm; height:4mm;padding-left:6mm;">
                  <xsl:call-template name="PopulateAdditionalDataTableMessage">
                          <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt"/>
                       </xsl:call-template>
                  </div>
             <div class="styBB" style="width:187mm; height:8mm;padding-left:6mm;">Number, street, and room or suite no.
             </div>
             <div class="styBB" style="width:187mm; height:8mm;padding-left:6mm;">City or town, state, and ZIP code
             </div>
        </td> 
      </tr>
   </xsl:if>
     
    <xsl:if test="count($Form8886Data/PersonsPromotedYourPrtcpt) &lt; 2 or ((count($Form8886Data/PersonsPromotedYourPrtcpt) &gt;3) and ($Print = $Separated))">
      <tr>
        <td style="width:187mm;">
              <div class="styBB" style="width:187mm; padding-left:2mm;height:8mm;">
               <span style="font-weight:bold;">b</span><span style="padding-left:2.5mm;font-weight:normal;">Name</span>
             </div>
             <div class="styBB" style="width:187mm; height:8mm;padding-left:6mm;">Number, street, and room or suite no.
             </div>
             <div class="styBB" style="width:187mm; height:8mm;padding-left:6mm;border-bottom-width:0px;">City or town, state, and ZIP code
             </div>
     </td>
    </tr>
  </xsl:if>
</tbody>
          </table>
              </div>
         <!-- Set Initial Height of Above Table -->
          <xsl:call-template name="SetInitialDynamicTableHeight">
            <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt"/>
                <xsl:with-param name="containerHeight" select="2"/>
                <xsl:with-param name="headerHeight" select="0"/>
                <xsl:with-param name="containerID" select="'line6Tctn'"/>
          </xsl:call-template>
          <!-- End Set Initial Height of Above Table which equals the number of repetitions of repeating data -->
         <!--end of page -->   
     <div style="width:187mm; font-size:7pt; border-top:1 solid black; page-break-after:always"> 
       <div style="font-weight:bold; float:left; padding-top:0.5mm">
          For Paperwork Reduction Act Notice, see separate instructions.
        </div>    
         <div style="float:right">
          <span style="margin-right:55mm">Cat. No. 34654G</span>          
          Form <b style="font-size:9pt">8886</b> (Rev. 12-2005)
        </div>            
      </div>  
      <!-- begin page 2 -->
      <div style="width:187mm; font-size:7pt; border-bottom:1 solid black">
        <span style="float:left">Form 8886 (Rev. 12-2005)</span>          
        <span style="float:right">Page <b style="font-size:9pt">2</b></span>
      </div>    
     
     <!-- line 7 -->     
      <div style="width:187mm; border-top:1 solid black; padding-top:1mm">
        <div class="styLNLeftNumBox" style="width:6mm; height:8mm">7</div>  
        <div style="float:left; padding-top:0.5mm">
          <b>Facts.</b> Describe the facts of the transaction that relate to the expected tax benefits, including your participation
        </div>    
        <div style="float:left; width:170mm">
         in the transaction. For listed transactions identified in item 2a, also provide the complete name, address, and nature of involvement of all parties to the transaction (see instructions).</div>    
        
        <div style="float:right;font-family:verdana;font-size:7pt;">                      
          <xsl:call-template name="SetDynamicTableToggleButton">
              <xsl:with-param name="TargetNode" select="$Form8886Data/FactsDescription" />
              <xsl:with-param name="containerHeight" select="1"/>
              <xsl:with-param name="headerHeight" select="0"/>
              <xsl:with-param name="containerID" select="'line7TPctn'" />
          </xsl:call-template>                      
        </div>    
      </div>    
            
      <div class="styTableContainerNBB" id="line7TPctn" style="height:8mm;">  
        <xsl:call-template name="SetInitialState"/>    
        <table class="styTable" cellspacing="0" cellpadding="0" border="0" style="width:100%; font-family:verdana;font-size:7pt;">
          <xsl:choose>
            <xsl:when test="$Form8886Data/FactsDescription">
              <xsl:choose>
                <xsl:when test="($Print != $Separated) or (count($Form8886Data/FactsDescription) &lt;= 1)  ">
                  <xsl:for-each select="$Form8886Data/FactsDescription">
                    <tr>
                      <td>
                        <div style="border-bottom:1 solid black;width:100%;padding-top:1mm;" >
                          <xsl:call-template name="PopulateText">
                            <xsl:with-param name="TargetNode" select="." />                
                          </xsl:call-template>
                        </div>
                      </td>                  
                    </tr> 
                  </xsl:for-each>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="populateemptyrowsforlines789">
                    <xsl:with-param name="IsSeparated">true</xsl:with-param>
                    <xsl:with-param name="CalledTemplate" select="$Form8886Data/FactsDescription" />
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose> 
            </xsl:when> 
            <xsl:otherwise>
              <xsl:call-template name="populateemptyrowsforlines789" />
            </xsl:otherwise>
          </xsl:choose>
          </table>              
      </div>
     <xsl:call-template name="SetInitialDynamicTableHeight">
          <xsl:with-param name="TargetNode" select="$Form8886Data/FactsDescription" />
          <xsl:with-param name="containerHeight" select="1"/>
              <xsl:with-param name="headerHeight" select="0"/>
          <xsl:with-param name="containerID" select="'line7TPctn'" />
      </xsl:call-template> 
    
    <!-- Line 8 -->
      <div style="width:187mm; border-top:0 solid black; padding-top:1mm">
        <div class="styLNLeftNumBox" style="width:6mm; height:12mm">8</div>  
        <div style="float:left; padding-top:0.5mm">
          <b>Expected tax benefits.</b> Describe the expected tax benefits, including deductions, exclusions from gross income,        
          </div>    
        <div style="float:left; width:170mm">
          nonrecognition of gain, tax credits, adjustments (or the absence of adjustments) to the basis of property, etc.
        </div>    
         <div style="float:left; width:170mm">
          (see instructions for more details).
        </div>    
       <div style="float:right;font-family:verdana;font-size:7pt;">                      
          <xsl:call-template name="SetDynamicTableToggleButton">
              <xsl:with-param name="TargetNode" select="$Form8886Data/ExpectedTaxBenefits" />
              <xsl:with-param name="containerHeight" select="1"/>
              <xsl:with-param name="headerHeight" select="0"/>
              <xsl:with-param name="containerID" select="'line8TPctn'" />
          </xsl:call-template>                      
        </div>    
      </div>    
      <div class="styTableContainerNBB" id="line8TPctn" style="height:8mm;">  
        <xsl:call-template name="SetInitialState"/>    
        <table class="styTable" cellspacing="0" cellpadding="0" border="0" style="width:100%; font-family:verdana;font-size:7pt;">
        <xsl:choose>
          <xsl:when test="$Form8886Data/ExpectedTaxBenefits">
            <xsl:choose>
              <xsl:when test="($Print != $Separated) or (count($Form8886Data/ExpectedTaxBenefits) &lt;= 1)  ">
                <xsl:for-each select="$Form8886Data/ExpectedTaxBenefits">
                  <tr>
                    <td>
                      <div style="border-bottom:1 solid black;width:100%;padding-top:1mm;" >
                        <xsl:call-template name="PopulateText">
                          <xsl:with-param name="TargetNode" select="." />                
                        </xsl:call-template>
                      </div>
                    </td>                  
                  </tr> 
                </xsl:for-each>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="populateemptyrowsforlines789">
                  <xsl:with-param name="IsSeparated">true</xsl:with-param>
                  <xsl:with-param name="CalledTemplate" select="$Form8886Data/ExpectedTaxBenefits" />
                </xsl:call-template>
              </xsl:otherwise>
            </xsl:choose> 
          </xsl:when> 
          <xsl:otherwise>
            <xsl:call-template name="populateemptyrowsforlines789" />
          </xsl:otherwise>
        </xsl:choose>
        </table>              
      </div>
     <xsl:call-template name="SetInitialDynamicTableHeight">
          <xsl:with-param name="TargetNode" select="$Form8886Data/ExpectedTaxBenefits" />
          <xsl:with-param name="containerHeight" select="1"/>
              <xsl:with-param name="headerHeight" select="0"/>
          <xsl:with-param name="containerID" select="'line8TPctn'" />
      </xsl:call-template> 
    
    <!-- end line 8 -->
    <!-- start line 9 -->
      <div style="width:187mm; border-top:0 solid black; padding-top:1mm">
        <div class="styLNLeftNumBox" style="width:6mm; height:8mm">9</div>  
        <div style="float:left; padding-top:0.5mm">
          <b>Estimated tax benefits.</b> Provide a separate estimate of the amount of each of the expected tax benefits       
          </div>    
        <div style="float:left; width:170mm">
          described above for each affected tax year (including prior and future years).
        </div>    
       <div style="float:right;font-family:verdana;font-size:7pt;">                      
          <xsl:call-template name="SetDynamicTableToggleButton">
              <xsl:with-param name="TargetNode" select="$Form8886Data/EstimatedTaxBenefits" />
              <xsl:with-param name="containerHeight" select="1"/>
              <xsl:with-param name="headerHeight" select="0"/>
              <xsl:with-param name="containerID" select="'line9TPctn'" />
          </xsl:call-template>                      
        </div>    
      </div>    
      <div class="styTableContainerNBB" id="line9TPctn" style="height:8mm;">  
        <xsl:call-template name="SetInitialState"/>    
        <table class="styTable" cellspacing="0" cellpadding="0" border="0" style="width:100%; font-family:verdana;font-size:7pt;"> 
        <xsl:choose>
          <xsl:when test="$Form8886Data/EstimatedTaxBenefits">
            <xsl:choose>
              <xsl:when test="($Print != $Separated) or (count($Form8886Data/EstimatedTaxBenefits) &lt;= 1)  ">
                <xsl:for-each select="$Form8886Data/EstimatedTaxBenefits">
                  <tr>
                    <td>
                      <div style="border-bottom:1 solid black;width:100%;padding-top:1mm;" >
                        <xsl:call-template name="PopulateText">
                          <xsl:with-param name="TargetNode" select="." />                
                        </xsl:call-template>
                      </div>
                    </td>                  
                  </tr> 
                </xsl:for-each>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="populateemptyrowsforlines789">
                  <xsl:with-param name="IsSeparated">true</xsl:with-param>
                  <xsl:with-param name="CalledTemplate" select="$Form8886Data/EstimatedTaxBenefits" />
                </xsl:call-template>
              </xsl:otherwise>
            </xsl:choose> 
          </xsl:when> 
          <xsl:otherwise>
            <xsl:call-template name="populateemptyrowsforlines789" />
          </xsl:otherwise>
        </xsl:choose>
        </table>              
      </div>
     <xsl:call-template name="SetInitialDynamicTableHeight">
          <xsl:with-param name="TargetNode" select="$Form8886Data/EstimatedTaxBenefits" />
          <xsl:with-param name="containerHeight" select="1"/>
              <xsl:with-param name="headerHeight" select="0"/>
          <xsl:with-param name="containerID" select="'line9TPctn'" />
      </xsl:call-template> 
    <!-- end line 9 -->
      <div style="width:187mm; font-size:7pt; border-top:2 solid black; margin-top:1mm">            
        <div style="float:right">            
          Form <b style="font-size:9pt">8886</b> (Rev. 12-2005)
        </div>      
      </div>  
      
      <p style="page-break-before:always" />      
    
      <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
        <div class="styLeftOverTitle" style="padding-bottom:0.5mm; padding-top:0.5mm">
          Additional Data        
        </div>
        <div class="styLeftOverButtonContainer">
          <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
        </div>      
      </div>
            
      <table class="styLeftOverTbl">
        <xsl:call-template name="PopulateCommonLeftover">
          <xsl:with-param name="TargetNode" select="$Form8886Data" />        
        </xsl:call-template>
    
      </table>    
     
	    <!-- Separated Repeating Data for Line 1a, 1b. 1c -->

	  <xsl:if test="($Print = $Separated) and (count($Form8886Data/ReportableTransactionInfo) &gt;1)">
		  <span class="styRepeatingDataTitle">Form 8886 Lines 1a, 1b and 1c - Reportable Transaction Information:</span>
		     <table class="styDepTbl" style="font-size:7pt;">
	              <thead class="styTableThead">
		        	<tr class="styDepTblHdr">		        	
					<th  class="styDepTblCell" scope="col" style="width: 93mm; text-align: left; height:8mm; padding-top: 2.5mm;"><b>1a Name of reportable transaction</b></th>			             
			             <th  class="styDepTblCell" scope="col" style="width: 93mm; text-align: left; height:8mm; padding-top: 2.5mm;"><b>1b Initial year participated in transaction</b></th>
			              <th  class="styDepTblCell" scope="col" style="width: 93mm; text-align: left; height:8mm; padding-top: 2.5mm;"><b>1c Material advisor or tax shelter registration number (9 digits or 11 digits)</b></th>
                    	</tr>
	              </thead>
	              <tfoot/>
	              <tbody>               
			  <xsl:for-each select="$Form8886Data/ReportableTransactionInfo">
		            <tr>
            				<!-- Define background colors to the rows -->
		              	<xsl:attribute name="class">
		                        <xsl:choose>
		                          <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
		                          <xsl:otherwise>styDepTblRow2</xsl:otherwise>
		                        </xsl:choose>
		                   </xsl:attribute>
			             <td style="clear:left; float:left; padding-left:6mm; width:91mm; border-style: solid; border-color: black; border-top-width: 0px; border-left-width: 	0px; border-right-width: 1px; border-bottom-width:1px; padding-top:0mm; height:8mm; text-align: left">	
					      <xsl:call-template name="PopulateText">
					        <xsl:with-param name="TargetNode" select="NameOfReportableTransaction"/>
					      </xsl:call-template>                            				    
					    </td>				    
					    <td style="float:left; text-align:center; width:91mm; height:8mm; padding-top:2mm; border-bottom:1 solid black">			    
					      <xsl:call-template name="PopulateText">
					        <xsl:with-param name="TargetNode" select="InitialYearParticipated"/>
					      </xsl:call-template>
					    </td>
					     <td style="float:left; text-align:center; width:91mm; height:8mm; padding-top:2mm; border-bottom:1 solid black;border-left:1 solid black;">			    
					      <xsl:call-template name="PopulateText">
					        <xsl:with-param name="TargetNode" select="TaxShelterRegistrationNumber"/>
					      </xsl:call-template>
					    </td>
				    </tr>
			  </xsl:for-each>	
			</tbody>
	            </table>
	            <br />
		</xsl:if>
	   <!--  /Separated Repeating Data for Line 1a -1c -->        
	   	   
	   <!-- Separated Repeating Data for Line 6 -->
	   <xsl:if test="($Print = $Separated) and (count($Form8886Data/PersonsPromotedYourPrtcpt) &gt; 2)">
		<span class="styRepeatingDataTitle">Form 8886 Line 6 - Enter below the name and address of each person to whom you paid a fee with regard to the transaction if that person promoted, solicited, or recommended your participation in the transaction, or provided tax advice related to the transaction:</span>
	     <table class="styDepTbl" style="font-size:7pt;">
	             <thead> </thead>
	              <tfoot/>
	              <tbody>               
			 <xsl:for-each select="$Form8886Data/PersonsPromotedYourPrtcpt">
			    <tr>         
           			<!-- Define background colors to the rows -->
	              	<xsl:attribute name="class">
	                        <xsl:choose>
	                          <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
	                          <xsl:otherwise>styDepTblRow2</xsl:otherwise>
	                        </xsl:choose>
	                   </xsl:attribute>			           
			   	    
			    <td>
                 <div class="styGenericDiv" style="width:100%;font-weight:bold;padding-left:2mm;text-align:left;">
                      <xsl:number value="position()" format="a" /> <span style="padding-left:2.5mm;font-weight:normal;">Name</span>
                      </div>
                   <div class="styBB" style="width:187mm; height:4mm;padding-left:6mm;text-align:left;">
                       <xsl:call-template name="PopulateText">
                          <xsl:with-param name="TargetNode" select="NameOfPerson"/>
                       </xsl:call-template>
                  </div>
                  <div class="styBB" style="width:187mm; height:8mm;padding-left:6mm;text-align:left;">Number, street, and room or suite no.<br />
                       <xsl:call-template name="PopulateText">
                          <xsl:with-param name="TargetNode" select="AddressOfPersons/AddressLine1"/>
                       </xsl:call-template>
                        <xsl:if test="$Form8886Data/PersonsPromotedYourPrtcpt/AddressOfPersons/AddressLine2"><br />
                         <xsl:call-template name="PopulateText">
                          <xsl:with-param name="TargetNode" select="AddressOfPersons/AddressLine2"/>
                       </xsl:call-template>
                       </xsl:if>
                 </div>
                  <div class="styBB" style="width:187mm; height:8mm;padding-left:6mm;text-align:left;">
                  <xsl:if test="position() = last()" >
                            <xsl:attribute name="style">width:187mm; height:8mm;border-bottom-width:0px;padding-left:6mm;text-align:left;</xsl:attribute>
                      </xsl:if>
                 City or town, state, and ZIP code <br />
                    <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt/AddressOfPersons/City"/>
		          </xsl:call-template>,
		          <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt/AddressOfPersons/State"/>          
		          </xsl:call-template>&nbsp;
		          <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt/AddressOfPersons/ZIPCode"/>          
		          </xsl:call-template>
                 </div>
                </td> 
			    </tr>     
			    </xsl:for-each>  
			   </tbody>
			 </table>
			 <br />
		      </xsl:if>     	   
	   <!-- End Separated Repeating Data for Line 6 -->
	   
	   <!-- Begin Separated Repeating Data for line 7 -->
         <xsl:if test="($Print = $Separated) and (count($Form8886Data/FactsDescription) &gt; 1)">
            <span class="styRepeatingDataTitle">Form 8886 Line 7 - Facts:</span>
              <table class="styDepTbl" cellspacing="0" cellpadding="0" border="0" style="font-size:7pt;">
                        <xsl:for-each select="$Form8886Data/FactsDescription">
                          <tr>
                            <xsl:attribute name="class">
                              <xsl:choose>
                                 <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
                                 <xsl:otherwise>styDepTblRow2</xsl:otherwise>
                              </xsl:choose>
                            </xsl:attribute>
                            <td class="styDepTblCell" style="text-align:left;">
                                <xsl:call-template name="PopulateText">
                                  <xsl:with-param name="TargetNode" select="." />                
                                </xsl:call-template>
                            </td>                  
                          </tr> 
                        </xsl:for-each>
                </table>   
                <br />
              </xsl:if>           
	   <!-- End separated repeating data for line 7 -->
	   <!-- Begin Separated Repeating Data for line 8 -->
         <xsl:if test="($Print = $Separated) and (count($Form8886Data/ExpectedTaxBenefits) &gt; 1)">
            <span class="styRepeatingDataTitle">Form 8886 Line 8 - Expected tax benefits:</span>
              <table class="styDepTbl" cellspacing="0" cellpadding="0" border="0" style="font-size:7pt;">
                        <xsl:for-each select="$Form8886Data/ExpectedTaxBenefits">
                          <tr>
                            <xsl:attribute name="class">
                              <xsl:choose>
                                 <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
                                 <xsl:otherwise>styDepTblRow2</xsl:otherwise>
                              </xsl:choose>
                            </xsl:attribute>
                            <td class="styDepTblCell" style="text-align:left;">
                                <xsl:call-template name="PopulateText">
                                  <xsl:with-param name="TargetNode" select="." />                
                                </xsl:call-template>
                            </td>                  
                          </tr> 
                        </xsl:for-each>
                </table> 
                <br />  
              </xsl:if>           
	   <!-- End separated repeating data for line 8 -->
	   	   <!-- Begin Separated Repeating Data for line 9 -->
         <xsl:if test="($Print = $Separated) and (count($Form8886Data/EstimatedTaxBenefits) &gt; 1)">
            <span class="styRepeatingDataTitle">Form 8886 Line 9 - Estimated tax benefits:</span>
              <table class="styDepTbl" cellspacing="0" cellpadding="0" border="0" style="font-size:7pt;">
                        <xsl:for-each select="$Form8886Data/EstimatedTaxBenefits">
                          <tr>
                            <xsl:attribute name="class">
                              <xsl:choose>
                                 <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
                                 <xsl:otherwise>styDepTblRow2</xsl:otherwise>
                              </xsl:choose>
                            </xsl:attribute>
                            <td class="styDepTblCell" style="text-align:left;">
                                <xsl:call-template name="PopulateText">
                                  <xsl:with-param name="TargetNode" select="." />                
                                </xsl:call-template>
                            </td>                  
                          </tr> 
                        </xsl:for-each>
                </table>   
              </xsl:if>           
	   <!-- End separated repeating data for line 9 -->

    </form>
  </body>
</html>
</xsl:template>


<xsl:template name="line6Template">  
  <xsl:param name="index" select="1"/>  
  <xsl:param name="max" /> 
 
  <xsl:choose>
	  <xsl:when test="($Print != $Separated) or (count($Form8886Data/PersonsPromotedYourPrtcpt) &lt;=5)"> 		      
	   	<xsl:if test="$index &lt;= $max">
		    <tr>                
		      <td class="styIRS8886TblRB" style="width:55mm" rowspan="2">                  
		        <xsl:call-template name="PopulateText">
		          <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt[$index]/NameOfPerson"/>
		        </xsl:call-template>          
		      </td>
		      <td class="styIRS8886TblRB" style="height:8mm; border-right:0; border-bottom:0 solid black; padding-left:2mm">
		        <xsl:call-template name="PopulateText">
		          <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt[$index]/AddressOfPersons/AddressLine1"/>
		        </xsl:call-template>
		        <xsl:if test="normalize-space($Form8886Data/PersonsPromotedYourPrtcpt[$index]/AddressOfPersons/AddressLine2)!=''">
		          <br/>
		          <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt[$index]/AddressOfPersons/AddressLine2"/>
		          </xsl:call-template>
		        </xsl:if>
		      </td>            
		    </tr>    
		    <tr>
		      <td class="styIRS8886TblRB" style="border-right:0; height:8mm; padding-left:2mm">
		        <xsl:if test="$Form8886Data/PersonsPromotedYourPrtcpt[$index]/AddressOfPersons">
		          <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt[$index]/AddressOfPersons/City"/>
		          </xsl:call-template>,
		          <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt[$index]/AddressOfPersons/State"/>          
		          </xsl:call-template>&nbsp;
		          <xsl:call-template name="PopulateText">
		            <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt[$index]/AddressOfPersons/ZIPCode"/>          
		          </xsl:call-template>
		        </xsl:if>&nbsp;
		      </td>
		    </tr>     
	     	<xsl:call-template name="line6Template">      
	      <xsl:with-param name="index" select="$index + 1"/>
	      <xsl:with-param name="max" select="$max"/>
	      </xsl:call-template>    
	      </xsl:if>     
	  </xsl:when>
	  <xsl:otherwise>
		    <tr>                
		      <td class="styIRS8886TblRB" style="width:55mm" rowspan="2">                
			      <xsl:call-template name="PopulateAdditionalDataTableMessage">
			        <xsl:with-param name="TargetNode" select="$Form8886Data/PersonsPromotedYourPrtcpt[$index]/NameOfPerson"/>
			      </xsl:call-template>
		      </td>            
		      <td class="styIRS8886TblRB" style="height:8mm; border-right:0; border-bottom:0 solid black; padding-left:2mm">
		        <span style="width: 50mm"/>
		          <br/>
			 <span style="width: 50mm"/>
		      </td>            
		    </tr>    
		    <tr>
		      <td class="styIRS8886TblRB" style="border-right:0; height:8mm; padding-left:2mm">
			 <span style="width: 50mm"/>&nbsp;
		      </td>
		    </tr>     
		    <tr>                
		      <td class="styIRS8886TblRB" style="width:55mm" rowspan="2">                
 				<span style="width: 50mm"/>
		      </td>            
		      <td class="styIRS8886TblRB" style="height:8mm; border-right:0; border-bottom:0 solid black; padding-left:2mm">
		        <span style="width: 50mm"/>
		          <br/>
			 <span style="width: 50mm"/>
		      </td>            
		    </tr>    
		    <tr>
		      <td class="styIRS8886TblRB" style="border-right:0; height:8mm; padding-left:2mm">
			 <span style="width: 50mm"/>&nbsp;
		      </td>
		    </tr>      
		    <tr>                
		      <td class="styIRS8886TblRB" style="width:55mm" rowspan="2">                
 				<span style="width: 50mm"/>
		      </td>            
		      <td class="styIRS8886TblRB" style="height:8mm; border-right:0; border-bottom:0 solid black; padding-left:2mm">
		        <span style="width: 50mm"/>
		          <br/>
			 <span style="width: 50mm"/>
		      </td>            
		    </tr>    
		    <tr>
		      <td class="styIRS8886TblRB" style="border-right:0; height:8mm; padding-left:2mm">
			 <span style="width: 50mm"/>&nbsp;
		      </td>
		    </tr>  
		    <tr>                
		      <td class="styIRS8886TblRB" style="width:55mm" rowspan="2">                
 				<span style="width: 50mm"/>
		      </td>            
		      <td class="styIRS8886TblRB" style="height:8mm; border-right:0; border-bottom:0 solid black; padding-left:2mm">
		        <span style="width: 50mm"/>
		          <br/>
			 <span style="width: 50mm"/>
		      </td>            
		    </tr>    
		    <tr>
		      <td class="styIRS8886TblRB" style="border-right:0; height:8mm; padding-left:2mm">
			 <span style="width: 50mm"/>&nbsp;
		      </td>
		    </tr>  
		    <tr>                
		      <td class="styIRS8886TblRB" style="width:55mm" rowspan="2">                
 				<span style="width: 50mm"/>
		      </td>            
		      <td class="styIRS8886TblRB" style="height:8mm; border-right:0; border-bottom:0 solid black; padding-left:2mm">
		        <span style="width: 50mm"/>
		          <br/>
			 <span style="width: 50mm"/>
		      </td>            
		    </tr>    
		    <tr>
		      <td class="styIRS8886TblRB" style="border-right:0; height:8mm; padding-left:2mm">
			 <span style="width: 50mm"/>&nbsp;
		      </td>
		    </tr>  		    		    		    
	  </xsl:otherwise>
	  </xsl:choose>     
</xsl:template>
<xsl:template name="populateemptyrowsforlines789">
  <xsl:param name="IsSeparated">false</xsl:param>
  <xsl:param name="CalledTemplate" />
  <tr>
    <td>
          <div style="border-bottom:1 solid black;width:100%;height:5mm;padding-top:1mm;height:7mm;" >
            <xsl:if test="$IsSeparated = 'true' ">
                <xsl:call-template name="PopulateAdditionalDataTableMessage">
                    <xsl:with-param name="TargetNode" select="$CalledTemplate"/>                      
                  </xsl:call-template>
            </xsl:if>
          </div>
    </td>
  </tr>
  <tr>
    <td>
          <div style="border-bottom:1 solid black;width:100%;height:5mm;padding-top:1mm;height:7mm;" ></div>
    </td>
  </tr>
  <tr>
    <td>
          <div style="border-bottom:1 solid black;width:100%;height:5mm;padding-top:1mm;height:7mm;" ></div>
    </td>
  </tr>
  <tr>
    <td>
          <div style="border-bottom:1 solid black;width:100%;height:5mm;padding-top:1mm;height:7mm;" ></div>
    </td>
  </tr>
  <tr>
    <td>
          <div style="border-bottom:1 solid black;width:100%;height:5mm;padding-top:1mm;height:7mm;" ></div>
    </td>
  </tr>
  <tr>
    <td>
          <div style="border-bottom:1 solid black;width:100%;height:5mm;padding-top:1mm;height:7mm;" ></div>
    </td>
  </tr>
  <tr>
    <td>
          <div style="border-bottom:1 solid black;width:100%;height:5mm;padding-top:1mm;height:7mm;" ></div>
    </td>
  </tr>
  <tr>
    <td>
          <div style="border-bottom:1 solid black;width:100%;height:5mm;padding-top:1mm;height:7mm;" ></div>
    </td>
  </tr>
</xsl:template>
</xsl:stylesheet>