<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="IRS8896Style.xsl"/>
<xsl:include href="AddOnTable.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>

<xsl:strip-space elements="*" />
<xsl:param name="Form8896Data" select="$RtnDoc/IRS8896" />

<xsl:template match="/">
<html>
<head>  
  <title><xsl:call-template name="FormTitle" ><xsl:with-param name="RootElement" select="local-name($Form8896Data)"></xsl:with-param></xsl:call-template></title>
  <!-- No Browser Caching -->
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Cache-Control" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- No Proxy Caching -->
  <meta http-equiv="Cache-Control" content="private"/>  
  <meta name="Description" content="Form IRS 8896"/>
  <meta name="GENERATOR" content="IBM WebSphere Studio"/>
   <xsl:call-template name="GlobalStylesForm"/>
  <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
  <xsl:call-template name="InitJS"></xsl:call-template>  
  <style type="text/css">    
    <xsl:if test="not($Print) or $Print=''">  
      <xsl:call-template name="IRS8896Style"></xsl:call-template>
      <xsl:call-template name="AddOnStyle"></xsl:call-template>  
    </xsl:if>
  </style>      
  
</head>  <body class="styBodyClass" >
    <form name="Form8896">
              <xsl:call-template name="DocumentHeader"/>  
           <!-- Begin Form Number and Name -->
      <div class="styBB" style="width:187mm;height:21mm;">
        <div class="styFNBox" style="width:34mm;height:21mm;">
          <div style="height:13mm;">
            Form<span class="styFormNumber">  8896</span><br/>
          </div>
          <div style="height:8mm;padding-top:.75mm;" >
            <span class="styAgency">Department of the Treasury</span><br/>
            <span class="styAgency">Internal Revenue Service</span>
          </div>        
        </div>
            
        <div class="styFTBox" style="width:122mm;height:.21mm;">
          <div class="styMainTitle" style="height:11mm;">
            Low Sulfur Diesel Fuel Production Credit
          </div>
        
          <div class="styFST" style="height:4mm;font-size:7pt;">
            <img src="{$ImagePath}/3468_Bullet.gif" alt="bullet image"/>
            Attach to your tax return.
          </div>
        </div>
        <div class="styTYBox" style="width:30mm;height:21mm;">
          <div class="styOMB" style="height:2mm;">
            OMB No. 1545-1914
          </div>
          <div class="styTaxYear" style="height:9mm;padding-top:0;">20<span class="styTYColor">05</span></div>
          <div style="text-align:left;padding-left:4mm;">Attachment <br/>Sequence No. <span class="styBoldText" style="font-size:11;">142</span></div>
        </div>
      </div>
        <!-- End Form Number and Name section -->
        
      <!-- Begin Names and Identifying number section -->
      <div class="styBB" style="width:187mm;family-font:verdana;">
        <div class="styNameBox" style="width:156mm;height:8mm;font-size:7pt;font-weight:normal;">
          Name(s) shown on return<br/>
          <span>
            <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param></xsl:call-template><br/>
            <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param></xsl:call-template>
          </span>
        </div>
        <div class="styEINBox" style="width:30mm;height:4mm;padding-left:2mm;font-size:7pt;font-weight:bold;">
          Identifying number<br/><br/>
          <span style="width:25mm;text-align:left;font-weight:normal;">
            <xsl:call-template name="PopulateReturnHeaderFiler"><xsl:with-param name="TargetNode">EIN</xsl:with-param></xsl:call-template>      
          </span>
        </div>
      </div>    
      <!-- End Names and Identifying number section -->
      <!-- Begin Part I  -->      
      <div class="styBB" style="width:187mm;font-family: verdana;font-size:7pt;">
        <div class="styPartName" style="background-color:black;">Part I</div>
        <!-- Revisit:-->
        <div class="styPartDesc"><span style="width:8px;family-font:verdana;"></span>Current Year Credit</div>
      </div>
      
      <!-- line 1 -->
      <div class="styBB" style="width:187mm;">
        <div style="width:187mm;">
          <div class="styLNLeftNumBox" style="height:4mm;">
            1
          </div>
          <div class="styLNDesc" style="width:139mm;height:4mm;">
          <div style="float:left;">
            Low sulfur diesel fuel produced (in gallons)
            </div>
            <!--Dotted Line-->
            <div style="float:right;">
              <span class="styDotLn" style="padding-right:3mm;">....................</span>
            </div>
          </div>
          <div class="styLNRightNumBox" style="height:4mm;">
          1
          </div>
          <div class="styLNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/LowSulphurDieselFuelProduced" />
                </xsl:call-template>
          </div>
        </div>
        
        <!-- line 2 -->
      <div style="width:187mm;">
          <div class="styLNLeftNumBox" style="height:4mm;">
            2
          </div>
          <div class="styLNDesc" style="width:139mm;height:4mm;">
          <div style="float:left;">
          Multiply line 1 by $.05
          </div>
                      <!--Dotted Line-->
           <div style="float:right;">
              <span class="styDotLn" style="padding-right:3mm;">..........................</span>
              </div> 
          </div>
          <div class="styLNRightNumBox" style="height:4mm;">
          2
          </div>
          <div class="styLNAmountBox">            
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/AdjDieselFuelProduced" />      
            </xsl:call-template>    
          </div>
        </div>
        
        <!-- line 3 -->
        <div style="width:187mm;">
          <div class="styLNLeftNumBox" style="height:4mm;">
            3
          </div>
          <div class="styLNDesc" style="width:139mm;height:4mm;">
          <div style="float:left;">
            Qualified capital costs limitation
            (see instructions)
            </div>
            <!--Dotted Line-->
            <div style="float:right;">
           
              <span class="styDotLn" style="padding-right:3mm;">.................</span>
            </div>
          </div>
          <div class="styLNRightNumBox" style="height:4mm;">
          3
          </div>
          <div class="styLNAmountBox">            
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/QlfyCapitalCostsLimitation" />      
            </xsl:call-template>    
          </div>
        </div>
        
        <!--line 4 -->
        <div style="width:187mm;">
          <div class="styLNLeftNumBox" style="height:4mm;">
            4
          </div>
          <div class="styLNDesc" style="width:139mm;height:4mm;">
          <div style="float:left;">
            Total low sulfur diesel fuel production credits allowed for all prior tax  years
            </div>
            <!--Dotted Line-->
            <div style="float:right;">
            <span class="styDotLn" style="padding-right:3mm;">.........</span>
              </div>
          </div>
          <div class="styLNRightNumBox" style="height:4mm;">
          4
          </div>
          <div class="styLNAmountBox">            
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/TotFuelPrdCrAllPrTaxYrs" />      
            </xsl:call-template>    
          </div>
        </div>
        
        <!-- line 5 -->
        <div style="width:187mm;">
          <div class="styLNLeftNumBox" style="height:4mm;">
            5
          </div>
          <div class="styLNDesc" style="width:139mm;height:4mm;">
          <div style="float:left;">
              Subtract line 4 from line 3
              </div>
            <!--Dotted Line-->
            <div style="float:right;">
            <span class="styDotLn" style="padding-right:3mm;">.........................</span>
            </div>
          </div>
          <div class="styLNRightNumBox" style="height:4mm;">
          5
          </div>
          <div class="styLNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/TotPrdCrMnsQlfyCapCosts" />      
            </xsl:call-template>  
          </div>
        </div>
        
<!-- line 6 -->
        <div style="width:187mm;">
          <div class="styLNLeftNumBox" style="height:4mm;">
             6
          </div>
          <div class="styLNDesc" style="width:139mm;height:4mm;">
          <div style="float:left;">
            Enter the smaller of line 5 or line 2
            </div>
 <!--Dotted Line-->
           <div style="float:right;">
                    <span class="styDotLn" style="padding-right:3mm;">......................</span>
            </div>
          </div>
          <div class="styLNRightNumBox" style="height:4mm;">
             6
          </div>
          <div class="styLNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/SmallerAdjDieselOrTotPrdCr" />      
            </xsl:call-template>
          </div>
        </div>
        
<!--Line 7  -->
        <div style="width:187mm;">
         <div style="float:left">
          <div class="styLNLeftNumBox" style="height:4.5mm;">
            7
          </div>
           <div class="styLNDesc" style="width:18mm; height:4.5mm;font-family: Arial Narrow; font-size: 7pt;">
           <div style="float:left;">
                    Low sulfur diesel fuel production<br />credit(s) from pass-through entities:
           </div>
          </div>
           <div class="styLNDesc" style="width:5mm; height:4.5mm;"> </div>
                <div class="styLNDesc" style="width:116mm; height:4.5mm;">

<!--table -->          
          <table summary="Table for Low Sulfur Diesel Fuel Production Credit" style="width:115mm;font-size:7pt;" cellpadding="0" cellspacing="0" border="0" class="stytable">
                    <tr>
                      <th scope="col" class="styForm8896TBTable" style="width:29mm;text-align:center;" >
                          If you are a&#151;
                        </th>
                       <th style="border-right:none;padding-left:2mm;width:73mm;text-align:left;" scope="col" class="styForm8896TBTable">
                          Then enter the total of the credits from&#151;
                        </th>
                        <th style="padding-left:2mm;" scope="col"><span style="width:2px;"></span></th>
                    </tr>
                    <tr>
                       <td style="border-right:solid black .75pt;">
                         <span style="float:left;">
                           <span>a</span> Shareholder
                         </span>
                         <span style="float:right;padding-right:1.5mm;">
                           <span class = "styDotLn" >.</span>
                         </span>
                       </td>
                       <td style="padding-left:2mm;">
                             <span style="float:left;">Schedule K-1 (Form 1120S), box 13, code F, G or U
                          </span>
                        </td>
                       <td rowspan="3">
                         <span style="float:left;">
                          <img alt="Bullet Image" src="{$ImagePath}/8896_Bracket_Sm.gif" />
                        </span>
                        <span style="float:right;letter-spacing:3.2mm; padding-right:3mm;font_weight:bold;padding-top:5.25mm;padding-left:1mm;">..</span>
                       </td>
                    </tr>
                    <tr>
                       <td style="border-right:solid black .75pt;">
                          <span style="float:left;">
                          <span>b</span> Partner
                        </span>
                        <div style="float:right; padding-right:1.5mm;">
     <!-- dotted Line -->                   
                           <span class = "styDotLn">..</span>
                             </div>             
                       </td>
                       <td style="padding-left:2mm;">
                            <span style="float:left;">
                        Schedule K-1 (Form 1065), box 15, code F, G, or U
                         </span>
                              </td>
                    </tr>
                   
                    <tr>
                       <td style="border-right:solid black .75pt;">
                           <span style="float:left;">
                          <span>c</span> Patron
                         </span>
                          <span style="float:right;padding-right:1.5mm;">
                           <span class = "styDotLn" >..</span>
                         </span>
                      </td>
                       <td style="padding-left:2mm;">
                            <span style="float:left;">
                          Written statement from cooperative
                         </span>
                           <span style="float:right;padding-right:1.5mm;">
                           <span class = "styDotLn" >......</span>
                         </span>              
                       </td>
                    </tr>
                  </table>
               </div>                    
            </div> <!--for 115mm -->
               <div style="height:9mm;background-color:lightgrey;" class="styLNRightNumBoxNBB"></div>
              <div style="height:9mm;" class="styLNAmountBoxNBB"></div>
              <div style="height:4.5mm;" class="styLNRightNumBox">7</div>
              <div style="height:4.5mm;" class="styLNAmountBox">
           <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/CrFromPassthroughEntities" />      
            </xsl:call-template>
            </div>
           <div style="height:4.5mm;background-color:lightgrey;" class="styLNRightNumBoxNBB"></div>
           <div style="height:4.5mm;" class="styLNAmountBoxNBB"></div>
           </div>
           
<!-- line 8 -->
        <div style="width:187mm;">
          <div class="styLNLeftNumBox" style="height:4mm;">
            8
          </div>
          <div class="styLNDesc" style="width:139mm;height:4mm;">
          <div style="float:left;">
            <span class="styBoldText">Current year credit. </span>
            Add lines 6 and 7
            </div>
     <!--Dotted Line-->
             <div style="float:right;">
            <span class="styDotLn" style="padding-right:3mm;">.....................</span>
            </div>
          </div>
          <div class="styLNRightNumBoxNBB" style="height:4mm;">
            8
          </div>
          <div class="styLNAmountBoxNBB">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/CurrentYearCredit" />
            </xsl:call-template>
          </div>
        </div>        
      </div>
 <!-- End Part I -->
      
<!--  Begin Part II  -->
      <div class="styBB" style="width:187mm;">
        <div class="styPartName" style="background-color:black;">
          Part II
        </div>
        <div class="styPartDesc">
          <span style="width:8px;"></span>Allowable Credit <span style="font-weight: normal; font-style: normal;"> (See</span> <span style="font-weight: bold;"> Who must file Form 3800</span><span style="font-weight: normal; font-style: normal;"> to find out if you complete Part II or file Form 3800.)</span> 
        </div>
        </div>
      
 <!-- line 9 -->
      <div class="styGenericDiv" style="width:187mm;">
          <div class="styLNLeftNumBox" style="padding-left:2.75mm;">
        9
        </div>
        <div style="float:left;padding-top:.5mm;">
          Regular tax before credits:                
        </div>
        <div style="float:right">  
          <div class="styLNRightNumBox" style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styLNAmountBox" style="height:4.5mm;border-bottom-width: 0px;">
          </div>
       </div>
       <div class="styGenericDiv" style="width:187mm;border-bottom-width: 0px;">  
        <div class="styLNLeftLtrBox" style="padding-left:4mm;">
            <img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/>
      </div>
        <div style="float:left;padding-top:.5mm;border-bottom:0;">
          Individuals. Enter the amount from Form 1040, line 44                
        </div>
  <!-- dotted line -->
        <div style="float:right;">  
          <span class="styDotLn" style="padding-right:3mm;">..........</span>
        <div class="styLNLeftNumBox" style="position:relative;width:25mm;">
          
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:0mm;left:-3mm;">
    <img src="{$ImagePath}/8896_Bracket_Lg.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->

          </div>  
          <div class="styLNRightNumBox" style="background-color:lightgrey;border-bottom:0px;height:4.5mm;"></div>  
          <div class="styLNAmountBox" style="border-bottom-width: 0px;height:4.5mm;">
          </div>
       </div>      
        </div>
      </div>
          
      <div style="width:187mm">  
        <div class="styLNLeftLtrBox" style="padding-left:4mm;">
            <img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left;padding-top:.5mm;">
          Corporations. Enter the amount from Form 1120, Schedule J, line 3; Form 1120-A,            
        </div>
        <div style="float:right">  
          <div class="styLNLeftNumBox" style="width:25mm;"></div>  
          <div class="styLNRightNumBox" style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styLNAmountBox" style="border-bottom:0;height:4.5mm;">
          </div>    
        </div>
      </div>  
        
        
      <div style="width:187mm">  
        <div class="styLNLeftLtrBox"></div>
        <div style="float:left;padding-top:.5mm;">
          Part I, line 1; or the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn" style="padding-right:3mm;"> ............</span>
          <div class="styLNLeftNumBox" style="width:25mm;">
          <span class="styDotLn" style="letter-spacing:3.3mm;font-weight:bold;">......</span>
          </div>  
          <div class="styLNRightNumBox" style="height:4.5mm;">9</div>  
          <div class="styLNAmountBox" style="height:4.5mm;">
         
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/RegularTaxBeforeCredits" />
            </xsl:call-template>
            </div>    
        </div>
      </div>  
        
      <div style="width:187mm">  
        <div class="styLNLeftLtrBox" style="padding-left:4mm;">
          <img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left;padding-top:.5mm;">
          Estates and trusts. Enter the sum of the amounts from Form 1041, Schedule G, lines             
        </div>
        <div style="float:right">  
          <div class="styLNLeftNumBox" style="width:25mm;"></div>  
          <div class="styLNRightNumBox" style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styLNAmountBox" style="border-bottom:0;height:4.5mm;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styLNLeftNumBox"></div>
        <div style="float:left">
             1a and 1b, or the amount from the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn" style="letter-spacing:3.5mm;font-weight:bold;padding-right:3mm;"> .......</span>
          <div class="styLNLeftNumBox" style="width:25mm;"></div>  
          <div class="styLNRightNumBox" style="background-color:lightgrey;border-bottom:0;height:4.5mm;"></div>  
          <div class="styLNAmountBox" style="border-bottom:0;height:4.5mm;">          </div>    
        </div>
      </div>  
    
<!-- line 10 -->
  <div style="width:187mm">      
        <div class="styLNLeftNumBox" style="padding-top:0mm;padding-bottom:0mm;">10</div>
        <div style="float:left">
          Alternative minimum tax:
        </div>
        <div style="float:right">  
          <div class="styLNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styLNAmountBoxNBB"></div>  
        </div>      
      </div>    
      
      <div style="width:187mm">      
        <div class="styLNLeftLtrBox" style="padding-top:0mm;padding-bottom:0mm;padding-left:4mm;">
              <img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 6251, line 35          
        </div>
        <div style="float:right">
<!-- dotted line -->
             <span class="styDotLn" style="padding-right:4mm;">.......</span>
          <div class="styLNLeftNumBox" style="position:relative;width:35mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:0mm;left:-3mm;">
    <img src="{$ImagePath}/8896_Bracket_Sm_L6.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>  
          <div class="styLNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styLNAmountBox" style="border-bottom:0;">
          </div>        
       </div>     
      </div>    
          
      <div style="width:187mm">  
        <div class="styLNLeftLtrBox" style="padding-top:0mm;padding-bottom:0mm;padding-left:4mm;">
              <img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/>
        </div>
              <div style="float:left">
                Corporations. Enter the amount from Form 4626, line 14          
              </div>
              <div style="float:right">  
                    <span class="styDotLn" style="padding-right:4mm;">.......</span>
  
          <div class="styLNLeftNumBox" style="width:35mm;">
          <span class="styDotLn" style="float:right;padding-right:4mm;">........</span>
          </div>  
          <div class="styLNRightNumBox" style="height:4.5mm;">10</div>
          <div class="styLNAmountBox" style="height:4.5mm;">
     
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$Form8896Data/AlternativeMinimumTax"/>
            </xsl:call-template>
      
          </div>  
           </div>  
      </div>          
        
      <div style="width:187mm">  
        <div class="styLNLeftLtrBox" style="padding-top:0mm;padding-bottom:0mm;padding-left:4mm;">
            <img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/>
        </div>
        <div style="float:left">
          Estates and trusts. Enter the amount from Form 1041, Schedule I, line 56          
        </div>
        <div style="float:right">  
          <span class="styDotLn" style="letter-spacing:3.5mm;font-weight:bold;"></span>
          <div class="styLNLeftNumBox" style="width:35mm;"></div>  
          <div class="styLNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styLNAmountBox" style="border-bottom:0;">
          </div>      
        </div>
      </div>    
   
<!-- line 11 -->  
      <div style="width:188mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">
          11
        </div>
        <div class="styLNDesc" style="height:4mm;width:139.1mm;">
               <div style="float:left;">
          Add lines 9 and 10
                  </div>
          <!--Dotted Line-->
           <span class="styDotLn" style="float:right;padding-right:4mm;">............................</span>
        </div>
        <div class="styLNRightNumBox" style="height:4mm;">
          11
        </div>
        <div class="styLNAmountBox">
       
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/SumOfRegularTaxAndMinimumTax" />      
          </xsl:call-template>
      
        </div>
      </div>
      <!-- 8 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4.5mm;">12a</div>
        <div class="styLNDesc" style="width:99.25mm;height:4.5mm;">
        <div style="float:left;">
          Foreign tax credit
          </div>
          <!--Dotted Line-->
        <span class="styDotLn" style="float:right;padding-right:3mm;">..................</span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">12a</div>
        <div class="styLNAmountBox" style="height:4.5mm;padding-right:1mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/ForeignTaxCredit" />      
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;height:4.5mm;width:8.2mm;border-right-width:1px"></div>
      </div>
      
      <!-- The following form element does not have a matching element in the schema. Tax examiner pulls up data, if needed -->
      
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4.5mm;padding-left:4.3mm;">b</div>
        <div class="styLNDesc" style="width:99.25mm;height:4.5mm;">
        <div style="float:left;">
          Credits from Form 1040, lines 48 through 54
          </div>
          <!-- dotted line -->
                    <span class="styDotLn" style="float:right;padding-right:3mm;">.........</span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">12b</div>
        <div class="styLNAmountBox" style="height:4.5mm;"></div>
        <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;height:4.5mm;width:8.2mm;border-right-width:1px"></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4.5mm;padding-left:4.3mm;">c</div>
        <div class="styLNDesc" style="width:99.25mm;height:4.5mm;">
        <div style="float:left;">
          Possessions tax credit (Form 5735, line 17 or 27)
          </div>
          <!--Dotted Line-->
          <span class="styDotLn" style="float:right;padding-right:3mm;">.......</span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">12c</div>
        <div class="styLNAmountBox" style="height:4.5mm;padding-right:1mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/PossessionsTaxCredit" />
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;height:4.5mm;width:8.2mm;border-right-width:1px"></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4.5mm;padding-left:4.3mm;">d</div>
        <div class="styLNDesc" style="width:99.25mm;height:4.5mm;">
        <div style="float:left">
        Nonconventional source fuel credit (Form 8907, line 23)
          </div>
          <!--Dotted Line-->
          <span class="styDotLn" style="float:right;padding-right:3mm;">......</span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">12d</div>
        <div class="styLNAmountBox" style="height:4.5mm;padding-right:1mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/CreditForFuelFromNnconvSource" />
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;height:4.5mm;width:8.2mm;border-right-width:1px"></div>
      </div>
      
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4.5mm;padding-left:4.3mm;">e</div>
        <div class="styLNDesc" style="width:99.25mm;height:4.5mm;">
        <div style="float:left;">
          Other specified credits (see instructions)
          </div>
          <!--Dotted Line-->
          <span class="styDotLn" style="float:right;padding-right:3mm;">...........</span>
        </div>
             <div class="styLNRightNumBox" style="height:4.5mm;">12e</div>
        <div class="styLNAmountBox" style="height:4.5mm;padding-right:1mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/OtherSpecifiedCredits" />
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;height:4.5mm;width:8.2mm;border-right-width:1px"></div>
      </div>
      
      <div style="width:187mm;">
        <div class="styLNLeftLtrBox" style="height:4.5mm;padding-left:4.3mm;">f</div>
        <div class="styLNDesc" style="width:139.25mm;height:4.5mm;">
        <div style="float:left;">
          Add lines 12a through 12e
          </div>
          <!--Dotted Line-->
          <span class="styDotLn" style="float:right;padding-right:3mm;">.........................</span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">12f</div>
        <div class="styLNAmountBox" style="height:4.5mm;width:31.75mm;padding-right:1mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/ForeignTaxCredit" />  </xsl:call-template>
        </div>

      </div>
 
      <!-- line 13 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4.5mm;">13</div>
        <div class="styLNDesc" style="width:139.25mm;height:4.5mm;">
          Net income tax. Subtract line 12f from line 11. If zero,
          skip lines 14 through 17 and enter -0- on line 18       
        </div>
       <div class="styLNRightNumBox" style="height:4.5mm;">13</div>
        <div class="styLNAmountBox" style="height:4.5mm;width:31.75mm;padding-right:1mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/NetIncomeTax" />  </xsl:call-template>
        </div>
      </div>
      
      <!-- line 14 -->
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4.5mm;">14</div>
        <div class="styLNDesc" style="width:99.25mm;height:4.5mm;">
          Net regular tax. Subtract line 12f from line 9.
          If zero or less, enter -0-
          <span class="styBoldText">
          </span>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">14</div>
        <div class="styLNAmountBox" style="height:4.5mm;padding-right:1mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/NetRegularTax" /> </xsl:call-template>
        </div>
       
        <!-- line 15 -->
        <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;height:4.5mm;width:8.2mm;border-right-width:1px"></div>
      </div>
      <div style="width:187mm;">
        <div class="styLNLeftNumBox" style="height:4.5mm;">15</div>
        <div class="styLNDesc" style="width:99.25mm;height:4.5mm;">
        
            Enter 25% (.25) of the excess, if any, of line 14 over $25,000 (see instructions) 
            <span style="letter-spacing:3.3mm;font-weight:bold;">.....................</span>
                 
        </div>
        <div class="styLNRightNumBox" style="height:8mm;padding-top:4mm;">15</div>
        <div class="styLNAmountBox" style="height:8mm;padding-top:4mm;padding-right:1mm;">
    
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/TwentyFivePercentOfExcess" /> 
          </xsl:call-template>
    
        </div>
        <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;height:8mm;width:8.2mm;border-right-width:1px"></div>
      </div>
    
     <!-- line 16 -->
          <div style="width:188mm;">
        <div class="styLNLeftNumBox" style="height:4mm;">16</div>
        <div class="styLNDesc" style="width:98.8mm;height:4mm;">Tentative minimum tax (see instructions):</div>
        <div style="float:right">  
          <div class="styLNRightNumBoxNBB"></div>
          <div class="styLNAmountBoxNBB"></div>
          <div class="styLNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styLNAmountBoxNBB" style="width:33mm;"></div>  
        </div>      
      </div>    
      
      <div style="width:188mm">      
        <div class="styLNLeftLtrBox" style="padding-top:0mm;padding-bottom:0mm;padding-left:4mm;">
            <img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/></div>
        <div class="styLNDesc" style="width:93.25mm;height:4mm;">
        <div style="float:left;">
          Individuals. Enter the amount from Form 6251, line 33
          </div>
          <div style="float:right;">
          <!--Dotted Line-->
          <span class="styDotLn" style=" padding-right:4mm;">.....</span>
          </div>
        </div>
          <div class="styLNLeftNumBox" style="position:relative;width:4mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:1mm;left:-1mm;">
          <img src="{$ImagePath}/8896_Bracket_Md.gif" height="50mm" alt="Curly Bracket Image"/>
  </span>
<!-- end bracket -->
          </div>  
        <div style="float:right">  
          <div class="styLNRightNumBoxNBB"></div>
          <div class="styLNAmountBoxNBB"></div>
          <div class="styLNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styLNAmountBoxNBB" style="width:33mm;"></div>  
        </div>      
      </div>
      
      <div style="width:188mm">      
        <div class="styLNLeftLtrBox" style="padding-top:0mm;padding-bottom:0mm;padding-left:4mm;">
            <img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/></div>
        <div class="styLNDesc" style="width:93.25mm;height:4mm;">
        <div style="float:left;">
          Corporations.  Enter the amount from Form 4626, line 12
          </div>
             <!--Dotted Line-->
             <span class="styDotLn" style="float:right;padding-right:4mm;">....</span>
         </div>
        <div style="float:right">  
          <div class="styLNRightNumBoxNBB"></div>
          <div class="styLNAmountBoxNBB"></div>
          <div class="styLNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styLNAmountBoxNBB" style="width:33mm;"></div>  
        </div>      
      </div>
         
        <div style="width:188mm;">
          <div class="styLNLeftLtrBox" style="padding-left:4mm;"><img src="{$ImagePath}/8896_Bullet_Round.gif" alt="dot"/></div>
     
 <div class="styLNDesc" style="width:99.25mm;height:4.75mm;">
        <div style="float:left;">Estates and trusts. Enter the amount from Form 1041,<br />Schedule I, line 54
                  <!--Dotted Line-->
        <span class="styBoldText">
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
              <span style="width:10px;"></span>.
             <span style="width:10px;"></span>.
             <span style="width:10px;"></span>.
             <span style="width:10px;"></span>.
             <span style="width:10px;"></span>. 
            </span>
         </div>
    </div>
             <div class="styLNRightNumBox" style="height:9mm;padding-top:5mm;">16</div>
        <div class="styLNAmountBox" style="height:9mm;padding-top:5mm;padding-right:1mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/TentativeMinimumTax" />
          </xsl:call-template>
        </div>
        <div class="styLNRightNumBoxNBB" style="background-color:lightgrey;height:9mm;width:8.2mm;border-right-width:1px"></div>
      </div>

      <!--Line 17 -->
      <div style="width:188mm;">
        <div class="styLNLeftNumBox" style="height:4.5mm;">17</div>
        <div class="styLNDesc" style="width:139.25mm;height:4.5mm;">
        <div style="float:left;">
          Enter the greater of line 15 or line 16
          </div>
          <div style="float:right;">
          <span class="styDotLn" style="padding-right:3mm;">......................</span>
          </div>
        </div>
         <div class="styLNRightNumBox" style="height:4.5mm;">17</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/GreaterOfTentMinTaxOrExcess" />                </xsl:call-template>
        </div>
        </div>
        
        <!-- line 18 -->
      <div style="width:188mm;">
        <div class="styLNLeftNumBox" style="height:4.5mm;">18</div>
        <div class="styLNDesc" style="width:139.1mm;height:4.5mm;">
        <div style="float:left;">
          Subtract line 17 from line 13. If zero or less, enter -0-
          </div>
          <div style="float:right;">
          <span class="styDotLn" style="padding-right:3mm;">................</span>
          </div>
        </div>
        <div class="styLNRightNumBox" style="height:4.5mm;">18</div>
        <div class="styLNAmountBox" style="height:4.5mm;">
          <xsl:call-template name="PopulateAmount">
            <xsl:with-param name="TargetNode" select="$Form8896Data/SubtractGreaterFromNetIncTax" />                  
          </xsl:call-template>
        </div>
      </div>
      
  <!--   line 19 -->
    <div class="styBB" style="width:188mm;">
      <div style="width:188mm;">
        <div class="styLNLeftNumBox" style="height:10.5mm;">19</div>
        <div class="styLNDesc" style="width:139.1mm;height:10.5mm;">
          <span class="styBoldText">Credit allowed for the current year. </span>
          Enter the <span class="styBoldText">smaller</span> of line 8 or line 18 here and on Form <br />1040, line 55; Form 1120, Schedule J, line 6d; Form 1120-A, Part I, line 2; Form 1041, Schedule<br />
          G, line 2c; or the applicable line of your return. If line 18 is smaller than line 8, see instructions

         
</div>
        <div class="styLNRightNumBoxNBB" style="height:10.5mm;padding-top:0mm;">
          <div style="height:7mm;background-color:lightgrey;">
          </div>
          19
        </div>
        <div class="styLNAmountBoxNBB" style="height:10.5mm;padding-top:7mm;">
          <xsl:call-template name="PopulateAmount">
             <xsl:with-param name="TargetNode" select="$Form8896Data/CreditAllowedForCurrentYear" />   
         </xsl:call-template>
        </div>
      </div>
    </div> 
     
    <!-- End of part II -->
    <!--footer -->
    <div style="width:187mm;clear:both;padding-top:1mm;">
      <div style="width:90mm;font-weight:bold;" class="styGenericDiv">For Paperwork Reduction Act Notice, see page 2.</div>
      <div style="width:55mm;text-align:center;" class="styGenericDiv">Cat. No. 37704F</div>
      <div style = "float:right;" class="styGenericDiv">Form <span class="styBoldText">8896</span> (2005)</div>
    </div>
   
<!-- Adding page break -->
  <br class="pageEnd"/>
    <div class="styLeftOverTitleLine" id="LeftoverData">
      <div class="styLeftOverTitle">
        Additional Data        
      </div>
      <div class="styLeftOverButtonContainer">
        <input class="styLeftoverTableBtn" tabindex="1" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage();"/>
      </div>      
    </div>
    <table class="styLeftOverTbl">
      <xsl:call-template name="PopulateCommonLeftover">
        <xsl:with-param name="TargetNode" select="$Form8896Data" />
        <xsl:with-param name="DescWidth" select="100"/>
      </xsl:call-template>
    </table>
   </form>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
