<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="PopulateTemplate.xsl"/>
<xsl:include href="CommonPathRef.xsl"/>
<xsl:include href="AddHeader.xsl"/>
<xsl:include href="AddOnTable.xsl"/>
<xsl:include href="IRS8900Style.xsl"/>

<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>
<xsl:strip-space elements="*" />
<xsl:param name="FormData" select="$RtnDoc/IRS8900" />

<xsl:template match="/">
<html>
  <head>    
    <title>
      <xsl:call-template name="FormTitle">
        <xsl:with-param name="RootElement" select="local-name($FormData)">
      </xsl:with-param></xsl:call-template>
    </title>
    <!-- No Browser Caching -->
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Cache-Control" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>
    <!-- No Proxy Caching -->
    <meta http-equiv="Cache-Control" content="private"/>        
    <meta name="Description" content="Schedule P (Form 5735)"/>
    <meta name="Generator" content="IBM WebSphere Studio"/>
    
    <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js" type="text/javascript"></script>
    <xsl:call-template name="InitJS"></xsl:call-template>
    
    <style type="text/css">    
      <xsl:if test="not($Print) or $Print=''">
        <xsl:call-template name="IRS8900Style"></xsl:call-template>    
        <xsl:call-template name="AddOnStyle"></xsl:call-template>  
      </xsl:if>
    </style>        
    <xsl:call-template name="GlobalStylesForm"/>
  </head>
  
  <body class="styBodyClass">      
    <form style="font-family:Arial; font-size:9pt">      
      <xsl:call-template name="DocumentHeader"></xsl:call-template>  
    
        <!-- Begin Form title an dForm number section -->

        <div class="styBB" style="width:187mm;clear:both;float:none;">
          <div class="styFNBox" style="width:31mm;height:22.5mm;">
            Form <span class="styFormNumber">8900</span>
            <br/>
            <xsl:call-template name="SetFormLinkInline">
              <xsl:with-param name="TargetNode" select="$FormData" />
              <xsl:with-param name="TabOrder" select="2"/>
            </xsl:call-template>              
            <br/>
            <div style="padding-top:1.5mm;">
              <span class="styAgency" >Department of the Treasury</span><br/>
              <span class="styAgency">Internal Revenue Service</span>
            </div>
          </div>
          <div class="styFTBox" style="width:125mm;height:20mm;">
            <div class="styMainTitle" style="padding-top:2mm;">
              Qualified Railroad Track Maintenance Credit</div>
             <div class="styFST" style="font-size:7pt;padding-top:12mm;font-weight:bold;">
              <img src="{$ImagePath}/8900_Bullet.gif" alt="bullet image"/>
              Attach to your tax return.
            </div>    
          </div>
          <div class="styTYBox" style="width:30mm;height:22.5mm;font-size:7pt;">
            <div class="styOMB" style="height:2mm;">
              OMB No. 1545-XXXX
            </div>
            <div class="styTY" style="height:4mm;font-size:23pt;">
              20<span class="stytycolor">05</span>
            </div>
            <div class="styOMB" style="height:3mm;border-bottom-width:0px;text-align:left;padding-left:4mm;font-size:7pt;padding-top:.5mm;line-height:160%;">Attachment <br/>
              Sequence No. <span class="styBoldText" style="font-size:9pt;">144</span>
            </div>
          </div>
        </div>
        <!-- End form title and Form number Section -->
      
  <!-- Begin Name and Identifying Number Section-->      
  <div class="styBB" style="width:187mm;clear:both;font-family:verdana;font-size:7pt;">
    <div class="styFNBox" style="width:144mm;height:8mm;">
            Name(s) shown on return<br/>
            <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">BusinessNameLine1</xsl:with-param>
      </xsl:call-template>
      <br />
      <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">BusinessNameLine2</xsl:with-param>
      </xsl:call-template>
    </div>
    <div class="styGenericDiv" style="width:42mm;height:4mm;padding-left:1mm;">
      <span class="styBoldText">Identifying number</span>
      <br/><br/>
      <xsl:call-template name="PopulateReturnHeaderFiler">
        <xsl:with-param name="TargetNode">EIN</xsl:with-param>
      </xsl:call-template>
    </div>
  </div>
  <!-- End Name and Identifying Number Section-->      
      
    <!-- BEGIN Part I Title -->
      <div class="styBB" style="width:187mm; font-size:10pt; height: 8mm">
        <div class="styPartName" style="font-family:verdana;margin-top: 2mm">Part I</div>
        <div class="styPartDesc" style="font-family:verdana;padding-top: 2mm">
          Current Year Credit <span style="font-weight:normal">(Members of controlled groups or businesses under common control, see
instructions.)</span>
        </div>
      </div>
    <!-- END Part I Title -->
    
    <!-- BEGIN Part I Line Items -->  
    <!-- line 1 -->    
      <div style="width:187mm">        
        <div class="styIRS8900LNLeftNumBoxTop">1</div>
        <div style="float:left;">
          Qualified railroad track maintenance expenditures paid or incurred     
        </div>
        <div style="float:right">
          <div class="styIRS8900LNRightNumBox" style="border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>  
        </div>        
      </div>    
      <div style="width:187mm">        
        <div class="styIRS8900LNLeftNumBox"></div>
        <div style="float:left">
          (see instructions)              
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ....................,
          </span>
          <div class="styIRS8900LNRightNumBox">1</div>  
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/QualifiedRlrdTrackMaintExpend"/>
            </xsl:call-template>
          </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0; height:4.5mm;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0; height:4.5mm;">
          </div>  
        </div>        
      </div>    
    <!-- line 2 -->  
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop">2</div>
        <div style="float:left">
          Enter 50% (.50) of line 1            
        </div>
        <div style="float:right;">
          <span class="styDotLn">      
            ...........................
          </span>
          <div class="styIRS8900LNRightNumBox" >2</div>
          <div class="styIRS8900LNAmountBox" >
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/FiftyPctRlrdTrackMaintExpend"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>      
      <!-- line 3a -->
      <div style="width:187mm">        
        <div class="styIRS8900LNLeftNumBoxTop">3a</div>
        <div style="float:left">
             Number of miles of railroad track owned or leased by you (see instructions)
        </div>
        <div style="float:right;">
             <div class="styIRS8900LNRightNumBox" style="height:4.5mm;">3a</div>  
             <div class="styIRS8900LNAmountBox" style="height:4.5mm;">
             <xsl:choose>
              <xsl:when test="$Version='2005v2.0' ">
                  <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/MilesOfRlrdTrackOwned"/>
                  </xsl:call-template>   
                </xsl:when>  
             <xsl:otherwise>  
                   <xsl:call-template name="PopulateAmount">
                   <xsl:with-param name="TargetNode" select="$FormData/MilesOfRlrdTrackOwnedorLeased"/>
                   </xsl:call-template>
            </xsl:otherwise>    
            </xsl:choose>
          </div>  
          <div class="styIRS8900LNRightNumBoxNBB" style="height:4.5mm;background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;">
          </div>  
        </div>        
      </div>    
      
       <!-- line 3b -->
      <div style="width:187mm;" >        
        <div class="styIRS8900LNLeftLtrBox" >b</div>
        <div style="float:left;width:113.2mm;">
             Less: number of miles of railroad track owned or leased by you and assigned      </div>
        <div  class="styIRS8900LNRightNumBox" style="border-bottom:0px;border-right:1 solid black;width:7.2mm;"></div>  
         <div class="styIRS8900LNAmountBox" style="border-bottom:0px;border-left:0px;border-right:1 solid black;"></div>
         <div class="styIRS8900LNRightNumBox" style="width:6.9mm;border-left:0px;background-color:lightgrey;border-bottom:0;border-right:1 solid black;"></div>  
         
      </div>
 
    <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop"></div>
        <div style="float:left">
        to other eligible taxpayers for purposes of this credit (see instructions)            
        </div>
        <div style="float:right;">
          <span class="styDotLn">      
            ...
          </span>
          <div class="styIRS8900LNRightNumBox"  style="height:4.5mm;">3b</div>
          <div class="styIRS8900LNAmountBox" style="height:4.5mm;">
           <xsl:choose>
              <xsl:when test="$Version='2005v2.0' ">
                  <xsl:call-template name="PopulateNegativeNumber">
                  <xsl:with-param name="TargetNode" select="$FormData/LessNumMilesOfRlrdTrackOwnAsgn"/>
                  </xsl:call-template>   
                </xsl:when>  
             <xsl:otherwise>  
               <xsl:call-template name="PopulateNegativeNumber">
              <xsl:with-param name="TargetNode" select="$FormData/LessNumMileRlrdTrackOwnLsdAsgn"/>
            </xsl:call-template> 
            </xsl:otherwise>    
            </xsl:choose>
          </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0; height:4.5mm;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0; height:4.5mm;"></div>
        </div>      
      </div>  

      <!-- line 3c -->
     <div style="width:187mm">        
        <div class="styIRS8900LNLeftLtrBox">c</div>
        <div style="float:left;width:113.2mm;">
             Number of miles of railroad track assigned to you by the owner or
        </div>
        <div  class="styIRS8900LNRightNumBox" style="border-bottom:0px;border-right:1 solid black;width:7.2mm;"></div>  
         <div class="styIRS8900LNAmountBox" style="border-bottom:0px;border-left:0px;border-right:1 solid black;"></div>
         <div class="styIRS8900LNRightNumBox" style="width:6.9mm;border-left:0px;background-color:lightgrey;border-bottom:0;border-right:1 solid black;"></div>  
         
      </div>
 
    <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop"></div>
        <div style="float:left">
           lessee for purposes of this credit (see instructions)
        </div>
        <div style="float:right;">
          <span class="styDotLn">      
            .........
          </span>
          <div class="styIRS8900LNRightNumBox" style="height:4.5mm;">3c</div>
          <div class="styIRS8900LNAmountBox" style="height:4.5mm;" >

           <xsl:choose>
              <xsl:when test="$Version='2005v2.0' ">
                  <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/NumMilesOfRlrdTrackLsdAndAsgn"/>
                  </xsl:call-template>   
                </xsl:when>  
             <xsl:otherwise>  
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/MileRlrdTrackAsgnByOwnrLessee"/>
            </xsl:call-template>
             </xsl:otherwise>    
            </xsl:choose>
           
            
          </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0; height:4.5mm;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0; height:4.5mm;"></div>
        </div>      
      </div>  

   <!-- line 3d -->
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox">d</div>
        <div style="float:left">
         <span style="font-weight:bold;">Total.</span> Combine lines 3a through 3c   
          <xsl:choose>
              <xsl:when test="$Version='2005v2.0' ">
                <xsl:call-template name="LinkToLeftoverDataTableInline">
                <xsl:with-param name="Desc">Schema 2005v2.0 -  Former line 3d - Number Of Miles Of Railroad Track Assigned By Owner</xsl:with-param>
                <xsl:with-param name="TargetNode" select="$FormData/MilesOfRlrdTrackAsgnByOwner"/>
                 <xsl:with-param name="DescWidth" select="100"/>
                 </xsl:call-template>
                </xsl:when>  
             <xsl:otherwise>  
             </xsl:otherwise>    
            </xsl:choose>
               
        </div>
        <div style="float:right">
          <span class="styDotLn">
            ......................
            
          </span>
          <div class="styIRS8900LNRightNumBox">3d</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TotalRailroadTrack"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>  


    <!-- line 4 -->  
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop" style="padding-left:2.6mm;">4</div>
        <div style="float:left">
         Multiply line 3d by $3,500          
        </div>
        <div style="float:right">
          <span class="styDotLn">      
            ...........................
          </span>
          <div class="styIRS8900LNRightNumBox">4</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/AdjustedTotalRlrdTrack"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>  
    <!--line 5-->  
            <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop" style="padding-left:2.6mm;">5</div>
        <div style="float:left">
         Enter the <span style="font-weight:bold;">smaller</span> of line 2 or line 4          
        </div>
        <div style="float:right;">
          <span class="styDotLn">      
            .......................
          </span>
          <div class="styIRS8900LNRightNumBox">5</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/QlfyPercentageOfRlrdTrack"/>
            </xsl:call-template>
          </div>  
        </div>      
      </div>  
      
      <!-- line 6 -->
     
        <div style="width:187mm;">
              <div style="float:left">
                <div class="styLNLeftNumBox" style="height:4mm;padding-left:2.75mm;">6</div>
                <div class="styLNDesc" style="width:36mm; height:4mm;">
                    Qualified railroad track maintenance credit from pass-through entities:
                </div>
                <div class="styLNDesc" style="width:5mm; height:4mm;"> </div>
                <div class="styLNDesc" style="width:105.2mm; height:4mm; ">
                  <table summary="Table for Work Opportunity Credit" style="width:105.2mm;font-size:7pt; " cellpadding="0" cellspacing="0" border="0" class="stytable">
                    <tr>
                      <th scope="col" class="styForm8900TBTable" style="width:29mm;text-align:center;" >
                          If you are a&#151;
                        </th>
                       <th style="border-right:none;padding-left:2mm;width:63mm;text-align:left; font-size:6pt;" scope="col" class="styForm8900TBTable">
                          Then enter the total of the current year credits from&#151;
                        </th>
                        <th style="padding-left:2mm;" scope="col"><span style="width:2px;"></span></th>
                    </tr>
                    <tr>
                       <td style="border-right:solid black .75pt; padding-left:4mm;">
                         <span style="float:left;">
                           <span class="styBoldText">a</span> Shareholder
                         </span>
                         
                           
                         
                       </td>
                       <td style="padding-left:2mm;">
                             <span style="float:left;">
                        Schedule K-1 (Form 1120S), box 13, code F, G, or U
                          </span>
                          
                      </td>
                       <td rowspan="2">
                         <span style="float:left;">
                          <img alt="Bullet Image" src="{$ImagePath}/8900_Bracket_Sm.gif" />
                        </span>
                        <span style="float:right;letter-spacing:3.2mm;padding-right:3mm;font-weight:bold;padding-top:4.5mm;padding-left:1mm;">..</span>
                       </td>
                    </tr>
                    <tr>
                       <td style="border-right:solid black .75pt; padding-left:4mm;">
                          <span style="float:left;">
                          <span class="styBoldText">b</span> Partner
                        </span>
                          
                       </td>
                       <td style="padding-left:2mm;">
                            <span style="float:left;">
                        Schedule K-1 (Form 1065), box 15, code F, G, or U
                         </span>
                         
                                    
                       </td>
                    </tr>
                    
                    
                  </table>
                </div>
              </div>
             <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;"></div>
           <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;"></div>

          <div class="styIRS8900LNRightNumBox">6</div>
             <div class="styIRS8900LNAmountBox">
                  <xsl:call-template name="PopulateAmount">
                  <xsl:with-param name="TargetNode" select="$FormData/CreditPassThroughEntities"/>
                   </xsl:call-template>
              </div>
              <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0; height:7mm;"></div>  
              <div class="styIRS8900LNAmountBox" style="border-bottom:0; height:7mm;"></div>

            </div>        

     
    <!-- line 7 -->  
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop">7</div>
        <div style="float:left">
          <span style="font-weight:bold;">Current year credit.</span> Add lines 5 and 6 (S corporations, partnerships, see instructions)    
          </div>
             <div style="float:right">
          <span class="styDotLn">      
            ....
          </span>

         <div class="styIRS8900LNRightNumBoxNBB" >7</div>
          <div class="styIRS8900LNAmountBoxNBB">
          <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CurrentYearCredit"/>
            </xsl:call-template>
          </div>        
         </div>
      </div>    
      
      
    <!-- END Part I Line Items -->    
      
    
    <!-- BEGIN Part II Title -->
      <div class="styBB" style="width:187mm; border-top:1 solid black; font-size:10pt; height: 8mm">
        <div class="styPartName" style="font-family:verdana; margin-top: 2mm">Part II</div>
        <div class="styPartDesc" style="font-family:verdana;padding-top: 2mm">
          Allowable Credit <span style="font-weight:normal">(See </span>Who must file Form 3800<span style="font-weight:normal"> to find out if you complete Part II or file Form 3800.)</span>
        </div>
      </div>
    <!-- END Part II Title -->
    
    <!-- BEGIN Part II Line Items -->
<!-- line 8 -->
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBoxTop">8</div>
        <div style="float:left">
          Regular tax before credits:                
        </div>
        <div style="float:right">  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 1040, line 44                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ..........
          </span>
          <div class="styIRS8900LNLeftNumBox" style="position:relative;width:25mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;left:2mm;">
    <img src="{$ImagePath}/8900_Bracket_Lg.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 1120, Schedule J, line 3; Form 1120-A,            
        </div>
        <div style="float:right">  
          <div class="styIRS8900LNLeftNumBox" style="width:20mm;"></div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox"></div>
        <div style="float:left">
          Part I, line 1; or the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            .............
          </span>
          <div class="styIRS8900LNLeftNumBox" style="width:20mm;">
          <span class="styDotLn">      
            ....
          </span>
          </div>  
          <div class="styIRS8900LNRightNumBox">8</div>  
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/RegularTaxBeforeCredit"/>
            </xsl:call-template>
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the sum of the amounts from Form 1041, Schedule G,             
        </div>
        <div style="float:right">  
          <div class="styIRS8900LNLeftNumBox" style="width:20mm;"></div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox"></div>
        <div style="float:left">
          lines 1a and 1b, or the amount from the applicable line of your return                
        </div>
        <div style="float:right">  
          <span class="styDotLn">      
            ......
          </span>
          <div class="styIRS8900LNLeftNumBox" style="width:20mm;"></div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>  
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>
      </div>    
      
<!-- line 9 -->            
      <div style="width:187mm">      
        <div class="styIRS8900LNLeftNumBoxTop">9</div>
        <div style="float:left">
          Alternative minimum tax:
        </div>
        <div style="float:right">  
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey"></div>
          <div class="styIRS8900LNAmountBoxNBB"></div>  
        </div>      
      </div>    
      
      <div style="width:187mm">      
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 6251, line 35          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
            ......        
          </span>
          <div class="styIRS8900LNLeftNumBox" style="position:relative;width:35mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:1mm;left:-3mm;">
    <img src="{$ImagePath}/8900_Bracket_Sm_L9.gif" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>        
        </div>    
      </div>    
          
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 4626, line 14          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
            .......    
          </span>
          <div class="styIRS8900LNLeftNumBox" style="width:35mm;">
          <span class="styDotLn">  
           ........
          </span>
          </div>  
          <div class="styIRS8900LNRightNumBox">9</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/AlternativeMinimumTax"/>
            </xsl:call-template>
          </div>  
        </div>
      </div>          
        
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the amount from Form 1041, Schedule I, line 56          
        </div>
        <div style="float:right">  
          <span class="styDotLn">  
            
          </span>
          <div class="styIRS8900LNLeftNumBox" style="width:35mm;"></div>  
          <div class="styIRS8900LNRightNumBox" style="background-color:lightgrey;border-bottom:0;"></div>
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>      
        </div>
      </div>    
<!-- line 10 -->      
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox">10</div>
        <div style="float:left">
          Add lines 8 and 9
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .............................         
          </span>
          <div class="styIRS8900LNRightNumBox">10</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/SumOfRegTaxAndAltMinTax"/>
            </xsl:call-template>
          </div>        
        </div>
      </div>
      
<!-- line 11 -->      
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox">11a</div>
        <div style="float:left">
          Foreign tax credit  
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .....................  
          </span>
          <div class="styIRS8900LNRightNumBox" style="height:5mm">11a</div>
          <div class="styIRS8900LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/ForeignTaxCredit"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm"></div>  
        </div>
      </div>                  
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox">b</div>
        <div style="float:left">
          Credits from Form 1040, lines 48 through 54
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ...........
          </span>
          <div class="styIRS8900LNRightNumBox" style="height:5mm;" >11b</div>
          <div class="styIRS8900LNAmountBox" style="height:5mm;" >
            <!--xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="$FormData/xxx"/>
            </xsl:call-template-->
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>    
      
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox">c</div>
        <div style="float:left">
          Possessions tax credit (Form 5735, line 17 or 27)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .........  
          </span>
          <div class="styIRS8900LNRightNumBox" style="height:5mm">11c</div>
          <div class="styIRS8900LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/PossessionsTaxCredit"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox">d</div>
        <div style="float:left">
         Nonconventional source fuel credit (Form 8907, line 23)</div>
        <div style="float:right">
          <span class="styDotLn">  
            ........ 
          </span>
          <div class="styIRS8900LNRightNumBox" style="height:5mm">11d</div>
          <div class="styIRS8900LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CreditForFuelNnconvSource"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>    
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox">e</div>
        <div style="float:left">
          Other specified credits (see instructions)        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ............. 
          </span>
          <div class="styIRS8900LNRightNumBox" style="height:5mm">11e</div>
          <div class="styIRS8900LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/OtherSpecifiedCredits"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox">f</div>
        <div style="float:left">
          Add lines 11a through 11e
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ..........................        
          </span>
          <div class="styIRS8900LNRightNumBox">11f</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount"><xsl:with-param name="TargetNode" select="$FormData/TotalCredits"/></xsl:call-template>
          </div>  
        </div>
      </div>          
<!-- line 12 -->      
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox">12</div>
        <div style="float:left">
          Net income tax. Subtract line 11f from line 10. If zero, skip lines 13 through 16 and enter -0-  on line 17
        </div>
         <div style="float:right;">
          <div class="styIRS8900LNRightNumBox">12</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/NetIncomeTax"/>
            </xsl:call-template>
          </div>  
          </div>
      </div>  
      
<!-- line 13 -->      
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox">13</div>
        <div style="float:left">
          Net regular tax. Subtract line 11f from line 8. If zero or less, enter -0-
        </div>
        <div style="float:right">
          <span class="styDotLn">  
             
          </span>
          
          <!--    ********This may need to be changed ************-->
          <div class="styIRS8900LNRightNumBox" style="height:5mm">13</div>
          <div class="styIRS8900LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/NetRegularTax"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>          
<!-- line 14 -->
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox">14</div>
        <div style="float:left">
          Enter 25% (.25) of the excess, if any, of line 13 over $25,000 (see instructions)
        </div>
        <div style="float:right">
          <span class="styDotLn">  
          
          </span>
          <div class="styIRS8900LNRightNumBox" style="height:5mm">14</div>
          <div class="styIRS8900LNAmountBox" style="height:5mm">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TwentyFivePercentOfExcess"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey; height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm"></div>      
        </div>
      </div>  
<!-- line 15 -->        
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox">15</div>
        <div style="float:left">
          Tentative minimum tax (see instructions):
        </div>
        <div style="float:right">
          <div class="styIRS8900LNRightNumBox" style="height:5mm;border-bottom:0;"></div>
          <div class="styIRS8900LNAmountBox" style="height:5mm;border-bottom:0;">
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Individuals. Enter the amount from Form 6251, line 33
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ......  
          </span>
          <div class="styIRS8900LNLeftNumBox" style="position:relative;width:6mm;">
<!-- floating bracket -->
  <span style="z-index:1;position:absolute;top:-2mm;left:0mm;  height 45mm;">
    <img src="{$ImagePath}/8900_Bracket_Lg.gif" style="padding-top: 3mm" alt="bracket" border="0"/>
  </span>
<!-- end bracket -->
          </div>
          <div class="styIRS8900LNRightNumBox" style="height:5mm;border-bottom:0;"></div>
          <div class="styIRS8900LNAmountBox" style="height:5mm;border-bottom:0;">
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Corporations. Enter the amount from Form 4626, line 12
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            .....  
          </span>
          <div class="styIRS8900LNLeftNumBox" style="width:6mm;"></div>
          <div class="styIRS8900LNRightNumBox" style="height:5mm;">15</div>
          <div class="styIRS8900LNAmountBox" style="height:5mm;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/TentativeMinimumTax"/>
            </xsl:call-template>
          </div>        
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"><img src="{$ImagePath}/8900_Bullet_Round.gif" alt="dot"/></div>
        <div style="float:left">
          Estates and trusts. Enter the amount from Form 1041,
        </div>
        <div style="float:right">
          <div class="styIRS8900LNLeftNumBox" style="width:39mm;"></div>
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftLtrBox"></div>
        <div style="float:left">
          Schedule I, line 54
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ..................
          </span>
          <div class="styIRS8900LNLeftNumBox" style="width:39mm;"></div>
          <div class="styIRS8900LNRightNumBoxNBB" style="background-color:lightgrey;border-bottom:0;height:4.5mm"></div>    
          <div class="styIRS8900LNAmountBoxNBB" style="height:4.5mm;border-bottom:0;"></div>      
        </div>
      </div>          
<!-- line 16 -->      
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox">16</div>
        <div style="float:left">
          Enter the greater of line 14 or line 15
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ......................    
          </span>
          <div class="styIRS8900LNRightNumBox">16</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/GreaterOfExcessOrTentMinTax"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
<!-- line 17 -->      
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox">17</div>
        <div style="float:left">
          Subtract line 16 from line 12. If zero or less, enter -0-
        </div>
        <div style="float:right">
          <span class="styDotLn">  
            ................    
          </span>
          <div class="styIRS8900LNRightNumBox">17</div>
          <div class="styIRS8900LNAmountBox">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/SubtractGrtrFromNetIncmTax"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
<!-- line 18 -->
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox">18</div>
        <div style="float:left">
          <span style="font-weight:bold;">Credit allowed for the current year. </span>Enter the <span style="font-weight:bold;">smaller </span>of line 7 or line 17 here and on Form 
        </div>
        <div style="float:right">
          <div class="styIRS8900LNRightNumBox" style="border-bottom:0; background-color:lightgrey;"></div>
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>    
      </div>        
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox"></div>
        <div style="float:left">
          1040, line 55; Form 1120, Schedule J, line 6d; Form 1120-A, Part I, line 2; Form 1041, Schedule 
        </div>
        <div style="float:right">
          <div class="styIRS8900LNRightNumBox" style="border-bottom:0; background-color:lightgrey;"></div>
          <div class="styIRS8900LNAmountBox" style="border-bottom:0;">
          </div>    
        </div>    
      </div>        
      <div style="width:187mm">  
        <div class="styIRS8900LNLeftNumBox"></div>
        <div style="float:left">
         G, line 2c; or the applicable line of your return. If line 17 is smaller than line 7, see instructions
        </div>
        <div style="float:right">

          <div class="styIRS8900LNRightNumBoxNBB">18</div>
          <div class="styIRS8900LNAmountBoxNBB">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="$FormData/CreditAllowedForCY"/>
            </xsl:call-template>
          </div>    
        </div>    
      </div>        
      
      <div style="width:187mm; border-top:1 solid Black; font-size:8pt">    
        <div style="font-weight:bold; float:left; padding-top:0.5mm">
          For Paperwork Reduction Act Notice,  see instructions.
        </div>    
        <div style="float:right">
          <span style="margin-right:20mm; font-size:7pt">Cat. No. 37708X</span>          
          Form <b>8900</b> (2005)
        </div>      
      </div>  
      
      <p style="page-break-before:always" />      

      <div class="styLeftOverTitleLine" id="LeftoverData" style="font-family:verdana, arial, sans-serif">
        <div class="styLeftOverTitle">
          Additional Data        
        </div>
        <div class="styLeftOverButtonContainer">
          <input class="styLeftoverTableBtn" type="button" value="Return to Form" onclick="javascript:returnToWriteInImage()" tabindex="1"/>
        </div>      
      </div>
      
      <table class="styLeftOverTbl">
        <xsl:call-template name="PopulateCommonLeftover">
          <xsl:with-param name="TargetNode" select="$FormData" />        
        </xsl:call-template>
          <xsl:choose>
              <xsl:when test="$Version='2005v2.0' ">
                <xsl:call-template name="PopulateLeftoverRow">
                <xsl:with-param name="Desc">Schema 2005v2.0 -  Former line 3d - Number Of Miles Of Railroad Track Assigned By Owner</xsl:with-param>
                <xsl:with-param name="TargetNode" select="$FormData/MilesOfRlrdTrackAsgnByOwner"/>
                 </xsl:call-template>
                </xsl:when>  
             <xsl:otherwise>  
             </xsl:otherwise>    
            </xsl:choose>
        
      </table>      
    </form>
  </body>
</html>
</xsl:template>
</xsl:stylesheet>
