<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" />
  <xsl:strip-space elements="*" />
  
  <xsl:include href="PopulateTemplate.xsl"/>
  <xsl:include href="CommonPathRef.xsl"/>
  <xsl:include href="AddHeader.xsl"/>
  <xsl:include href="AddOnTable.xsl"/>

  <xsl:param name="DependencyData" select="$RtnDoc/MultipleCategory1FilersStmt" />
  <xsl:template name="DependencyTemplate">
  
  <xsl:for-each select="$DependencyData/Cat1FilerNotFilingSingle8865">  
    <table id="MC1FTbl" class="styDepTbl">
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row"  style="width:40%;text-align:right;">Item No.                          </th>
        <td class="styDepTblCell" style="text-align:center;" ><xsl:value-of select="position()" /></td>
      </tr>      
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Filer's Name
        </th>
        <td class="styDepTblCell" style="text-align:left;font-size:7pt;">
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="Category1FilerName/BusinessNameLine1" />
          </xsl:call-template>
          <xsl:if test="Category1FilerName/BusinessNameLine2 != ''">
            <br /><xsl:call-template name="PopulateText">
                <xsl:with-param name="TargetNode" select="Category1FilerName/BusinessNameLine2" />
              </xsl:call-template>
          </xsl:if>          
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Filer's EIN
        </th>
        <td class="styDepTblCell" style="text-align:left;">
          <xsl:call-template name="PopulateEIN">
            <xsl:with-param name="TargetNode" select="Category1FilerEIN" />
          </xsl:call-template>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Filer's Tax Year Beginning  
        </th>
        <td class="styDepTblCell" style="text-align:left;">
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="Category1FilerTaxYearBeginning" />
          </xsl:call-template>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Filer's Tax Year Ending
        </th>
        <td class="styDepTblCell" style="text-align:left;">
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="Category1FilerTaxYearEnding" />
          </xsl:call-template>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Filer's Share of Liabilities - Nonrecourse
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="Cat1FilerShrOfLiabNonrecourse" />        
          </xsl:call-template>
        </span>
        </td>
      </tr>    
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Filer's Share of Liabilities - Qualified Nonrecourse Financing
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="QualifiedNonrecourseFinancing" />
            </xsl:call-template>
          </span>
        </td>
      </tr>    
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Filer's Share of Liabilities - Other
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="Cat1FilerShrOfLiabilitiesOther" />
            </xsl:call-template>
          </span>
        </td>
      </tr>    
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Parent Category 1 Filer's Name
        </th>
        <td class="styDepTblCell" style="text-align:center;text-align:left;font-size:7pt;" >
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="ParentCategory1FilerName/BusinessNameLine1" />
          </xsl:call-template>
          <xsl:if test="ParentCategory1FilerName/BusinessNameLine2 != ''">
            <br /><xsl:call-template name="PopulateText">
                <xsl:with-param name="TargetNode" select="ParentCategory1FilerName/BusinessNameLine2" />
              </xsl:call-template>
          </xsl:if>            
        </td>
      </tr>    
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Parent Category 1 Filer's EIN
        </th>
        <td class="styDepTblCell" style="text-align:center;text-align:left;" >
          <xsl:call-template name="PopulateEIN">
            <xsl:with-param name="TargetNode" select="ParentCategory1FilerEIN" />
          </xsl:call-template>
        </td>
      </tr>    
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Parent Category 1 Filer's US Address          
        </th>
        <td class="styDepTblCell" style="text-align:center;text-align:left;" >
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="ParentCategory1FilerAddress/AddressLine1" />
          </xsl:call-template>
          <xsl:if test="ParentCategory1FilerAddress/AddressLine2 != ''">
            <br /><xsl:call-template name="PopulateText">
                <xsl:with-param name="TargetNode" select="ParentCategory1FilerAddress/AddressLine2" />                      </xsl:call-template>
              </xsl:if>
          <xsl:if test="ParentCategory1FilerAddress/City != ''"><br />
            <xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="ParentCategory1FilerAddress/City" />
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="ParentCategory1FilerAddress/State != ''">, 
            <xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="ParentCategory1FilerAddress/State" />
            </xsl:call-template>
          </xsl:if>
          <xsl:if test="ParentCategory1FilerAddress/ZIPCode != ''">- 
            <xsl:call-template name="PopulateText">
              <xsl:with-param name="TargetNode" select="ParentCategory1FilerAddress/ZIPCode" />
            </xsl:call-template>
          </xsl:if>
        </td>
      </tr>  
    <xsl:if test="IRS8865ScheduleA">
      <tr  class="styDepTblRow1">
        <th class="styDepTblHdr" scope="row" style="text-align:center;" colspan="2">
          IRS8865 Schedule A
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Owns Direct Interest
        <!--
        <label>
          <xsl:call-template name="PopulateLabel">
            <xsl:with-param name="TargetNode" select="IRS8865ScheduleA/OwnsDirectInterest" />
          </xsl:call-template>  
          Owns Direct Interest
        </label>
        -->  
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <xsl:choose>
            <xsl:when test="IRS8865ScheduleA/OwnsDirectInterest = 'X'">
              Yes
            </xsl:when>
            <xsl:otherwise>No</xsl:otherwise>
          </xsl:choose>
          <!--
          <input type="checkbox" class="styCkbox">              
            <xsl:call-template name="PopulateCheckbox">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleA/OwnsDirectInterest" />
            </xsl:call-template>
          </input>
          -->
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Owns Constructive Interest  
          <!--
          <label>
            <xsl:call-template name="PopulateLabel">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleA/OwnsConstructiveInterest" />
            </xsl:call-template>  
            Owns Constructive Interest  
          </label>
          -->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <xsl:choose>
            <xsl:when test="IRS8865ScheduleA/OwnsConstructiveInterest = 'X'">
              Yes
            </xsl:when>
            <xsl:otherwise>No</xsl:otherwise>
          </xsl:choose>
          <!--
          <input type="checkbox" class="styCkbox">              
            <xsl:call-template name="PopulateCheckbox">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleA/OwnsConstructiveInterest" />
            </xsl:call-template>
          </input>
          -->
        </td>
      </tr>
      <xsl:if test="IRS8865ScheduleA/ConstructiveOwnershipInfo">
        <tr  class="styDepTblRow1">
          <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:15mm;" colspan="2">
            Constructive Ownership of Partnership Interest
            <span class="styDepTableCellPad"></span>
          </th>
        </tr>
      </xsl:if>
    <xsl:for-each select="IRS8865ScheduleA/ConstructiveOwnershipInfo" >
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Constructive Owner Name    
        </th>
        <td class="styDepTblCell" style="text-align:left;font-size:7pt;" >
          <xsl:call-template name="PopulateText">
            <xsl:with-param name="TargetNode" select="ConstructiveOwnerName/BusinessNameLine1" />
          </xsl:call-template>
          
          <xsl:if test="ConstructiveOwnerName/BusinessNameLine2">
            <br/><xsl:call-template name="PopulateText">
                <xsl:with-param name="TargetNode" select="ConstructiveOwnerName/BusinessNameLine2" />
              </xsl:call-template>
          </xsl:if>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
            Constructive Owner's U.S. or Foreign Address  
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <xsl:choose>
            <xsl:when test="ConstructiveOwnerUSAddress" >      
              <xsl:call-template name="PopulateText">
                <xsl:with-param name="TargetNode" select="ConstructiveOwnerUSAddress/AddressLine1" />
              </xsl:call-template>
              <xsl:if test="ConstructiveOwnerUSAddress/AddressLine2 != ''">
                <br /><xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="ConstructiveOwnerUSAddress/AddressLine2" />                      </xsl:call-template>
              </xsl:if>
              <xsl:if test="ConstructiveOwnerUSAddress/City != ''"><br />
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="ConstructiveOwnerUSAddress/City" />                      </xsl:call-template>
              </xsl:if>
              <xsl:if test="ConstructiveOwnerUSAddress/State != ''">, 
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="ConstructiveOwnerUSAddress/State" />                      </xsl:call-template>
              </xsl:if>
              <xsl:if test="ConstructiveOwnerUSAddress/ZIPCode != ''">- 
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="ConstructiveOwnerUSAddress/ZIPCode" />                      </xsl:call-template>
              </xsl:if>    
            
              
            </xsl:when>
            <xsl:otherwise>

              <xsl:call-template name="PopulateText">
                <xsl:with-param name="TargetNode" select="ConstructiveOwnerFrgnAddress/AddressLine1" />
              </xsl:call-template>
              <xsl:if test="ConstructiveOwnerFrgnAddress/AddressLine2 != ''">
                <br /><xsl:call-template name="PopulateText">
                    <xsl:with-param name="TargetNode" select="ConstructiveOwnerFrgnAddress/AddressLine2" />                      </xsl:call-template>
              </xsl:if>
              <xsl:if test="ConstructiveOwnerFrgnAddress/City != ''"><br />
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="ConstructiveOwnerFrgnAddress/City" />                                </xsl:call-template>
              </xsl:if>
              <xsl:if test="ConstructiveOwnerFrgnAddress/ProvinceOrState != ''"><br />
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="ConstructiveOwnerFrgnAddress/ProvinceOrState" />                                </xsl:call-template>
              </xsl:if>
              <xsl:if test="ConstructiveOwnerFrgnAddress/Country != ''">,
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="ConstructiveOwnerFrgnAddress/Country" />                                </xsl:call-template>
              </xsl:if>
              <xsl:if test="ConstructiveOwnerFrgnAddress/PostalCode != ''"> - 
                <xsl:call-template name="PopulateText">
                  <xsl:with-param name="TargetNode" select="ConstructiveOwnerFrgnAddress/PostalCode" />                      </xsl:call-template>
              </xsl:if>  
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
            Constructive Owner's TIN
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <xsl:choose>
            <xsl:when test="ConstructiveOwnerSSN" >
              <xsl:call-template name="PopulateSSN">
                <xsl:with-param name="TargetNode" select="ConstructiveOwnerSSN" />
              </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
              <xsl:call-template name="PopulateEIN">
                <xsl:with-param name="TargetNode" select="ConstructiveOwnerEIN" />
              </xsl:call-template>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      
      
      
      
      
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
            Check if Foreign Person  
          <!--
          <label>
            <xsl:call-template name="PopulateLabel">
              <xsl:with-param name="TargetNode" select="ConstructiveOwnerIsFrgnPerson" />
            </xsl:call-template>  
            Check if Foreign Person  
          </label>
          -->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <xsl:choose>
            <xsl:when test="ConstructiveOwnerIsFrgnPerson = 'X'">
              Yes
            </xsl:when>
            <xsl:otherwise>No</xsl:otherwise>
          </xsl:choose>
        <!--
          <input type="checkbox" class="styCkbox">              
            <xsl:call-template name="PopulateCheckbox">
              <xsl:with-param name="TargetNode"  select="ConstructiveOwnerIsFrgnPerson" />
            </xsl:call-template>
          </input>
          -->
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
            Check if Direct Partner
          <!--
          <label>
            <xsl:call-template name="PopulateLabel">
              <xsl:with-param name="TargetNode" select="ConstructiveOwnerIsDirectPrtnr" />
            </xsl:call-template>  
            Check if Direct Partner
          </label>
          -->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <xsl:choose>
            <xsl:when test="ConstructiveOwnerIsDirectPrtnr = 'X'">
              Yes
            </xsl:when>
            <xsl:otherwise>No</xsl:otherwise>
          </xsl:choose>
          <!--
          <input type="checkbox" class="styCkbox">              
            <xsl:call-template name="PopulateCheckbox">
              <xsl:with-param name="TargetNode" select="ConstructiveOwnerIsDirectPrtnr" />
            </xsl:call-template>
          </input>
          -->
        </td>
      </tr>
    </xsl:for-each>
    
  </xsl:if>
    <xsl:if test="IRS8865ScheduleN">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblHdr" scope="row" style="text-align:center;" colspan="2">
          IRS8865 Schedule N      
        </th>
      </tr>
      <!-- Repeat block -->
      <xsl:if test="IRS8865ScheduleN/SalesOfInventory">
        <tr class="styDepTblRow2" style="text-align:right;">
          <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
            Sales of inventory  
          </th>
        </tr>
        <tr  class="styDepTblRow1">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            U.S. Person Filing this Return            
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/SalesOfInventory/USPerson" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
        <tr  class="styDepTblRow2">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/SalesOfInventory/DomesticCorpOrPartnership" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
        <tr  class="styDepTblRow1">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/SalesOfInventory/ForeignCorpOrPartnership" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
        <tr  class="styDepTblRow2">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                      <!--span class="styDepTableCellPad"></span-->
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/SalesOfInventory/USPerson10PctOrMoreDirectInt" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="IRS8865ScheduleN/SalesOfProperty">
        <tr class="styDepTblRow1" style="text-align:right;">
          <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
            Sales of Property
          </th>
        </tr>
        <tr  class="styDepTblRow2">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            U.S. Person Filing this Return            
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/SalesOfProperty/USPerson" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
        <tr  class="styDepTblRow1">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/SalesOfProperty/DomesticCorpOrPartnership" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
        <tr  class="styDepTblRow2">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/SalesOfProperty/ForeignCorpOrPartnership" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
        <tr  class="styDepTblRow1">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                      <!--span class="styDepTableCellPad"></span-->
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/SalesOfProperty/USPerson10PctOrMoreDirectInt" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="IRS8865ScheduleN/CompensationReceived">
        <tr class="styDepTblRow2" style="text-align:right;">
          <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
            Compensation Received for Technical, Managerial, Engineering, Construction, or like Services                  </th>
        </tr>
        <tr  class="styDepTblRow1">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            U.S. Person Filing this Return            
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CompensationReceived/USPerson" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
        <tr  class="styDepTblRow2">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode"                 select="IRS8865ScheduleN/CompensationReceived/DomesticCorpOrPartnership" />
              </xsl:call-template>
            </span>
          </td>
        </tr>
        <tr  class="styDepTblRow1">
          <th class="styDepTblCell" scope="row" style="text-align:right;">
            Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
          </th>
          <td class="styDepTblCell" style="text-align:left;" >
            <span style="width:44mm;text-align:right;">
              <xsl:call-template name="PopulateAmount">
                <xsl:with-param name="TargetNode"   select="IRS8865ScheduleN/CompensationReceived/ForeignCorpOrPartnership" />
              </xsl:call-template>
            </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CompensationReceived/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/CommissionsReceived">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Commissions Received    
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return            
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CommissionsReceived/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CommissionsReceived/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CommissionsReceived/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CommissionsReceived/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesRcvd">
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Rents, Royalties, and License Fees Received
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return            
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesRcvd/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesRcvd/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesRcvd/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesRcvd/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
  </xsl:if>  
  <xsl:if test="IRS8865ScheduleN/DistributionsReceived">  
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Distributions Received  
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return            
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/DistributionsReceived/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/DistributionsReceived/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/DistributionsReceived/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/DistributionsReceived/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/InterestReceived">
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Interest Received
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return            
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/InterestReceived/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/InterestReceived/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/InterestReceived/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/InterestReceived/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>  
    <xsl:if test="IRS8865ScheduleN/OtherReceived">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Other Received  
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return            
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/OtherReceived/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/OtherReceived/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/OtherReceived/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/OtherReceived/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/AllReceivedTotal">
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          All Received Total
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return            
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AllReceivedTotal/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AllReceivedTotal/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AllReceivedTotal/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AllReceivedTotal/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/PurchasesOfInventory">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Purchases of Inventory  
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return            
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfInventory/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfInventory/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfInventory/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfInventory/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/PurchasesOfTangibleProperty">    
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Purchases of Tangible Property
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return            
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfTangibleProperty/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
      <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfTangibleProperty/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfTangibleProperty/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfTangibleProperty/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/PurchasesOfPropertyRights">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Purchases of Property Rights (patents, trademarks, etc.)  
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfPropertyRights/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfPropertyRights/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfPropertyRights/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/PurchasesOfPropertyRights/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/CompensationPaid">
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Compensation Paid for Technical, Managerial, Engineering, Construction, or like Services  
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CompensationPaid/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CompensationPaid/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CompensationPaid/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CompensationPaid/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/CommissionsPaid">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Commissions Paid
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CommissionsPaid/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CommissionsPaid/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CommissionsPaid/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/CommissionsPaid/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesPaid">
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Rents, Royalties, and License Fees Paid    
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesPaid/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesPaid/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesPaid/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/RentsRoyaltiesLicenseFeesPaid/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/DistributionsPaid">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Distributions Paid
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/DistributionsPaid/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/DistributionsPaid/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/DistributionsPaid/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/DistributionsPaid/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/InterestPaid">
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Interest Paid
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/InterestPaid/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/InterestPaid/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/InterestPaid/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/InterestPaid/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/OtherPaid">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Other Paid
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/OtherPaid/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/OtherPaid/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/OtherPaid/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/OtherPaid/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/AllPaidTotal">
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          All Paid Total
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AllPaidTotal/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
          <span class="styDepTableCellPad"></span>
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AllPaidTotal/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AllPaidTotal/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AllPaidTotal/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/AmountsBorrowed">
      <tr class="styDepTblRow1" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Amounts Borrowed (enter the maximum loan balance during the year)
        </th>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AmountsBorrowed/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AmountsBorrowed/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AmountsBorrowed/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AmountsBorrowed/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="IRS8865ScheduleN/AmountsLoaned">    
      <tr class="styDepTblRow2" style="text-align:right;">
        <th class="styDepTblCell" scope="row" style="text-align:left;padding-left:65mm;" colspan="2">
          Amounts loaned (enter the maximum loan balance during the year)  
        </th>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AmountsLoaned/USPerson" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Domestic Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AmountsLoaned/DomesticCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow1">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          Foreign Corp. or Partnership Controlling or Controlled by U.S. Person Filing this Return
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AmountsLoaned/ForeignCorpOrPartnership" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      <tr  class="styDepTblRow2">
        <th class="styDepTblCell" scope="row" style="text-align:right;">
          U.S. Person With a 10% or More Direct Interest in the Controlled Foreign Partnership                    <!--span class="styDepTableCellPad"></span-->
        </th>
        <td class="styDepTblCell" style="text-align:left;" >
          <span style="width:44mm;text-align:right;">
            <xsl:call-template name="PopulateAmount">
              <xsl:with-param name="TargetNode" select="IRS8865ScheduleN/AmountsLoaned/USPerson10PctOrMoreDirectInt" />
            </xsl:call-template>
          </span>
        </td>
      </tr>
      </xsl:if>
    </xsl:if>
  </table>
    <br/>
  </xsl:for-each>
  
  
  
  
  
  
  </xsl:template>
  
  <xsl:template name="GetClass">
    <xsl:attribute name="class">
      <xsl:choose>
         <xsl:when test="position() mod 2 = 1">styDepTblRow1</xsl:when>
         <xsl:otherwise>styDepTblRow2</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
  </xsl:template>
  

  
  
  
  <!-- Main template -->
  <xsl:param name="depDocTitle">
    <xsl:call-template name="PopulateDisplayName"><xsl:with-param name="TargetNode" select="$DependencyData" /></xsl:call-template>  
  </xsl:param>
  <!-- Main template -->
  <xsl:template match="/" >

    <html>
      <head>
           <title><xsl:value-of select="$depDocTitle" /></title>
         <!-- No Browser Caching -->
         <meta http-equiv="Pragma" content="no-cache" />
         <meta http-equiv="Cache-Control" content="no-cache" />
         <meta http-equiv="Expires" content="0" />
         <!-- No Proxy Caching -->
         <meta http-equiv="Cache-Control" content="private" />
         <!-- Define Character Set -->
         <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />        
         <meta name="Description" content="{$depDocTitle}" />
         <script language="JavaScript" src="{$ScriptPath}/FormDisplay.js"></script>
        <xsl:call-template name="InitJS"></xsl:call-template>

        
        <style type="text/css">
        </style>
        <style type="text/css">
  <xsl:if test="not($Print) or $Print=''">
    <xsl:call-template name="AddOnStyle"></xsl:call-template>    
  </xsl:if>
</style>
      <xsl:call-template name="GlobalStylesDep"/>
</head>
    
      <body class="styBodyClass">

        <xsl:call-template name="DocumentHeaderDependency"  />  
        <div class="styDepTitleLine">
          <span class="styDepTitle">
            <span style="width:103mm;"><xsl:value-of select="$depDocTitle" /></span>    
          </span>
        </div>
        <xsl:call-template name="PopulateDepCommonLeftover"><xsl:with-param name="TargetNode" select="$DependencyData"/></xsl:call-template>
        <span style="height:5px;"></span>
        <!-- Transform Itemized Other Income Schedule -->
        <xsl:call-template name="DependencyTemplate" />
        
        <br />
      
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>







